2016-12-23 11:07  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9337] ., NEWS, po/fr.po, src/mesh/cs_join.c,
	  src/mesh/cs_join_update.c: Merge rev. 9336 from trunk (fix
	  allowing mesh joining when no vertices are modified).

2016-12-14 18:15  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r9324] NEWS, bin/autovnv/Study.py: Merge rev. 9323 from trunk
	  (Fix autovnv compare log for english env.).

2016-11-25 15:44  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r9282] NEWS, src/base/clptur.f90: Merge rev. 9280 from trunk
	  (fix Neumann BC on epsilon.)

2016-11-24 17:59  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9274] NEWS: Misplaced entries in NEWS.

2016-11-24 17:54  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9273] ., NEWS, config/cs_auto_flags.sh, m4/cs_hdf5.m4,
	  m4/cs_modules.m4: Merge revs. 9261, 9264, and 9270 from trunk
	  (build updates).

2016-11-08 17:36  Martin Ferrand <martin.ferrand@edf.fr>

	* [r9226] NEWS, src/gui/cs_gui.c: Merge rev. 9225 from trunk (use
	  of Coolprop).

2016-10-18 13:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9185] NEWS, po/fr.po, src/lagr/cs_lagr_tracking.c: Merge rev.
	  9184 from trunk (fix particle tracking resizing issues in
	  parallel runs).

2016-10-07 12:26  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9153] ., NEWS, src/lagr/cs_lagr.c: Merge rev. 9145 from trunk
	  (fix crash at end of computation due to misplaced assert).

2016-10-07 07:07  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r9151] NEWS, src/base/inivar.f90: Merge rev. 9150 from trunk
	  (remove one unneeded call to cs_user_f_init.)

2016-10-05 14:14  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9140] NEWS: Fix release date entry.

2016-10-05 14:10  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9138] ., src/lagr/cs_lagr.c: Merge rev. 9137 from trunk (fix
	  minor memory leak at end of Lagrangian/coal momputation).

2016-10-05 13:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9135] NEWS: Prepare for version 4.3.1 release.

2016-10-05 13:01  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9134] ., NEWS, src/apps/cs_solver.c,
	  src/gui/cs_gui_particles.c, src/lagr/cs_lagr.c,
	  src/lagr/cs_lagr.h, src/lagr/cs_lagr_injection.c,
	  src/lagr/cs_lagr_log.c, src/lagr/cs_lagr_particle.c,
	  src/lagr/lagran.f90: Merge rev. 9132 from trunk (Lagrangian
	  memory reallocation and leak fixes).

2016-10-03 16:26  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9127] ., NEWS, src/lagr/cs_lagr.c: Merge revs. 9121 and 9122
	  (fixes for issue 204 and 205).

2016-10-03 16:22  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9126] ., NEWS, po/fr.po, src/lagr/cs_lagr_injection.c: Merge
	  rev. 9120 and cleanup from rev. 9092 (fix for issue 193).

2016-10-03 16:05  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9125] ., src/lagr/cs_lagr_print.c: Merge rev. 9096 (Lagrangian
	  fix for issue 203).

2016-10-03 16:00  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9124] ., NEWS, src/lagr/cs_lagr.c, src/lagr/cs_lagr.h,
	  src/lagr/cs_lagr_lec.c, src/lagr/cs_lagr_log.c,
	  src/lagr/cs_lagr_new.c, src/lagr/cs_lagr_print.c,
	  src/lagr/cs_lagr_sde.c, src/lagr/cs_lagr_stat.c,
	  src/lagr/cs_lagr_tracking.c: Merge revs. 9079 and 9082
	  (Lagrangian fixes for restart and logging).

2016-09-30 08:39  Martin Ferrand <martin.ferrand@edf.fr>

	* [r9116] NEWS, src/alge/cs_convection_diffusion.h: Merge rev. 9115
	  from trunk (fix second order time stepping).

2016-09-26 17:34  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9101] ., NEWS, gui/Pages/LagrangianBoundariesForm.ui,
	  gui/Pages/LagrangianBoundariesView.py: Merge rev. 9100 from trunk
	  (fix issue 194/160).

2016-09-26 13:50  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9093] NEWS, gui/Base/XMLengine.py, gui/Pages/Boundary.py,
	  gui/Pages/TurbulenceModel.py: Merge revs. 9076 and 9077 from
	  trunk (Minor GUI Fixes).

2016-09-15 16:07  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9072] ., gui/Pages/StartRestartForm.ui: Merge rev. 9071 from
	  trunk (fix minor typo in GUI).

2016-09-15 15:54  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9070] NEWS, src/lagr/cs_lagr_options.c: Merge revs. 9048 and
	  9069 from trunk (Lagrangian iilagr allowed range).

2016-09-14 15:22  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r9063] NEWS, src/base/condli.f90: Merge rev. 9060 from trunk
	  (Fix Neumann BC for vectors with aniso. diff).

2016-09-14 13:18  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9057] ., NEWS, gui/Pages/LagrangianBoundariesModel.py,
	  src/lagr/cs_lagr.c: Merge revs. 9054 and 9055 from trunk
	  (Lagrangian model fixes).

2016-09-13 08:03  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9044] ., docs/user/saturne1.tex: Merge rev. 9043 from trunk
	  (documentation fix).

2016-09-12 15:23  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9042] NEWS: Fix typo in NEWS.

2016-09-12 15:20  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9038] ., NEWS, bin/cs_case_domain.py,
	  extras/code_saturne.cfg.template: Merge rev. 9037 from trunk
	  (path computation fixes for Code_Aster coupling).

2016-09-02 17:21  Yvan Fournier <yvan.fournier@edf.fr>

	* [r9019] ., NEWS, src/base/cs_fan.c: Merge rev. 9018 from trunk
	  (fix crash in fan model due to incorrect field name).

2016-08-31 08:20  Martin Ferrand <martin.ferrand@edf.fr>

	* [r9012] NEWS, src/alge/cs_balance_by_zone.c: Merge rev. 9011 from
	  trunk (fix in head losses computation).

2016-08-31 08:13  Martin Ferrand <martin.ferrand@edf.fr>

	* [r9010] src/alge/cs_balance_by_zone.c: Merge rev. 9009 from trunk
	  (fix in head loss balance by zone).

2016-08-11 17:19  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8981] ., NEWS, po/fr.po, src/alge/cs_sles_it.c,
	  src/rayt/cs_rad_transfer_absorption.c,
	  src/rayt/cs_rad_transfer_solve.c,
	  src/rayt/cs_rad_transfer_wall_flux.c: Merge rev. 8980 from trunk
	  (fix regression with Modak absorption).

2016-08-01 16:28  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8966] ., NEWS, src/base/fldvar.f90: Merge rev. 8965 from trunk
	  (work around XL Fortran ISO-C bindings bug).

2016-08-01 13:44  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8964] ., NEWS, src/fvm/fvm_to_med.c: Merge rev. 8963 from trunk
	  (fix for build with MED and no MPI).

2016-07-29 15:57  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8954] ., NEWS, libple/po/fr.po, po/fr.po,
	  src/user/cs_user_boundary_conditions.c[CPY]: Merge rev. 8942 from
	  trunk (missing file) and add missing NEWS update.

2016-07-29 15:37  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8951] NEWS: Prepare for version 4.3 release.

2016-07-27 14:33  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8950] ., src/alge/cs_matrix_building.c: Merge rev. 8948 from
	  trunk (fix mode bits).

2016-07-27 14:33  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8949] ., src/lagr/cs_lagr_resuspension.c,
	  src/mesh/cs_mesh_quantities.c, src/user/cs_user_lagr_bcs.c,
	  src/user/cs_user_lagr_particle.c,
	  src/user_examples/cs_user_boundary_conditions-electric_arcs_ieljou_3_or_4.c,
	  src/user_examples/cs_user_lagr_particle.c: Merge rev. 8946 from
	  trunk (whitespace and minor cleanup).

2016-07-25 09:33  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8941] bin/cs_compile.py,
	  examples/2-full_domain/case2/cs_user_boundary_conditions.f90,
	  examples/2-full_domain/case3/cs_user_boundary_conditions.f90,
	  gui/Pages/LagrangianBoundariesModel.py,
	  gui/Pages/LagrangianBoundariesView.py,
	  gui/Pages/LocalizationModel.py, src/base/caltri.f90,
	  src/base/cs_c_bindings.f90, src/base/cs_preprocess.c,
	  src/base/cs_prototypes.h, src/base/iniusi.f90,
	  src/base/inivar.f90, src/base/paramx.f90, src/base/tridim.f90,
	  src/elec/cs_elec_model.h, src/gui/cs_gui_particles.c,
	  src/lagr/cs_lagr.h, src/lagr/cs_lagr_adh.c,
	  src/lagr/cs_lagr_car.c, src/lagr/cs_lagr_injection.c,
	  src/lagr/cs_lagr_log.c, src/lagr/cs_lagr_new.c,
	  src/lagr/cs_lagr_prototypes.h, src/lagr/cs_lagr_resuspension.c,
	  src/lagr/cs_lagr_tracking.c, src/lagr/lagran.f90,
	  src/mesh/cs_mesh_extrude.c, src/mesh/cs_mesh_quantities.c,
	  src/mesh/cs_mesh_quantities.h, src/user/Makefile.am,
	  src/user/cs_user_boundary_conditions.f90,
	  src/user/cs_user_lagr_bcs.c, src/user/cs_user_lagr_particle.c,
	  src/user_examples/Makefile.am,
	  src/user_examples/cs_user_boundary_conditions-advanced.f90,
	  src/user_examples/cs_user_boundary_conditions-atmospheric.f90,
	  src/user_examples/cs_user_boundary_conditions-auto_inlet_profile.f90,
	  src/user_examples/cs_user_boundary_conditions-base.f90,
	  src/user_examples/cs_user_boundary_conditions-compressible.f90,
	  src/user_examples/cs_user_boundary_conditions-cooling_towers.f90,
	  src/user_examples/cs_user_boundary_conditions-electric_arcs.f90,
	  src/user_examples/cs_user_boundary_conditions-electric_arcs_ieljou_3_or_4.c[CPY],
	  src/user_examples/cs_user_boundary_conditions-electric_arcs_ieljou_3_or_4.f90[DEL],
	  src/user_examples/cs_user_boundary_conditions-fuel.f90,
	  src/user_examples/cs_user_boundary_conditions-gas_3ptchem.f90,
	  src/user_examples/cs_user_boundary_conditions-gas_ebu.f90,
	  src/user_examples/cs_user_boundary_conditions-gas_libby_williams.f90,
	  src/user_examples/cs_user_boundary_conditions-mapped_inlet.f90,
	  src/user_examples/cs_user_boundary_conditions-pulverized_coal.f90,
	  src/user_examples/cs_user_boundary_conditions-pulverized_coal_lagrangian.f90,
	  src/user_examples/cs_user_boundary_conditions-richards.f90,
	  src/user_examples/cs_user_boundary_conditions_elec.c[DEL],
	  src/user_examples/cs_user_lagr_particle.c: Merge rev. 8932 to
	  8940 from trunk.

2016-07-21 11:29  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8929] src/lagr/cs_lagr.c, src/lagr/cs_lagr.h,
	  src/lagr/cs_lagr_car.c, src/lagr/cs_lagr_deposition_model.c,
	  src/lagr/cs_lagr_gradients.c, src/lagr/cs_lagr_new.c,
	  src/lagr/cs_lagr_precipitation_model.c,
	  src/lagr/cs_lagr_resuspension.c, src/lagr/cs_lagr_sde.c,
	  src/lagr/cs_lagr_tracking.c, src/rayt/cs_rad_transfer_solve.c,
	  src/user_examples/cs_user_lagr_particle.c: Merge rev. 8888 to
	  8894 from trunk.

2016-07-21 10:49  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8928] src/lagr/cs_lagr_resuspension.c,
	  src/lagr/cs_lagr_tracking.c: Merge rev. 8887 from trunk.

2016-07-19 11:29  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8921] ., NEWS: Merge rev. 8919 from trunk (fix required
	  MEDCoupling version info in NEWS).

2016-07-19 11:28  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8920] ., src/alge/cs_sles_it.c: Merge rev. 8918 from trunk
	  (help ensure compiler uses a local temporary for Gauss-Seidel
	  iterations).

2016-07-18 12:12  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8917] ., NEWS, gui/Pages/NumericalParamEquationModel.py,
	  gui/Pages/NumericalParamEquationView.py, src/alge/cs_grid.c,
	  src/alge/cs_grid.h, src/alge/cs_matrix_building.c,
	  src/alge/cs_matrix_building.h, src/alge/cs_multigrid.c,
	  src/alge/cs_multigrid.h, src/alge/cs_sles.c, src/alge/cs_sles.h,
	  src/alge/cs_sles_default.c, src/alge/cs_sles_default.h,
	  src/base/cs_equation_iterative_solve.c, src/gui/cs_gui.c: Merge
	  rev. 8906 from trunk (add convection-diffusion multigrid solver).

2016-07-18 12:10  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8916] ., NEWS, src/base/cs_post.c, src/base/cs_post.h: Merge
	  rev. 8905 from trunk (allow user activation/deactivation of
	  parallel domain visualization).

2016-07-18 12:10  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8915] ., docs/install/install.tex: Merge rev. 8904 from trunk
	  (update preferred MED version in documentation).

2016-07-18 12:09  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8914] ., src/gui/cs_gui_boundary_conditions.c,
	  src/lagr/cs_lagr_options.c: Merge rev. 8903 from trunk (fix minor
	  memory leaks).

2016-07-18 12:09  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8913] ., NEWS, src/gui/cs_gui_mesh.c,
	  src/mesh/cs_mesh_extrude.c, src/mesh/cs_mesh_extrude.h,
	  src/user_examples/cs_user_mesh-modify.c: Merge rev. 8902 from
	  trunk (allow keeping the group class info of extruded faces
	  previously on boundary).

2016-07-18 12:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8912] ., NEWS, po/fr.po, src/apps/cs_solver.c,
	  src/base/cs_file.c, src/base/cs_file.h, src/fvm/fvm_to_med.c,
	  src/fvm/fvm_to_med.h: Merge rev. 8900 from trunk (add parallel IO
	  for MED output).

2016-07-18 12:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8911] ., docs/install/install.tex, docs/user/saturne1.tex,
	  install_saturne.py: Merge rev. 8899 from trunk (update HDF5 and
	  MED preferred versions).

2016-07-18 12:07  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8910] ., po/fr.po, src/alge/cs_sles_default.c: Merge rev. 8898
	  from trunk (allow fallback of multigrid solver to PCG).

2016-07-18 12:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8909] ., src/base/cs_block_dist.c: Merge rev. 8897 from trunk
	  (fix block distribution active ranks computation when rank_step >
	  1).

2016-07-18 12:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8908] ., gui/Base/XMLengine.py: Merge rev. 8896 from trunk (GUI
	  fix for Python 3).

2016-07-18 12:05  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8907] ., NEWS, m4/cs_salome.m4,
	  src/base/cs_paramedmem_coupling.cxx,
	  src/base/cs_paramedmem_coupling.hxx,
	  src/fvm/fvm_to_medcoupling.cxx: Merge rev. 8895 from trunk
	  (Update MEDCoupling and ParaMEDMEM to SALOME 7.8).

2016-07-08 16:37  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8878] ., NEWS, m4/cs_salome.m4,
	  src/base/cs_paramedmem_coupling.cxx,
	  src/fvm/fvm_to_medcoupling.cxx: Merge rev. 8877 from trunk
	  (SALOME 7.8 update for MEDCoupling).

2016-07-08 14:01  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8876] .[CPY]: Branch version 4.3.

2016-07-08 11:53  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8875] update plotVTK with new version

2016-07-07 16:34  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8874] For autovnv on porthos

2016-07-07 09:42  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8873] Call C version of cs_user_initialization after the
	  fortran one.

2016-07-06 17:18  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8872] Add some automatic computation for integral porosity
	  modelling.
	  
	  The fluid sections are clipped to 0 when porosity is 0, the
	  solid_flag is then set so that matrices are invertible.

2016-07-06 16:07  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8871] Fixes for P1 radiation model.

2016-07-06 16:07  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8870] Minor code cleanup.

2016-07-06 13:28  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8869] add magnetic field

2016-07-06 12:10  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8868] Fix bug introduced in rev. 8819 (Internal deposition
	  model for Lagangian module)

2016-07-06 12:10  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8867] Minor Clean up fully transparent.

2016-07-06 12:10  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8866] Add an imposed motion user function for the Lagrangian
	  module.

2016-07-06 12:10  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8865] Clean up.

2016-07-06 09:25  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8864] CDO: (Major) Add new convection scheme for CDO V+C
	  schemes - Compute additional information related to CDO mesh
	  quantities - Add new functions to cs_advection_field.h

2016-07-06 09:25  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8863] CDO: Fix for CDO Face-based schemes when Dirichlet BCs
	  are strongly enforced

2016-07-06 09:25  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8862] CDO: Minor updates (comments, blanks, renaming,
	  compilation warnings)

2016-07-06 09:25  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8861] CDO: Remove structures related to geometrical quantities
	  in Hodge builder

2016-07-06 09:25  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8860] CDO: Adaptation of advection operators in order to add
	  new schemes

2016-07-06 09:25  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8859] CDO: Share the build of the cell --> dir faces
	  connectivity

2016-07-06 09:25  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8858] CDO: Add postprocessing of Courant, Fourier and Peclet
	  numbers for all schemes
	  
	  - Split cs_equation.* files - Mutualize temporary buffers used
	  for building algebraic systems - Rename cs_equation_priv.* into
	  cs_equation_param.* - Use a flag to identify which kind of
	  schemes are requested

2016-07-06 09:25  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8857] Adaption of sources to handle PETSc 3.7.*

2016-07-06 09:25  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8856] CDO: Add weak enforcement of Dirichlet BCs for CDO V+C
	  scheme
	  
	  - Merge common features with CDO VB schemes

2016-07-06 09:25  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8855] Add computation of diffusive flux and flux across a plane
	  for CDO V+C
	  
	  - Adapt CDO V+C for computing groundwater flows - Rename
	  cs_cdo_locmesh_t structure into cs_cell_mesh_t - Add a
	  cs_face_mesh_t structure - Prepare a full openMP integration -
	  Share source for computing fluxes between CDO-VB with WBS algo.
	  and CDO-V+C

2016-07-06 09:25  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8854] Minor updates: renamings, compilation warnings,
	  optimizations
	  
	  - Remove blanks - Change names in cs_cdo_scheme_geometry -
	  Improve the way cdo quantities are defined - Remove several
	  compilation warnings

2016-07-06 09:25  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8853] CDO: (major commit) Add V+C scheme for diffusion
	  
	  - Add a new kind of discretization scheme relying on vertex +
	  cell DoFs - Add a new type of matrices in SLA part for hybrid
	  discretizations - Make more general diffusion builders - Add a
	  new type of discrete Hodge operator Remark: BCs are only enforced
	  with a strong penalization.

2016-07-06 09:22  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8852] Missing boundary conditions include in radiative transfer
	  solve.

2016-07-05 15:32  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8851] update XML for lagrangian call in NEPTUNE_CFD

2016-07-05 15:12  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8850] Fix argument for closeEditor function

2016-07-04 16:19  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8849] Fix for build without sockets support.

2016-07-04 09:14  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8848] Fix self.sender in StartRestartView for pyQt4 on c7

2016-07-04 08:49  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8847] Extend control file mechanism with Python module
	  communicating through sockets.

2016-07-01 15:12  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8846] Fix autovnv xml update for coupled cases (update subdirs
	  only).

2016-06-29 12:12  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8845] Ensure backcompatibility when version is not an official
	  version

2016-06-29 09:18  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8844] Fix hydraulic head boundary condition under calibre7

2016-06-29 09:05  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8843] update documentation for electric arc

2016-06-28 15:19  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8842] Fix field labels in atmo. chemistry (prov. by R.
	  Bresson).

2016-06-28 15:19  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8841] Style fix in convection diffusion.

2016-06-28 11:35  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8840] Fix bug introduced in rev. 8819 (Internal deposition
	  model for Lagangian module)

2016-06-27 09:27  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8839] add field_id for boundary conditions (for lagrangian in
	  NEPTUNE_CFD)

2016-06-27 08:17  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8838] add access to restart file without fortran wrapper

2016-06-27 08:16  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8837] access to conjugate heat transfer without fortran wrapper

2016-06-27 08:15  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8836] prepare radiative transfer for NEPTUNE_CFD in GUI

2016-06-27 08:14  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8835] Fix : Radiative boundary conditions never exist

2016-06-23 14:09  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8834] Revert incorrect style change and add more style fixes.

2016-06-23 13:21  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8833] Fix for lagrangian module with neptune_cfd

2016-06-23 12:15  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8832] Fix output for combustion variables with lagrangian

2016-06-23 12:14  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8831] Lagrangian output control is now enable for neptune_cfd

2016-06-23 11:46  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8830] split lagrangian initialize statistics

2016-06-23 08:05  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8829] Coding style fixes.

2016-06-23 00:59  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8828] Fix bug introduced in rev. 8423 (Translation of arc
	  electric in C).

2016-06-23 00:59  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8827] Fix in rev. 8819 and 8822 (Lagrangian module deposition
	  and cs_user_initialization.c)

2016-06-23 00:59  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8826] Update comments.

2016-06-21 13:31  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8825] back compatibility for lagrangian boundary conditions

2016-06-21 08:28  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8824] Complete rev. 8822.

2016-06-20 18:05  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8823] Correct a refence in the doc.

2016-06-20 13:17  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8822] add cs_user_initialization in C for lagrangian module

2016-06-20 10:03  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8821] prepare lagrangian module for NUPTUNE_CFD call

2016-06-20 09:25  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8820] Complements for internal face deposition in the
	  Lagrangian module: - Addition of a parameter "Fouling Index" in
	  GUI and corresponding modifications/addition in other routines -
	  Modification of several routines for particle-surface
	  interactions to use a local debye length and to use a global
	  retardation wavelength for VDW forces (in cs_lagr_clogging,
	  cs_lagr_dlvo, cs_lagr_roughness) - Addition of a specific model
	  in cs_lagr_resuspension to treat the case of resuspension for
	  particles deposited on internal faces (CS_LAGR_IMPOSED_MOTION)
	  Warning! Not yet general for every case - Modification to
	  evaluate particle deposition on internal faces according to DLVO
	  forces (condition IDEPFA on internal faces) in cs_lagr_tracking.c

2016-06-20 09:25  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8819] Add deposition model on internal faces in the Lagrangian
	  module (with specific case of particles with imposed motion) -
	  Creation of new structures, pointers and functions in caltri.f90,
	  pointe.f90, cs_lagr.c, cs_lagr.h, lagran.f90 - Modification of
	  cs_lagr_sde.c to allow particles deposited on internal faces to
	  rotate (imposed motion) - Modification of cs_lagr_tracking.c to:
	  1) detect deposition on internal faces (function
	  internal_treatment similar to boundary_treatment) 2) modify the
	  fluid area of internal faces (to allow for two-way coupling)

2016-06-20 09:25  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8818] Major commit in the Lagragian module (new trajectory
	  algorithm (cs_lagr_tracking)) Corrections of bugs to calculate
	  properly: CS_LAGR_YPLUS (distance to the wall) and
	  CS_LAGR_MARKO_VALUE (flag related to yplus) so that particle
	  displacements are evaluated using the appropriate models

2016-06-20 09:25  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8817] Modification in the Lagrangian module (cs_lagr_injection
	  and cs_lagr_particle): 1. Correction of a bug in the case of the
	  injection of a particle with an imposed velocity perpendicular to
	  the face 2. RANDOM_VALUE set with zufall (to avoid generating
	  particles with the same value) Modifications of cs_lagr_sde: 1.
	  Correction to modify only the fluid velocity seen in the
	  tangential direction 2. Correction of a bug (no need of exp with
	  a positive argument)

2016-06-15 16:58  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8816] Fixes for MEDCoupling output.

2016-06-15 16:57  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8815] Fix Fortran module build dependency issues.

2016-06-09 16:25  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8814] Fix in turbomachinery extra operations example file.
	  Provided by Benoît de Laage de Meux.

2016-06-06 11:22  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8813] Fix rev. 8805 (incorrect test since
	  cs_physical_model_flag (ippmod) is initialized to -1).

2016-06-06 10:35  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8812] add dump python for GUI

2016-06-06 09:03  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8811] add automatic choice for sheme order

2016-06-06 08:45  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8809] Post process and add to log by default user properties.

2016-06-06 08:45  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8808] Remove unused variable and update comments.

2016-06-06 08:45  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8807] Fix bug in AFM and DFM model with buoyancy.

2016-06-06 08:45  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8806] Remove unused variable.

2016-06-01 08:41  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8805] Ensure post-processing boundary fields (stress, yplus,
	  tplus, ...) are not created for GWF runs with the GUI.

2016-05-31 13:20  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8804] Minor fix in labels in GUI (remaining 'Stresss' in GWF).

2016-05-31 09:40  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8803] Minor fix in Doxygen.

2016-05-30 15:28  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8802] Fix XML_DEBUG for lagrangian

2016-05-26 08:41  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8801] Simplify MEDCoupling output by creating MEDCoupling
	  meshes on the current partition.

2016-05-25 16:53  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8797] Translate radiation model to C. This implies some other
	  changes throughout the code, as some specific physics are now
	  mapped to C for easier access, reducing the local number of
	  arguments of some C functions.

2016-05-25 16:53  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8796] Fix for Tstar postprocessing with Dirichlet BC's (rev.
	  8780) should also apply to rough walls.

2016-05-25 15:24  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8795] Fix in theory guide (intro. in rev. 8772, 1rst stage of
	  lag. to C).

2016-05-25 14:29  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8794] Fix some mistake for GroudWater Flows

2016-05-23 08:19  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8793] Fix previous commit (missing arg clean up in 1 call to
	  csenso).

2016-05-20 18:02  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8792] Map ntlist to newly added cs_glob_log_frequency (Prov. by
	  T. Moy).

2016-05-20 18:02  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8791] Remove const qualifier for Smagorinsky constant
	  (cs_turb_csmago). It is actually modified in 10_DIT Validation
	  case (in Fortran). Prov. by T. Moy.

2016-05-20 18:02  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8790] Remove test preventing from having an empty usipph (model
	  parameters) with no GUI (in order to allow model settings in
	  cs_user_parameters.c only and without GUI). Prov. by T. Moy.

2016-05-20 13:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8789] Delay creation test for ustar field after modini.

2016-05-20 13:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8788] Improve handling of Particle injection frequency.

2016-05-20 13:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8787] Fix some memory leaks.

2016-05-19 17:33  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8783] Correct a comment.

2016-05-19 17:33  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8782] Fix when activating advanced reinitialization of Rij with
	  EBDFM model and use another model.

2016-05-19 17:33  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8781] Complete automatic treatment of BCs for DFM model on
	  scalars.

2016-05-19 17:33  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8780] Fix in the computation of the post-processing variable
	  Tstar when imposing a Dirichlet BC.

2016-05-19 17:33  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8779] Re add basic example on cs_user_parameters.f90

2016-05-19 17:33  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8778] Fix bug in field initialization done in the GUI
	  (especially problematic when have user field with other mesh
	  location than cells).

2016-05-19 17:33  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8777] Fix bug in the coupled solver of Rij (irijco=1) when AFM
	  or DFM models are activated on scalars

2016-05-19 16:16  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8776] Add Boltzmann constant (kb) to physical constants
	  namespace in C and remove ideal gas constant (r) from physical
	  constants structure. Both kb and r are now declared as global
	  constants in C and in Fortran.

2016-05-17 17:34  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8775] Fix for Lagrangian restart.

2016-05-17 17:34  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8774] Remove empty modules.

2016-05-17 08:36  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8773] Some fixes for Lagrangian module I/O options.

2016-05-13 18:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8772] First stage of Lagrangian module conversion to C.
	  Boundary statistics and source terms need to be rewritten, and
	  further cleanup is required, but the code is now at a stage where
	  other work may be merged.

2016-05-13 18:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8771] Fix: fields with no previous value are not always steady.

2016-05-13 18:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8770] Add translation for joining.

2016-05-13 18:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8769] Add missing log info and remove other info redundant with
	  setup.log.

2016-05-13 18:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8768] Ensure build with Address Sanitizer is usable without
	  relink.

2016-05-13 13:33  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8763] Compressible: ensure ithvar is set to 10000 before
	  initialisation even without GUI.

2016-05-12 09:33  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8762] GWF: compute pressure head by taking into account a
	  gravity direction.

2016-05-06 11:31  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8760] CDO: Avoid compilation warnings

2016-05-06 11:31  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8759] CDO: Modify the way advanced settings is done
	  
	  - Replace keywords by enum for cs_domain_t, cs_advection_field_t
	  and cs_equation_t - Replace keywords by enum for setting
	  groundwater flow problems - Replace weight algo. by scheme for
	  the advection term - Improve comments in some headers - Remove
	  blanks

2016-05-06 11:31  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8758] CDO: Apply time scheme cell-wise. Simplify management of
	  reaction term

2016-05-06 11:31  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8757] CDO: Add a cleaning stage for CDO-VB schemes

2016-05-06 11:31  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8756] CDO: Several minor improvements
	  
	  - Avoid a warning during compilation. - Fix typos in headers -
	  Add comments - Rename variables - Make a test in a different way

2016-05-06 11:31  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8755] CDO: Add a weak enforcement of Dirichlet BCs for WBS
	  algo.

2016-05-04 14:01  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8754] Avoid unneeded reallocations.

2016-05-03 16:58  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8753] Fix in post-treatment utility functions in C
	  (cs_post_util.c wasn't compiled).

2016-05-03 12:10  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8752] Doxygen zufall (random number generation library).

2016-05-03 12:10  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8751] Correct a comment.

2016-04-28 12:44  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8750] Add missing prefixes to some non-static C functions.

2016-04-27 14:25  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8749] Fix rev. 8743 (options for iterative tensorial transport
	  equation solver).

2016-04-27 13:27  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8748] Clean header of user mesh input examples.

2016-04-26 16:24  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8747] Add variant coupled face BC type to avoid passing Fortran
	  ifaccp option to lower levels.

2016-04-26 12:33  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8746] Minor cleanup, silence some warnings.

2016-04-26 10:21  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8745] Allocate bc_type in C and map Fortran array itypfb on it.

2016-04-26 10:21  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8744] Fix previous rev. 8743.

2016-04-25 09:41  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8743] Move codits, coditv, coditts, bilsca, bilscv, bilsct into
	  C (prov. by T. Moy): - codits, coditv and coditts files are in
	  cs_equation_iterative_solve.c. - Create Fortran wrappers for
	  codits, coditv and coditts in cs_c_bindings.f90. - bilsca, bislcv
	  and bilscts are in cs_balance.c. - Create Fortran wrappers for
	  bilsca, bilscv and bilscts in cs_c_bindings.f90. - Delete Fortran
	  wrappers of matrxv, matrvv, diften... in cs_matrix_building.c. -
	  Doxygen the translated subroutine.

2016-04-25 07:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8742] Add CS_UNUSED macros to silence some warnings.

2016-04-25 06:56  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8737] Fix incorrect term in efforts computation in z direction.

2016-04-22 15:21  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8736] P1 radiative model: warn but do not stop if optical
	  thickness is out of model validity domain.

2016-04-22 10:39  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8734] Fixed missing metadata update after extrusion in serial
	  case.

2016-04-21 18:05  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8733] CDO: Define a generic function for computing the
	  diffusive flux (cellwise)

2016-04-21 18:05  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8732] CDO: Improve the way discrete Hodge op. are built with
	  the WBS algo.

2016-04-21 18:05  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8731] CDO: Enable reduction of source term either on primal or
	  dual entities
	  
	  - Modify the way option for source term are set - Hodge built
	  with conforming reconstruction is now shared

2016-04-21 18:05  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8730] CDO: rename variables and resolve some compilation
	  warnings

2016-04-21 18:05  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8729] CDO: (Major modification) Improve the performance of
	  CDO-vb schemes
	  
	  * Add OpenMP directives * Add a structure to store local mesh
	  attached to a cell in order to get a better cache efficiency *
	  Simplifiy the building of stiffness matrices * Avoid
	  allocation/free of intermediate builder structures * Rename a
	  member of the cs_locmat_t structure

2016-04-21 18:05  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8728] CDO: Fix a bug when BC are strongly enforced

2016-04-21 18:05  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8727] CDO: Minor modifications (blanks, comments, renaming)

2016-04-21 18:05  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8726] CDO: used shared pointers in CDO-vb and -fb scalar-valued
	  equations

2016-04-21 18:05  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8725] CDO: Add a cs_locdec_t structure for local discrete
	  exterior derivatives

2016-04-21 18:05  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8724] CDO: Optimizations

2016-04-21 18:05  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8723] CDO: Fix a bug when Hodge operator is built with VORONOI
	  algo.

2016-04-21 08:55  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8722] Set max. number of probes (ncaptm) to 200 (previous max.
	  was 100).

2016-04-21 08:25  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8721] Use relative path for subdirectories when coupling code.

2016-04-21 08:25  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8720] Fix for particle tracking.

2016-04-20 15:54  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8719] Use cs_math_epzero for all epzero=1e-12 in C code.

2016-04-15 17:32  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8718] Fix theta scheme (for scalar, vector, tensor) with mass
	  source term. Mass source term gamma is a part of the unsteady
	  term and should not be multiplied by theta (mass accumulation
	  term (div(rho u)) in the matrices has already been fixed by rev.
	  8337).

2016-04-15 16:21  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8717] Fix bug introduced in rev8627 (gas combustion) (provided
	  by B. Sapa).

2016-04-13 12:16  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8716] Fix for calibre7 compatibility qt4 qt5

2016-04-13 07:56  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8715] Fix : add x_c_h variable for coal combustion in GUI

2016-04-12 18:25  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8714] Use field API to access to the dilation source terms
	  (iustdy(iscal)).

2016-04-12 17:33  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8713] Remove few missed propce occurences outside base
	  directory in last commit.

2016-04-12 17:22  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8712] Remove last occurences of propce outside of base
	  directory (mainly in comments).

2016-04-08 13:09  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8708] Fix xml reader for mobile mesh (replacing all unsigned
	  ints by ints).

2016-04-08 12:26  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8707] Fields are now all interleaved, and non-interleaved
	  option is removed.

2016-04-08 08:11  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8706] Fix missing update of boundary cells list after extrusion
	  in serial mode.

2016-04-07 17:58  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8705] Missing GUI update for rev. 8702.

2016-04-07 16:26  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8704] Fix bad printf in electric model

2016-04-07 15:42  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8703] Fix bug due to missing update of additional mesh
	  adjacencies structure introduced in rev. 8517.

2016-04-07 14:51  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8702] Interleave vector properties and some cleanup for
	  electric model.

2016-04-07 14:51  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8701] Remove more propce references in radiative and Lagrangian
	  modules, and interleave some radiative properties.

2016-04-07 14:51  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8700] Delay obtaining pointers to properties until after we are
	  sure they exist.

2016-04-07 13:48  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8699] Fix rev. 8690 (propce in rayt).

2016-04-07 07:11  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8698] Fix rev. 8690 (pointer to radiative flux has to be of
	  dimension 2).

2016-04-06 14:33  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8694] Fix computation of divergence of scalar turbulent flux
	  for irijco=1.

2016-04-06 14:21  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8693] Fix typo in unused function of turbomachinery module
	  (provided by B. de Laage de Meux).

2016-04-06 12:56  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8692] Fix Reynolds tensor trace in anisotropic turb. visc.
	  computation for irijco=1.

2016-04-06 11:49  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8691] Fix arguments cleaning in rev. 8690 (remove propce in
	  rayt dir.).

2016-04-06 08:19  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8690] Remove all occurences of propce from rayt directory.

2016-04-05 18:14  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8689] Remove all propce occurences from cogz directory.

2016-04-04 16:32  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8687] Fix for Salome MEDCoupling detection.

2016-03-31 14:28  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8686] Improve label.

2016-03-30 13:15  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8685] Update News file.

2016-03-30 09:04  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8684] Adapt low-Mach algorithm for pressure raise calculation
	  in fire modelling (provided by B. Sapa).
	  
	  - the mass balance can be used independently through the new flag
	  ipthrm - the mass balance deals with a global leak (surface
	  sleak, head loss kleak=2.9 from Idelcick)

2016-03-30 07:10  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8682] Fix bug in porous modelling for the integral formulation
	  (iporos=3) and anisotropic diffusion on scalars.
	  
	  It was the case for the pressure when head losses are switch on
	  (then the pseudo time step is a tensor in the correction step).

2016-03-24 17:34  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8678] Fix URL for HDF5 in automatic installer.

2016-03-24 17:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8677] Fix handling of MPI C++ wrapper in automatic installer.

2016-03-24 17:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8676] Very minor transations update.

2016-03-24 15:09  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8675] Fix for section resize in GUI

2016-03-24 10:07  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8665] Fix bug in PT-Scotch detection on some systems.

2016-03-24 09:22  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8664] Improve selection between PyQt4 and PyQt5.

2016-03-24 07:43  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8663] Doxygen: add link to example of net flux specification in
	  user subroutine description.

2016-03-23 16:27  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8662] Remove .orig files using sbin/clean.

2016-03-23 16:27  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8661] Fix postprocessing output of parallel rank for
	  sub-meshes.

2016-03-23 15:57  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8660] CDO: Fix computation of diffusive flux for interior faces

2016-03-23 15:02  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8659] CDO: Add a new way to initialize a field
	  
	  Put a given quantity inside a volume spanned by a selection of
	  cells. In case of vertex-based schemes, vertices at the frontier
	  of this volume are set to zero.

2016-03-23 15:02  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8658] CDO: Fix memory leaks

2016-03-23 15:02  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8657] CDO: Add the evaluation of diffusive and advective flux

2016-03-23 15:02  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8656] CDO: Improve the capability of monitoring CDO
	  computations.
	  
	  - Add timer statistics for properties. - Enable switch on/off of
	  the monitoring when the verbosity level is high.

2016-03-23 15:02  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8655] Minor modifications (blanks, comments, renaming..) -
	  Rename some members of cs_connect_info_t structure - Rename
	  definitions by laws - Add some openMP directives for
	  initialization

2016-03-23 14:58  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8654] Fix pyqtSlot for slotFinished

2016-03-23 13:04  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8653] add compatibility pyQt4 and pyQt5

2016-03-23 13:03  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8652] Fix for rev. 8641 (fix for additional partitioning w/
	  space filling curve).

2016-03-23 12:57  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8651] Minor consistency fix for rev. 8641.

2016-03-23 10:26  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8650] Some fixes for rev. 8641.

2016-03-22 18:46  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8649] Attempt to work around apparent Intel 15 compiler bug.

2016-03-22 16:47  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8648] Some additional Doxygen fixes.

2016-03-22 16:47  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8647] Complete improvements to 2D mesh Hilbert partitioning.

2016-03-22 15:45  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8646] Fix rev. 8637 (clean extra argument in call to
	  cs_fuel_masstransfer).

2016-03-22 15:33  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8645] Move examples from user dir. to user_examples dir. and
	  improve Doxygen (provided by T. Moy): - several examples are set
	  to the Doxygen format, including post-process (Fortran), user
	  solver, condensation mass source terms, user code coupling,
	  atmospheric models (init. and diverse settings), electric
	  scaling, performance tuning (partioning, renumbering, ...), user
	  module, radiative transfers parameters, 1D wall thermal transfer
	  - add references in cs_user_tab.h to corresponding pages - fix
	  miscellaneous Doxygen typos.

2016-03-22 14:31  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8644] Various Doxygen fixes.

2016-03-22 14:31  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8643] Move most postprocessing output documentation to Doxygen.

2016-03-22 11:35  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8642] Improve handling of Hilbert partitioning for 2D meshes.

2016-03-22 11:35  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8641] Fix for additional partitioning with space-filling curve.

2016-03-21 11:05  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8640] Fix rev. 8637 (missing field_get_val for NO source term
	  in 1 of the NOx model (imdnox=1)).

2016-03-18 16:36  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8637] Remove propce occurences from comb directory (replaced by
	  cs_field API).

2016-03-18 16:16  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8635] Fix "code_saturne help submit" command output.

2016-03-18 16:14  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8634] Add data settings examples for fluid structure
	  interaction in Doxygen examples.

2016-03-18 16:14  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8633] Fix header of electric scaling user function (TODO: code
	  should be commented).

2016-03-18 12:45  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8632] Fix Doxygen: add some missing ref, force Fortran code
	  parser to free format.

2016-03-18 09:25  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8630] Fix configure logging comment.

2016-03-18 09:25  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8629] Turbomachinery: make sure ghost cells are built before
	  optional cells renumbering.

2016-03-17 18:53  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8628] Fire modelling: compute soot fraction from automatic
	  equilibrium of chemical reaction (isoot=0). Provided by B. Sapa.

2016-03-17 18:53  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8627] Combustion: automatic equilibrium of the chemical
	  reaction (provided by B. Sapa)
	  
	  The user can specify the composition of the reactants and the
	  product composition is calculated thanks to a atomic balance on
	  C, H, O and N atoms. If other species than CO2, H2O or N2 are
	  present in the products, the user have to specify the quantity.
	  These species have to be placed after the Fuel, O2, CO2, H2O and
	  N2. To use the model, the user set the number of known global
	  species on 2. If the number of known global species is set at 3,
	  the composition have to be define (previous model).

2016-03-17 18:53  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8626] Fire modelling: fix in soot volumic fraction calculation
	  for isoot=0 (provided by B. Sapa)

2016-03-17 18:53  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8625] Correct some Doxygen comments.

2016-03-17 10:53  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8624] CDO: Optimize the construction of Hodge operators (COST
	  algo.)

2016-03-17 10:53  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8623] CDO: Add an interface with block-jacobi preconditionning
	  
	  This capability needs the usage of PetsC.

2016-03-16 15:34  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8622] Fix a problem in cs_post.c when activating writer with a
	  given time frequency

2016-03-16 15:34  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8621] CDO: Add a function to get the members of a probe set
	  structure

2016-03-16 15:34  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8620] CDO: Add the capability to handle variable property
	  related to reaction term.

2016-03-16 15:34  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8619] CDO: Modify the usage of timer statistics

2016-03-16 15:34  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8618] CDO: Change BiCG algorithm used by default in PETSc

2016-03-16 15:34  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8617] CDO: Several minor improvements and fixes > Improve the
	  management of log information for a cs_domain_t structure >
	  Change the way of doing the loop on time > Change comments > Add
	  postprocessing of the advection field when using the groundwater
	  flow module > Fix a problem related to matrix cleaning when
	  several systems are solved > Fix a possible division by zero >
	  Fix a typo in a keyword related to the groudwater flow module

2016-03-16 15:34  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8616] CDO: Implement the Van Genuchten-Mualen model for soil

2016-03-16 15:34  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8615] CDO: Fix a bug in CDO VB for unsteady computations

2016-03-16 15:34  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8614] Blanks, comments and minor modifications.

2016-03-16 15:34  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8613] CDO: Modification for post-processing of steady-state
	  calculation

2016-03-16 15:34  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8612] CDO: Take into account gravitation in groundwater flow
	  module.

2016-03-15 15:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8602] Fix in turbomachinery when nterup > 1. Provided by B. de
	  Laage de Meux.

2016-03-15 15:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8601] Fix in cavitation module in case of turbomachinery
	  transient computation. Provided by B. de Laage de Meux.

2016-03-15 14:41  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8597] Catalyst output: align name of global node ids with
	  expected default for ghost cells generator.

2016-03-15 08:56  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8595] Update library versions downloaded by isntaller.

2016-03-15 08:56  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8594] Ensure turbomachinery mesh modification is done on
	  non-renumbered mesh.

2016-03-14 10:59  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8584] NEWS indentation changes for consistency.

2016-03-14 10:46  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8583] Add basic (non-GUI) support for OAR resource manager.

2016-03-14 10:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8582] Add basic (non-GUI) support for OAR resource manager.

2016-03-14 09:47  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8577] Fix compiler warning.

2016-03-14 09:47  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8576] Missing addition to rev. 8536 for dump function.

2016-03-14 09:47  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8575] Fix reallocation bug for FVM selector dating back to
	  October 2007.

2016-03-14 09:47  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8574] Preliminary support for OAR resource manager.

2016-03-14 09:47  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8573] Ensure mesh->n_cells_with_ghosts is nonzero for earlier
	  stages of preprocessing.

2016-03-14 09:33  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8572] Fix intel compilation broken by rev. 8571 (propce in atmo
	  dir.).

2016-03-11 18:08  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8571] Remove all occurences of propce from atmo. directory.

2016-03-11 17:46  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8570] Update autovnv documentation.

2016-03-11 17:21  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8569] Minor robustness fix in combustion (avoid a direct
	  comparison to 0).

2016-03-11 16:55  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8566] Fix OpenMP for loop in cressman interpolation (atmo).

2016-03-11 16:48  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8565] Improve fields section in Doxygen (provided by T. Moy).

2016-03-10 17:49  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8564] Autovnv: report error also when case creation fails.

2016-03-07 10:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8563] Style fixes.

2016-03-07 10:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8562] Minor cleanup in the handling of property fields.

2016-03-07 10:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8561] Minor arguments cleanup.

2016-03-07 10:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8560] Fix derefrencing of NULL pointer introduced by rev. 8423.

2016-03-07 10:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8559] Various style and compiler warning fixes.

2016-03-07 10:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8558] Add inline function for square of 2 real values.

2016-03-07 10:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8557] Fix gradient type log names.

2016-03-07 10:39  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8556] Allow threading for sorting of indexed sections.

2016-03-07 10:39  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8555] Disable floating-point exception trapping for CoolProp.

2016-03-03 12:25  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8550] Fix time moment weighting issue when no moment is active
	  at the initial time step.

2016-03-03 12:25  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8549] Refactor some (not yet used) code in renumbering.

2016-03-02 18:08  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8548] Improve robustness in the scalar boundary conditions wall
	  functions. Especially important for atmospheric flows with high
	  non-orthogonlaities.
	  
	  The wall function should not create a boundary face value which
	  is not in between the original wanted one and the cell value.

2016-03-02 17:12  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8547] Update NEWS.

2016-03-02 10:35  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8546] CDO: Simplify management of properties. Definition is
	  always performed by subdomain(s).
	  
	  Simplify cs_property_t structure. Now rely on a cs_param_def_t
	  structure which is dedicated to a definition by mesh locations
	  (supported by cells).

2016-03-02 10:35  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8545] Comments, code cleaning and blanks

2016-03-02 10:35  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8544] CDO: Fix a bug when options are predefined and are in
	  conflict with those defined by user.

2016-03-02 10:35  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8543] CDO: Improve the way PETSc solvers/preconditioners are
	  managed.

2016-03-02 10:35  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8542] CDO: Avoid a warning during compilation.

2016-03-02 10:35  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8541] CDO: Improve the settings of initial conditions and
	  change flags
	  
	  - Update the summary of a cs_equation_t structure - move and
	  rename flag describing a variable. - Add a new type called
	  cs_desc_t (add new qualifiers such as potential, circulation,
	  flux and density) - Improve the settings of initial conditions.
	  
	  Signed-off-by: Jérôme Bonelle <jerome.bonelle@edf.fr>

2016-03-01 13:57  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8540] Add script to update Git branch tags from Subversion.

2016-03-01 13:48  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8539] Fix crash due to Intel compiler (2015) optimization bug.

2016-03-01 13:48  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8538] First vectorization of Kahan dot product.

2016-03-01 13:48  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8537] Fix for spurious deactivation of some BLAS tests from
	  rev. 8523.

2016-03-01 13:48  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8536] Fix issues detected by GCC's Undefined Behavior
	  Sanitizer.

2016-03-01 13:48  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8535] Fixes to avoid compiler warnings.

2016-03-01 13:48  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8534] Fix missing initialization.

2016-02-27 13:07  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8531] Fix bug in default writer format when using SALOME.

2016-02-23 15:24  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8529] When restarting with a saved rotor/stator mesh, ensure
	  partitioning is unchanged.

2016-02-23 15:24  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8528] Ensure libasan is linked first (as required) when address
	  sanitizer is used.

2016-02-23 09:38  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8526] Compressible: fix rev. 8524.

2016-02-22 18:31  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8524] Compressible: add a verification of the value of the
	  indicator of the user initialisatised thermo. properties (ithvar)
	  just before the initialisation.

2016-02-22 18:27  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8523] Add performance tests for various 3x3 linear system
	  solving methods in unit tests.

2016-02-22 13:52  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8522] update user guide with fortran-c conversion for electric
	  model

2016-02-22 09:13  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8521] Fixes for Doxygen and update po file.

2016-02-22 09:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8520] Minor coding changes to reduce warnings, including those
	  of Clang's scan-build.

2016-02-22 09:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8519] Update automatic config flags.

2016-02-22 09:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8518] Change looping structure for least squares vector
	  gradients, reducing storage.

2016-02-22 09:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8517] Add global adjacencies helper structure, moving matrix
	  line sorting functions to cs_sort.c.

2016-02-22 09:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8516] Use double precision for joining intersection curvilinear
	  coordinates. This reduces the (very small) warping induced by
	  rounding when joining orthogonal meshes with non-power of 2
	  refinement ratios, where faces should remain planar (for more
	  general situations, warping due to vertices being moved within
	  their tolerance radius is orders of magnitude larger than this,
	  so the application scope of this modification is limited).

2016-02-22 09:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8515] Debugger launcher: improve command-line handling
	  robustness. Provided by B. Lorendeau.

2016-02-22 09:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8514] Remove trailing blanks.

2016-02-20 14:37  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8513] Fix bug introduced in rev. 8493.

2016-02-20 14:37  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8512] Update pressure balance by zone.

2016-02-19 13:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8511] Add missing autovnv entry to "code_saturne info" bash
	  completion.

2016-02-19 11:49  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8510] GUI: improve error reporting for overlapping zones.

2016-02-18 17:47  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8503] Allow creation of a matrix container by copying another
	  container. This makes it easy to share matrix structures between
	  different matrixes.

2016-02-18 12:26  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8502] Fix in GUI: - turbulent viscosity should be a property
	  even in LES - and it shouldn't be hidden in log and
	  post-processing - dyn. Smagorinsky constant should be a property
	  only in dyn. LES.

2016-02-18 10:41  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8501] Fix in cavitation module (erroneous mass budget); patch
	  provided by B. de Laage de Meux.

2016-02-18 08:59  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8500] For transient turbmachinery, rebuild boundary face
	  numbering at each step. This assumes the numbering will produce
	  the same result each time (true with the current renumbering
	  algorithms), and fixes issues with unstable sorting leading to
	  inconsistent saved and current numberings.

2016-02-18 07:35  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8499] Change convention in automatic pressure drop calculation.

2016-02-17 17:38  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8498] Ensure mesh numbering metadata exists even when no
	  renumbering is present.

2016-02-17 14:33  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8497] Fix in theory guide (provided by Raphael Bresson).

2016-02-17 13:13  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8496] Fix usage of tags in PLE (indirection not expected).

2016-02-17 09:00  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8495] Add missing logging of calculation options.

2016-02-17 09:00  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8494] Cleanup code, avoid extra I/O and fix memory errors
	  relative to rev. 8492.

2016-02-16 16:28  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8493] Build cell selector on-the-fly if necessary.

2016-02-16 16:24  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8492] add save/load mesh for turbomachinery

2016-02-16 13:37  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8491] Add references to the doc.

2016-02-16 13:37  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8490] Update example to choose Roe-Sweby limiters.

2016-02-12 16:17  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8489] add extrude option for meshes in GUI

2016-02-12 14:59  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8488] add thin wall definition in GUI

2016-02-12 10:08  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8487] GUI: fix wrong variable name intro. in rev. 8484.

2016-02-11 16:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8486] Some fixes and minor changes for probes and profiles.

2016-02-11 14:57  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8485] Move some numerical constant definitions from cs_defs.*
	  to cs_math.*.

2016-02-10 10:57  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8484] GUI: fix update bug introduced by rev. 8466.

2016-02-09 16:19  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8482] Fix bug in EBRSM and GGDH model on scalars introduced in
	  rev. 7945.

2016-02-09 16:16  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8481] Fix a bug in plot writer.

2016-02-09 16:16  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8480] Use CS_BASE_STRING_LEN when useful.

2016-02-09 16:16  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8479] CDO: Add functionalities to handle probe monitoring and
	  profile in a unified way.

2016-02-09 16:16  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8478] Minor changes: blanks, comments

2016-02-09 16:16  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8477] CDO: adapt postprocessing in groundwater flow module and
	  advection fields to the current capabilities.

2016-02-09 16:16  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8476] CDO: Add the capability to set the parameters related to
	  a tracer for all soils in one call.

2016-02-09 16:16  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8475] Move elements previously defined in CDO module into
	  cs_math.* and cs_defs.* files - Elementary mathematical functions
	  from cs_cdo_toolbox.* - Numerical constants from cs_cdo.*

2016-02-09 16:16  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8474] Add a new steady flag to fields.

2016-02-09 16:16  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8473] CDO: Add a call to cs_log_iteration()

2016-02-09 16:16  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8472] Minor modifications: blanks, typos, comments.

2016-02-09 16:16  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8471] CDO: Fix a bug when setting SLES verbosity

2016-02-09 16:16  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8470] CDO: Improve error message when an invalid key is found.

2016-02-09 16:16  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8469] CDO: Minor modification of the treatment of the domain
	  boundary.

2016-02-09 16:16  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8468] CDO: Simplification of the management of the
	  post-processing to fit current capabilities of Code_Saturne. -
	  Plug cs_post* functions into the CDO kernel - cs_domain_t
	  structure now has a verbosity and post_freq members - Minor
	  modifications: typos, blanks, comments

2016-02-08 15:42  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8467] Improvements to postprocessing writer handling. * add
	  'plot' and 'time_plot' writer types; * time plot flushing
	  behavior is now determined by the
	  cs_time_plot_set_flush_default() function; * writers can now use
	  the 'separate_meshes' option to create a separate format-specific
	  writer per mesh.

2016-02-08 15:42  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8466] GUI: update automatic version upgrades.

2016-02-08 15:42  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8465] Remove titles from 1D profiles.

2016-02-08 15:42  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8464] Minor coding fixes.

2016-02-08 15:42  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8463] Fix incorrect usage of Crystal router in rank neighbors
	  helper.

2016-02-05 10:00  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8462] update GroundWaterLaw page in GUI

2016-02-04 16:58  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8461] Fix for groundwater flow a bad index in GUI

2016-02-03 21:34  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8460] Add the automatic pressure drop computation for a given
	  zone. It computes int(p.u) and int(rho.u/rho).

2016-02-03 21:34  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8459] Update exemple in the GUI for profiles.

2016-02-02 11:35  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8458] Use more appropriate field flags for boundary_forces.

2016-02-02 11:35  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8457] Added basic rank (MPI) neighbors helper structure.

2016-02-02 08:59  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8456] suppress print function in groundwatermodel

2016-02-01 19:00  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8455] Add missing diagonal dominance computation for full block
	  matrices.

2016-02-01 18:58  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8454] In turbomachinery module, stop the calculation when a
	  rotor is undefined. Provided by B. de Laage de Meux.

2016-02-01 18:47  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8453] Add user examples and Doxygen documentation for
	  turbomachinery. Based on patch by B. de Laage de Meux.

2016-02-01 18:47  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8452] Add postprocessing functions for turbomachinery. Provided
	  by B. de Laage de Meux.

2016-02-01 18:47  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8451] Fix in cavitation module in case of frozen rotor
	  computation (provided by Benoît de Laage de Meux). MIME-Version:
	  1.0 Content-Type: text/plain; charset=UTF-8
	  Content-Transfer-Encoding: 8bit

2016-02-01 10:47  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8450] update for Richards : suppress old pages and correction
	  for gravity

2016-01-28 19:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8449] Try to make detection of issues with multigrid as
	  preconditionner more robust.

2016-01-28 15:48  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8443] Fix crash in some parallel CGNS output cases (bug #165).

2016-01-28 13:32  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8442] Fix GUI error when extracting group names from
	  preprocessing log in some cases.

2016-01-27 17:31  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8441] Allow coupling of radiative transfer with 1d wall thermal
	  module. Provided by B. Sapa.

2016-01-27 17:31  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8440] Fix in coupling between 1d heat transfer module and gas
	  combustion. Provided by B. Sapa.
	  
	  Mass fraction at boundaries are needed when the 1d heat transfer
	  module is activated with gas combustion models even in adiabatic
	  conditions.

2016-01-27 16:01  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8439] Fix blocking when interactive launch

2016-01-27 10:34  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8438] new version for richards module in code_saturne

2016-01-27 10:03  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8437] add mapping fortran-c for couimp variable for case
	  WELDPOOL

2016-01-27 09:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8436] Extend automatic postprocessing output to fields defined
	  at vertices. Based on patch provided by J. Bonelle.

2016-01-27 09:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8435] Fix misleading error message and translate comments.

2016-01-26 17:50  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8434] update m4 for eos 1.5.0

2016-01-26 11:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8432] Use mix of positive and negative values for reduction
	  precision test.

2016-01-26 11:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8431] Add matrix info logging function and call it for verbose
	  iterative solvers.

2016-01-26 10:01  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8430] Use more consistent field name for fan id visualization.

2016-01-25 18:36  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8429] Switch to fallback preconditioner if possible in case of
	  iterative solver failure.

2016-01-25 18:32  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8428] Fix some Doxygen warnings and update translations file.

2016-01-25 08:21  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8427] Remove unused source.

2016-01-25 08:21  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8426] Fix bug in Fan computation (the flow through the fan was
	  wrongly computed) introduced in rev. 823.
	  
	  The coefficient for the delta_p are also corrected. Add some
	  information to the log. Align code to standards. Post-process
	  fans.

2016-01-25 08:21  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8425] Correct som documentation.

2016-01-24 13:56  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8424] Fix compilation bug introduced in rev. 8423.

2016-01-22 16:40  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8423] replace fortran version by c version for electric arc

2016-01-21 16:37  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8422] CDO Minor modifications (typos and comments)

2016-01-21 16:37  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8421] CDO: Add the capability to set parameters related to a
	  tracer equation soil by soil

2016-01-21 16:37  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8420] CDO: Fix a bug when summarizing a property

2016-01-21 16:37  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8419] CDO: Fix a bug appearing when displaying a
	  cs_sla_matrix_t structure with MSR type.

2016-01-21 16:37  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8418] Fix typos in theory guide.

2016-01-20 14:32  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8417] Fix missing comma in a biblio item (introduced in rev.
	  8394).

2016-01-19 14:26  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8416] Fix access to incorrect pointer in CSR matrix creation
	  with split faces. Provided by B. Lorendeau.

2016-01-18 08:51  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8415] Unify handling of default options for linear systems
	  related to field variables.

2016-01-18 08:51  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8414] Fix handling of multigrid for non-field/variable systems.

2016-01-15 18:14  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8413] Use multigrid-preconditionned conjugate gradient by
	  default for symmetric systems. Also, the coarse level is solved
	  with PCG rather than smoothed with symmetric Gauss-Seidel, as
	  this seems to lead to better performance.
	  
	  multigrid

2016-01-15 18:14  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8412] Fix logging of iterations for symmetric Gauss-Seidel
	  inside multigrid.

2016-01-15 16:33  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8411] Fix crash introduced by rev. 8407.

2016-01-15 09:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8408] GUI: performance tuning should be available also in
	  preprocessor mode.

2016-01-15 09:43  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8407] Split variable field creation wrappers in smaller parts,
	  to allow use by C code.

2016-01-14 16:46  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8406] CDO: Several modifications listed below - Use BiCGStab by
	  default and not BiCGStab2 - Add the generation of a restart file
	  specific to CDO. - Modify the way to set a computational domain.
	  Change especially the way of setting the parameters related to
	  time step. - Update user examples. - Used a shared pointer system
	  to avoid global variables. - Other minor changes.

2016-01-14 16:46  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8405] CDO: Improve the memory management and the accuracy.
	  Replace cs_dp by cs_dot (in alge/cs_blas.c) which is more
	  accurate and threaded. Use similar algorithm as in cs_dot for
	  cs_weighted_sum_square() Optimization thanks to inlining

2016-01-14 16:46  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8404] CDO: Add chaining between Richards equation and tracer
	  equations for groundwater flows.

2016-01-14 16:46  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8403] CDO: Change the way source terms are handled. Enable more
	  general definition. Add new types of law for defining properties.

2016-01-14 16:45  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8402] Fix typos.

2016-01-14 15:55  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8398] Fix handling of preconditionner choice by the GUI.

2016-01-14 15:55  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8397] Fix syntax in documentation.

2016-01-14 12:55  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8396] Place boundary face -> boundary cell connectivity in more
	  consistent mesh structure section.

2016-01-14 11:19  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8395] Style fixes.

2016-01-14 11:19  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8394] Improve performance and possible precision of reduction
	  operations. - improve OpenMP load balancing of SuperBlock
	  reductions - add optional Kahan compensated sum-based BLAS
	  operations

2016-01-14 08:41  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8393] Add an example for new limiters for convective schemes on
	  scalars.

2016-01-13 16:53  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8391] Minor fix in Doxygen var dico page (provided by B. De
	  Laage De Meux).

2016-01-12 10:56  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8390] Fix least square gradient for vectorial fields: -
	  dib=IpF/|IpF| is used at the boundary - all components of cocg at
	  boundaries are now computed - as a result, cocg is an 9x9
	  symmetric matrice at each boundary cell - components depending on
	  boundary coefficients are recomputed at each gradient call. -
	  only the triangular inferior part of the 9x9 symmetric cocg is
	  stored and it is factorized using Crout algorithm.

2016-01-12 10:56  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8389] Remove some private in openMP directives in gradient.

2016-01-11 09:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8385] Add boundary mesh extrusion functions.

2016-01-11 09:36  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8384] Add missing entries in mesh dump function.

2016-01-11 08:26  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8380] Simplify usage of face selectors during user mesh
	  modification stage.

2016-01-11 08:26  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8379] Fix comment.

2016-01-11 08:26  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8378] Fix possible OpenMP bugs.

2016-01-11 08:26  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8377] Avoid possible memory leak in rarely called case.

2016-01-08 08:34  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8376] Fix in the log of clippings for vectorial or tensorial
	  fields.

2016-01-07 19:00  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8370] Fix radiative restard bug introduced by rev. 8017.

2016-01-07 14:01  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8369] Translate some files in the theory documentation.

2016-01-07 13:45  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8368] Simplify convection diffusion balance for vectors and
	  tensors to be coherent with scalar functions.

2016-01-07 12:23  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8367] Missing Copyright updates.

2016-01-07 10:38  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8366] Fix for postprocessing of unlocated Syrthes coupling face
	  centers in 2D.

2016-01-07 10:38  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8365] Debug wrapper robustness improvement.

2016-01-06 17:28  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8364] Cleanup handling of some Valgrind options with debug
	  wrapper.

2016-01-06 15:14  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8363] Fix remaining wrong indentations of openMP directives in
	  conv/diff.

2016-01-06 14:28  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8359] Fix bug in Fire algorithm (idilat=5). Introduced in rev.
	  5869.

2016-01-06 14:28  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8358] Fix bug introduced in rev. 8337.

2016-01-05 15:56  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8357] Fix for overzealous cleaup in rev. 8356.

2016-01-05 15:20  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8356] Remove some warnings.

2016-01-05 08:57  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8355] Fix bug introduced in rev. 8337.

2016-01-04 11:15  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8354] Various style and OpenMP fixes.

2016-01-04 10:01  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8353] Fix bug introduced in rev. 8337.
	  
	  The var_cal_opt structure should be copy after modini. Move
	  declaration of additional field based on var_cal_opt in fldini.

2016-01-04 09:38  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8352] Fix test in configuration.

2016-01-04 09:38  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8351] Fix typo in comment.

2016-01-04 09:38  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8350] Consider Libxml2 support is required unless explicitely
	  deactivated.

2016-01-04 09:13  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8341] Update ChangeLog and Copyright notices to 2016.

2016-01-04 08:34  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8340] Remove unused argument.

2016-01-04 08:34  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8339] Fix bug introduced in rev. 8337.

2015-12-30 16:39  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8338] Correct labels in the GUI.

2015-12-30 16:39  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8338] gui/Base/XMLinitialize.py: Correct labels in the GUI.

2015-12-30 16:39  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8337] src/alge/bilsca.f90, src/alge/bilscts.f90,
	  src/alge/bilscv.f90, src/alge/cs_balance_by_zone.c,
	  src/alge/cs_convection_diffusion.c,
	  src/alge/cs_convection_diffusion.h, src/alge/cs_gradient.c,
	  src/alge/cs_matrix_building.c, src/alge/cs_matrix_building.h,
	  src/base/addfld.f90, src/base/codits.f90, src/base/coditts.f90,
	  src/base/coditv.f90, src/base/covofi.f90,
	  src/base/cs_c_bindings.f90, src/base/cs_parameters.c,
	  src/base/diffst.f90, src/base/distpr.f90, src/base/driflu.f90,
	  src/base/fldini.f90, src/base/impini.f90, src/base/iniini.f90,
	  src/base/initi1.f90, src/base/numvar.f90, src/base/optcal.f90,
	  src/base/predvv.f90, src/base/resopv.f90, src/base/varpos.f90,
	  src/base/verini.f90, src/cfbl/cfmsfp.f90, src/turb/turbke.f90,
	  src/turb/turbkw.f90: Major commit for convective schemes (Add
	  many convective flux limiters).
	  
	  - Fix in Convection scheme when the density is variable and the
	  theta scheme is 1/2 so that the scheme is now conservative over
	  time. - add inline functions for vectors - simplify non-relaxed
	  inline functions - use inline functions for temperature explicit
	  balance (bilsct) - Add an add hoc limiter, called Beta, which
	  ensures that, for any convective scheme and any time stepping,
	  that the variable remains between "min_scalar" and "max_scalar",
	  to be given by the user. Provided by D. Iampietro. -
	  Implementation of the Roe-Sweby Limiters for all the convective
	  schemes (Original SOLU, CENTER, Standard SOLU) Provided by D.
	  Iampietro. - Creation of a new keyword: kst, for key source term;
	  we use it to add source terms in the Beta limiter

2015-12-23 17:10  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8332] gui/Pages/BatchRunningView.py: Fix hang in GUI when
	  starting run in case whose path includes whitespace.

2015-12-23 15:19  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8331] src/cdo/cs_equation.c, src/cdo/cs_param.c,
	  src/cdo/cs_param.h: CDO: Fix bugs (not impacting current results)

2015-12-23 15:19  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8330] src/cdo/cs_cdovb_scaleq.c, src/cdo/cs_evaluate.c,
	  src/cdo/cs_groundwater.c, src/cdo/cs_param.h,
	  src/cdo/cs_property.c: CDO: Minor changes.

2015-12-23 15:19  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8329] src/cdo/cs_domain.c, src/cdo/cs_domain.h,
	  src/cdo/cs_equation.c, src/cdo/cs_groundwater.c,
	  src/cdo/cs_groundwater.h, src/cdo/cs_param.c, src/cdo/cs_param.h,
	  src/cdo/cs_property.c, src/cdo/cs_property.h,
	  src/user_examples/cs_user_cdo-groundwater.c: CDO: Adapt the
	  groundwater module for more general settings. Add the concept of
	  soil and the possibility to set a property by subdomain.

2015-12-23 15:19  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8328] docs/autovnv/autovnv.tex: Fix a typo in VnV
	  documentation.

2015-12-23 15:19  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8327] src/cdo/cs_equation.c, src/cdo/cs_equation_priv.h,
	  src/user_examples/cs_user_cdo_numerics-examples.c: CDO: Add the
	  possibility to set the level of verbosity for SLES structures. If
	  verbosity is greater than 1, plotting options are set.

2015-12-23 15:19  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8326] src/cdo/cs_equation.c: CDO: Fix a bug when setting the
	  max. number of iteration of the solver.

2015-12-23 10:51  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8318] .gitignore[ADD], libple/.gitignore[ADD]: Added repository
	  .gitignore files.

2015-12-23 10:51  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8317] m4/cs_coolprop.m4, src/base/cs_physical_properties.c:
	  Allow CoolProp detection on Blue Gene/Q.

2015-12-23 10:51  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8316] libple/po/fr.po: Update PLE translations file.

2015-12-23 09:28  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8315] libple/po, libple/po/ple.pot[DEL]: PLE translations .pot
	  file should not be versioned.

2015-12-23 09:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8312] gui/Base/QtPage.py,
	  gui/Pages/FluidCharacteristicsView.py, m4/cs_coolprop.m4: Add
	  -enable-gui-coolprop configure option to allow CoolProp options
	  in GUI even when not present.

2015-12-22 18:32  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8311] NEWS: Update NEWS after branching and imminent release of
	  version 4.2.

2015-12-22 17:53  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8304] gui/Pages/ThermalRadiationView.py: GUI: re-enable Tn
	  radiative model after bug fix.

2015-12-22 17:53  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8303] docs/install/install.tex: Minor installation doc
	  improvements.

2015-12-22 17:39  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8302] src/base/tridim.f90, src/turb/resalp.f90,
	  src/turb/resv2f.f90, src/turb/turbkw.f90, src/turb/turrij.f90,
	  src/user/cs_user_parameters.f90: Fix in advanced rinitialization
	  of turbulence (EBRSM and k-omega) introduced in rev. 8144.
	  
	  Anisotropic value of Rij is given for reinit_turb option using
	  the gradient of alpha.

2015-12-22 17:25  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8301] NEWS: Update NEWS.

2015-12-22 17:21  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8299] gui/Pages/OutputVolumicVariablesModel.py,
	  gui/Pages/ThermalRadiationView.py, src/base/impini.f90,
	  src/rayt/raydir.f90, src/rayt/rayopt.f90: Fix bug in Tn
	  quadrature for radiative transfer and translate comments.
	  
	  Also allow Tn quadrature for n=2 (which corresponds to 32
	  direction available with i_quadrature=4). A minimal fix could be
	  done for version 4.0 by setting "nquad=ndirec" instead of
	  "nquad=ndirs" in raydir.f90.

2015-12-22 17:13  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8298] src/base/visecv.f90: Face mean secondary visc. has to be
	  consistant with face mean viscosity (namely harmonic if imvisf
	  equal to 1).

2015-12-22 15:02  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8294] bin/cs_case_domain.py: Ensure debug wrapper also works
	  fro NEPTUNE_CFD.

2015-12-22 12:18  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8285] docs/install/install.tex, docs/user/saturne1.tex,
	  install_saturne.py: Update MED library references to version 3.1.

2015-12-22 09:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8280] gui/Pages/LagrangianModel.py: GUI: fix activation of
	  Lagrangian model.

2015-12-22 09:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8279] gui/Pages/ThermalRadiationView.py: GUI: disable Tn
	  radiative model as it is currently buggy (issue #158).

2015-12-22 09:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8278] gui/Pages/ThermalRadiationView.py: GUI: hide box and
	  label used only by Tn model.

2015-12-22 09:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8277] gui/Pages/ThermalRadiationModel.py: Fix English labels
	  for radiative variables defined by GUI.

2015-12-22 09:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8276] po/fr.po, src/apps/Makefile.am, src/base/Makefile.am,
	  src/base/cs_coolprop.cxx, src/base/cs_physical_properties.c,
	  src/fvm/Makefile.am, src/gui/cs_gui.c: Allow usage of CoolProp
	  also for static builds, and pass debugger and optimization flags
	  to C++ wrappers.

2015-12-22 09:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8275] src/alge/cs_sles_it.c: Fix residure initialization for
	  symmetric Gauss-Seidel.

2015-12-22 09:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8274] src/alge/cs_sles_pc.c: Fix crash using polynomial
	  preconditioner with native matrix.

2015-12-22 09:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8273] gui/Pages/FluidCharacteristicsView.py, src/gui/cs_gui.c:
	  Fixes for use of CoolProp with constant temperature.

2015-12-22 09:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8272] gui/Pages/ReferenceValuesModel.py: Default reference
	  temperature set to 20 degrees C, not combustion-range
	  temperature.

2015-12-22 09:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8271] docs/install/install.tex, m4/cs_coolprop.m4,
	  src/base/cs_coolprop.cxx: Minor CoolProp detection and usage
	  improvements.

2015-12-22 09:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8270] src/lagr/lagadh.f90, src/lagr/lagesd.f90,
	  src/lagr/lagres.f90, src/user/cs_user_physical_properties.f90:
	  Lagrangian module fixes for deposition/reentrainment and
	  precipitation.

2015-12-22 09:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8269] preprocessor/appli/Makefile.am,
	  preprocessor/pre-post/Makefile.am, src/apps/Makefile.am,
	  src/base/Makefile.am: Fix some issues with build directories
	  containing whitespace.

2015-12-22 09:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8268] docs/user/saturne1.tex: Fix documentation compilation for
	  some systems.

2015-12-16 16:27  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8267] gui/Pages/NumericalParamEquationModel.py,
	  gui/Pages/NumericalParamEquationView.py: add automatic choice for
	  preconditionning

2015-12-16 16:23  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8266] gui/Pages/FluidCharacteristicsView.py: replace thermal
	  law by material law in GUI

2015-12-16 15:02  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8265] src/base/cs_fan.c: Fix for Fan orthoradial force
	  component computation.

2015-12-16 13:57  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8264] src/base/tridim.f90, src/turb/clpalp.f90,
	  src/turb/resalp.f90: Improve the clipping of alpha for the EBRSM
	  model (0 value is not acceptable).

2015-12-16 13:57  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8263] gui/Pages/ReferenceValuesForm.ui: Fix wrong comment in
	  the GUI.

2015-12-16 13:57  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8262] src/base/altycl.f90, src/base/impini.f90: Typos.

2015-12-16 13:57  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8261] src/base/impini.f90: Simplify code.

2015-12-16 13:57  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8260] gui/Pages/TurbulenceView.py: Fix bug in the GUI (advanced
	  turbulence option "igrake/igrari" was incorrect).

2015-12-16 13:57  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8259] src/base/iniusi.f90, src/gui/cs_gui.c,
	  src/turb/cs_turbulence_model.c, src/turb/cs_turbulence_model.h:
	  Fix bug in the GUI (reference values such as reference velocity
	  and reference length should be read in the GUI even for LES
	  models).
	  
	  The two members (uref and almax) are therefore moved to a
	  dedicated structure to be more consistent.

2015-12-16 13:57  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8258] src/base/iniva0.f90: Fix bug introduced in rev. 7945
	  (irjico=1)

2015-12-16 13:41  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8257] gui/Pages/FluidCharacteristicsView.py,
	  gui/Pages/ReferenceValuesForm.ui: set law to thermal law for
	  properties by default if table used

2015-12-16 12:54  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8256] gui/Pages/LagrangianStatisticsView.py: Fix inversion
	  tooltip for lagrangian statistics

2015-12-15 10:15  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8255] gui/Pages/NumericalParamEquationModel.py: remove node for
	  preconditionning and solver if set to default

2015-12-15 09:35  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8254] src/apps/cs_solver.c, src/base/cs_prototypes.h,
	  src/user/cs_user_cdo.c, src/user_examples/cs_user_cdo-condif.c,
	  src/user_examples/cs_user_cdo-groundwater.c: Add a new way to
	  activate the CDO module thanks to a user function.

2015-12-14 18:25  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8253] src/alge/cs_gradient.c: Minor indentation and formatting
	  fixes.

2015-12-14 18:24  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8252] Makefile.am,
	  build-aux/petsc-petscvariables.makefile[ADD], m4/cs_petsc.m4: Add
	  the detection for PETSC versions greater than 3.6.0. Adapted from
	  patch by J. Bonelle.

2015-12-14 17:17  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8251] src/cdo/cs_equation.c, src/cdo/cs_equation_priv.h: Add a
	  LOCKED descriptor for CDO equation parameters to avoid a
	  modification of the settings at unexpected stages.

2015-12-14 17:17  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8250] src/cdo/cs_cdo_main.c, src/cdo/cs_cdofb_scaleq.c,
	  src/cdo/cs_cdofb_scaleq.h, src/cdo/cs_cdovb_scaleq.c,
	  src/cdo/cs_cdovb_scaleq.h, src/cdo/cs_domain.c,
	  src/cdo/cs_equation.c, src/cdo/cs_equation.h: Modify the way
	  temporary buffers are managed in CDO vertex_based and face-base
	  schemes.

2015-12-14 17:17  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8249] src/base/cs_prototypes.h, src/cdo/Makefile.am,
	  src/cdo/cs_advection_field.c[ADD],
	  src/cdo/cs_advection_field.h[ADD], src/cdo/cs_cdo.c,
	  src/cdo/cs_cdo.h, src/cdo/cs_cdo_main.c,
	  src/cdo/cs_cdo_quantities.c, src/cdo/cs_cdo_toolbox.c,
	  src/cdo/cs_cdo_toolbox.h, src/cdo/cs_cdofb_scaleq.c,
	  src/cdo/cs_cdofb_scaleq.h, src/cdo/cs_cdovb_advection.c,
	  src/cdo/cs_cdovb_advection.h, src/cdo/cs_cdovb_diffusion.c,
	  src/cdo/cs_cdovb_diffusion.h, src/cdo/cs_cdovb_scaleq.c,
	  src/cdo/cs_cdovb_scaleq.h, src/cdo/cs_domain.c,
	  src/cdo/cs_domain.h, src/cdo/cs_equation.c,
	  src/cdo/cs_equation.h, src/cdo/cs_equation_priv.h,
	  src/cdo/cs_evaluate.c, src/cdo/cs_evaluate.h,
	  src/cdo/cs_groundwater.c[ADD], src/cdo/cs_groundwater.h[ADD],
	  src/cdo/cs_hodge.c, src/cdo/cs_hodge.h, src/cdo/cs_param.c,
	  src/cdo/cs_param.h, src/cdo/cs_property.c[ADD],
	  src/cdo/cs_property.h[ADD], src/cdo/cs_reco.c, src/cdo/cs_reco.h,
	  src/cdo/cs_sla_matrix.c, src/cdo/cs_walldistance.c,
	  src/cdo/cs_walldistance.h, src/user/cs_user_cdo.c,
	  src/user_examples/Makefile.am,
	  src/user_examples/cs_user_cdo-condif.c,
	  src/user_examples/cs_user_cdo-groundwater.c[ADD],
	  src/user_examples/cs_user_cdo_extra_op-verif-diffusion.c,
	  src/user_examples/cs_user_cdo_numerics-examples.c: Major
	  modification in CDO module: add groundwater module Improve the
	  capabilities of properties and advection fields (for instance add
	  a new type of definition by law). Groundwater module integrates
	  different kinds of modelling (saturated, Van Genuchten, Tracy up
	  to now) Add a user example for groundwater flows.

2015-12-14 17:17  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8248] src/cdo/cs_cdovb_advection.c,
	  src/cdo/cs_cdovb_advection.h, src/cdo/cs_cdovb_scaleq.c,
	  src/cdo/cs_sla.h, src/cdo/cs_sla_matrix.c: Minor improvements in
	  CDO module. Remove entries with zero value in the system matrix.
	  Optimize the computation of bc contribution for advection when
	  the advection field is uniform.

2015-12-14 17:17  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8247] src/cdo/cs_cdovb_scaleq.c: Fix a bug in CDO vb schemes
	  when adding an advection term.

2015-12-14 15:00  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8246] gui/Base/BrowserView.py,
	  gui/Pages/FluidCharacteristicsView.py,
	  gui/Pages/ReferenceValuesView.py: add material choice without
	  thermal scalar resolution

2015-12-14 12:56  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8245] gui/Pages/NumericalParamEquationModel.py,
	  gui/Pages/NumericalParamEquationView.py, src/gui/cs_gui.c: add
	  precondionning choice in GUI

2015-12-09 16:07  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8243] docs/user/graphics/Atmospheric_user_s_guide_v91.png[DEL],
	  docs/user/graphics/Atmospheric_user_s_guide_v92.pdf[DEL],
	  docs/user/graphics/Atmospheric_user_s_guide_v93.pdf[DEL],
	  docs/user/graphics/Atmospheric_user_s_guide_v94.pdf[DEL],
	  docs/user/graphics/Atmospheric_user_s_guide_v95.pdf[DEL],
	  docs/user/graphics/Atmospheric_user_s_guide_v96.pdf[DEL],
	  docs/user/graphics/Atmospheric_user_s_guide_v97.pdf[DEL],
	  docs/user/graphics/Atmospheric_user_s_guide_v98.pdf[DEL],
	  docs/user/graphics/Makefile.am,
	  docs/user/graphics/gui_atmospheric_user_s_guide_v91.png[CPY],
	  docs/user/graphics/gui_atmospheric_user_s_guide_v92.pdf[CPY],
	  docs/user/graphics/gui_atmospheric_user_s_guide_v93.pdf[CPY],
	  docs/user/graphics/gui_atmospheric_user_s_guide_v94.pdf[CPY],
	  docs/user/graphics/gui_atmospheric_user_s_guide_v95.pdf[CPY],
	  docs/user/graphics/gui_atmospheric_user_s_guide_v96.pdf[CPY],
	  docs/user/graphics/gui_atmospheric_user_s_guide_v97.pdf[CPY],
	  docs/user/graphics/gui_atmospheric_user_s_guide_v98.pdf[CPY],
	  docs/user/saturne1.tex: Rename images of atmospheric user guide
	  consistently with other images.

2015-12-09 15:33  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8242] docs/user/biblio.tex,
	  docs/user/graphics/Atmospheric_user_s_guide_v91.png[ADD],
	  docs/user/graphics/Atmospheric_user_s_guide_v92.pdf[ADD],
	  docs/user/graphics/Atmospheric_user_s_guide_v93.pdf[ADD],
	  docs/user/graphics/Atmospheric_user_s_guide_v94.pdf[ADD],
	  docs/user/graphics/Atmospheric_user_s_guide_v95.pdf[ADD],
	  docs/user/graphics/Atmospheric_user_s_guide_v96.pdf[ADD],
	  docs/user/graphics/Atmospheric_user_s_guide_v97.pdf[ADD],
	  docs/user/graphics/Atmospheric_user_s_guide_v98.pdf[ADD],
	  docs/user/saturne1.tex: Refurbish, update and complete
	  atmospheric module user guide (provided by A. Defossez).

2015-12-09 13:35  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8241] gui/Base/CommandMgrDialogView.py,
	  gui/Pages/BatchRunningView.py: GUI: simplify QProcess handling
	  and log process start/stop/fail.

2015-12-09 11:43  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8240] config/cs_auto_flags.sh, libple/config/ple_auto_flags.sh:
	  Remove support for discontinued Open64 compiler.

2015-12-09 09:49  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8239] src/user/cs_user_parameters.f90: Fix example for ADF
	  radiative transfer models (rev. 8238).

2015-12-08 15:58  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8238] src/user/cs_user_parameters.f90: Add an example to
	  activate the ADF radiative transfert models (imoadf>0).

2015-12-07 15:37  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8237] src/user/cs_user_head_losses.f90,
	  src/user_examples/cs_user_head_losses.f90: Correct comments.

2015-12-07 15:07  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8236]
	  examples/2-full_domain/case2/cs_user_boundary_conditions.f90,
	  examples/2-full_domain/case3/cs_user_boundary_conditions.f90,
	  examples/3-stratified_junction/case1/cs_user_postprocess_var.f90,
	  src/user/cs_user_postprocess_var.f90: Minor formatting updates in
	  user example subroutines.

2015-12-07 13:54  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8235] docs/doxygen/examples/cs_user_boundary_conditions_ale.h,
	  src/alge/cs_sles_it.c, src/base/catsmt.f90,
	  src/base/cs_all_to_all.c, src/base/cs_all_to_all.h,
	  src/base/cs_c_bindings.f90, src/base/cs_log_iteration.c,
	  src/base/cs_parameters.c, src/base/cs_wall_functions.h,
	  src/cdo/cs_cdovb_advection.c, src/cdo/cs_cdovb_advection.h,
	  src/cdo/cs_cdovb_scaleq.c, src/cdo/cs_evaluate.c,
	  src/cdo/cs_evaluate.h, src/cdo/cs_hodge.c, src/cdo/cs_param.c,
	  src/cdo/cs_param.h, src/cdo/cs_reco.c,
	  src/comb/cs_fuel_thfieldconv1.f90, src/rayt/rafsck.f90,
	  src/turb/resrij2.f90, src/turb/rijech.f90, src/turb/rijthe2.f90,
	  src/user/cs_user_source_terms.f90,
	  src/user_examples/cs_user_boundary_conditions_ale-base.f90: Many
	  fixes in Doxygen documentation.

2015-12-07 13:03  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8233] src/atmo/atchem.f90, src/atmo/atimbr.f90,
	  src/atmo/atincl.f90, src/atmo/atini0.f90, src/atmo/atini1.f90,
	  src/atmo/atiniv.f90, src/atmo/atleca.f90, src/atmo/atlecc.f90,
	  src/atmo/atlecm.f90, src/atmo/atmcls.f90, src/atmo/atmsol.f90,
	  src/atmo/atmstd.f90, src/atmo/atphyv.f90, src/atmo/atprke.f90,
	  src/atmo/atprop.f90, src/atmo/atr1vf.f90, src/atmo/atsoil.f90,
	  src/atmo/attssc.f90, src/atmo/attycl.f90, src/atmo/atvarp.f90,
	  src/atmo/chem_luscheme_siream.f90,
	  src/atmo/compute_gaseous_chemistry.f90,
	  src/atmo/compute_siream.f90, src/atmo/cs_at_plugin.c,
	  src/atmo/cs_at_plugin.h, src/atmo/etheq.f90, src/atmo/intprf.f90,
	  src/atmo/kinrates.f90, src/atmo/nuclea.f90, src/atmo/rayigc.f90,
	  src/atmo/rayir.f90, src/atmo/rayive.f90, src/atmo/rayso.f90,
	  src/atmo/raysze.f90, src/atmo/roschem.f90, src/atmo/satfun.f90,
	  src/atmo/solcat.f90, src/atmo/soliva.f90, src/atmo/solmoy.f90,
	  src/atmo/solvar.f90, src/atmo/spefun.f90: Improve documentation
	  of Atmospheric module (Doxygen doc in English).
	  
	  Provided by E. Gilbert and B. Carissimo.

2015-12-07 09:09  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8221] po/fr.po, src/alge/cs_matrix.c, src/alge/cs_multigrid.c,
	  src/base/cs_defs.h, src/base/cs_field.c, src/base/cs_log.h,
	  src/base/cs_log_iteration.c, src/mesh/cs_join.c: Fix some
	  formats.

2015-12-07 09:09  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8220] src/base/cs_post.c: Fix for off-by-one postprocessing
	  selection of interior faces.

2015-12-07 09:09  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8219] src/alge/cs_sles_it.c: Fixes for OpenMP and name update
	  for local block LU with blocksize != 3.

2015-12-07 09:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8218] Makefile.am: Add missing files to "make dist".

2015-12-07 09:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8217] tests/cs_blas_test.c: Add Kahan summation for BLAS check.

2015-12-07 09:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8216] libple/config/ple_auto_flags.sh, libple/src/Makefile.am,
	  libple/src/ple_locator.c, libple/src/ple_locator.h: Update PLE
	  copyrights.

2015-12-07 09:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8215] libple/examples/Makefile,
	  libple/examples/my_ple_point_location.c,
	  libple/examples/my_ple_point_location.h: Update PLE point
	  location callback examples relative to PLE 2.0.

2015-12-07 09:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8214] bin/cs_case.py: Force staging phase when "code_saturne
	  run --initialize" is used and execution directory is missing.

2015-12-07 09:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8213] docs/user/saturne1.tex, src/base/cs_control.c,
	  src/base/cs_time_plot.c: An empty control_file may now be used to
	  flush logs and plots.

2015-12-07 09:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8212] src/alge/cs_sles_petsc.c, src/cdo/cs_equation.c: Some
	  fixes for compilation without MPI (user examples separate).

2015-12-07 09:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8211] m4/cs_petsc.m4: Fix for some PETSc case detections.

2015-12-04 13:48  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8210] preprocessor/pre-post/ecs_pre_med.c: suppress unused
	  array for med

2015-11-30 17:17  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8209] src/base/cs_wall_functions.h: Major fix in boundary
	  conditions for low Reynolds RANS models.
	  
	  This bug is not visible when y+<0.1.

2015-11-30 17:17  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8208] NEWS, src/base/addfld.f90, src/base/clptrg.f90,
	  src/base/clptur.f90, src/base/cs_wall_functions.c,
	  src/base/cs_wall_functions.h, src/base/impini.f90,
	  src/base/modini.f90, src/base/verini.f90,
	  src/turb/cs_turbulence_model.c, src/turb/cs_turbulence_model.h,
	  src/user/cs_user_parameters.f90,
	  src/user_examples/cs_user_parameters-time_moments.c: Add rough
	  smooth wall function (activate it with iwallf=6).
	  
	  More details are given in the NEWS file.

2015-11-30 17:17  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8207] src/pprt/pptycl.f90: Correct some comments.

2015-11-30 17:17  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8206]
	  src/user_examples/cs_user_boundary_conditions-atmospheric.f90:
	  Complete user example for atmospheric BCs.

2015-11-30 17:17  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8205]
	  src/user_examples/cs_user_physical_properties-richards_sat.f90:
	  Remove unused variableS.

2015-11-30 17:17  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8204] src/alge/cs_sles_it.c: Re add vorbosity prints in
	  solvers.

2015-11-27 10:50  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8203] bin/cs_case_coupling.py, bin/cs_run.py: Fix "code_saturne
	  run --suggest-id" for coupled cases.

2015-11-25 18:01  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8202] docs/user/saturne1.tex, po/fr.po, src/base/cs_base.c,
	  src/base/cs_control.c, src/base/cs_time_plot.c,
	  src/base/cs_time_plot.h: Add flushing of time plots to
	  control-file-controled flush.

2015-11-25 18:01  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8201] po/fr.po, preprocessor/pre-post/ecs_pre_ccm.c: Check for
	  error on opening of Star-CCM+ files.

2015-11-25 18:01  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8200] po/fr.po: Update translations file.

2015-11-25 18:00  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8199] bin/cs_case.py: Fix run on prepared/submitted case with
	  user subroutines.

2015-11-25 18:00  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8198] src/base/ecrava.f90: Remove unused local variables.

2015-11-25 10:49  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8197] src/user_examples/cs_user_parameters-linear_solvers.c:
	  Remove spurious line from example snippet.

2015-11-24 16:15  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8196] Makefile.am: Fix: rev. 8193 broke install with relative
	  paths for configure command.

2015-11-24 10:27  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8195] src/base/cs_turbomachinery.c: modify initialization of
	  turbomachinery for restart

2015-11-24 09:44  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8194] gui/Pages/TurboMachineryView.py: authorized negative
	  velocity for turbomachinery

2015-11-23 14:26  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8193] Makefile.am, bin/cs_create.py, src/rayt/radf08.f90,
	  src/rayt/radf50.f90, src/rayt/rafsck.f90: Avoid copying FSCK
	  model files in each new case.

2015-11-23 11:27  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8192] src/user/cs_user_mesh.c: Avoid memory leak in user
	  example.

2015-11-23 11:27  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8191] src/mei/mei_hash_table.c, src/mei/mei_hash_table.h,
	  src/mei/mei_math_util.c, src/mei/mei_math_util.h: Minor MEI
	  cleanup.

2015-11-23 11:27  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8190] Makefile.am, NEWS, bin/cs_batch.py, bin/cs_case.py,
	  bin/cs_run.py, bin/cs_runcase.py, bin/cs_script.py,
	  bin/cs_submit.py[ADD], extras/bash_completion/code_saturne,
	  gui/Pages/BatchRunningView.py: Added Code_Saturne submit command.
	  This includes refactoring of suggested run-id handling.

2015-11-23 11:27  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8189] m4/cs_catalyst.m4: Update Catalyst detection for recent
	  versions.

2015-11-23 11:27  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8188] NEWS, bin/cs_case.py, bin/cs_package.py.in,
	  bin/cs_run.py, bin/cs_runcase.py,
	  extras/bash_completion/code_saturne: Add --compute-build option
	  to "code_saturne run" command. This allows choosing one of
	  several compute builds at runtime.

2015-11-23 11:27  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8187] src/lagr/cs_lagr_restart.c: Lagrangian module: fix bug in
	  parallel checkpoint for cases whare rank 0 has no particles.

2015-11-20 17:01  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8186] bin/autovnv/Drawing.py: Remove spurious debug print
	  introduced in previous commit (autovn).

2015-11-20 17:00  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8185] bin/autovnv/Drawing.py, docs/autovnv/autovnv.tex: Add
	  doc. about predefined entities of XML specification in autovnv
	  guide (issue #153).

2015-11-20 17:00  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8184] bin/autovnv/Drawing.py: Autovnv: always crop white
	  margins on autovnv figures.

2015-11-20 09:53  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8182] src/user_examples/Makefile.am: Fix a bug introduced in
	  rev. 8180 Remove a user example which will be needeed for
	  groundwater flows with CDO.

2015-11-20 09:14  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8181] src/cdo/cs_cdovb_diffusion.c, src/cdo/cs_cdovb_scaleq.c:
	  Fix a bug in CDO module when boundary conditions are weakly
	  enforced thanks to the Nitsche method (symmetrized or not).

2015-11-20 09:14  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8180] src/base/cs_prototypes.h, src/cdo/cs_cdo_main.c,
	  src/cdo/cs_cdovb_diffusion.c, src/cdo/cs_cdovb_scaleq.c,
	  src/cdo/cs_domain.c, src/cdo/cs_domain.h, src/cdo/cs_equation.c,
	  src/cdo/cs_walldistance.h, src/user/cs_user_cdo.c,
	  src/user_examples/Makefile.am,
	  src/user_examples/cs_user_cdo-condif.c[CPY],
	  src/user_examples/cs_user_cdo-examples.c[DEL],
	  src/user_examples/cs_user_cdo_extra_op-verif-diffusion.c,
	  src/user_examples/cs_user_cdo_numerics-examples.c: Minor update
	  in CDO module. Remove unused variables or parameters. Update
	  examples in user_examples.

2015-11-19 18:18  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8179] bin/autovnv/Drawing.py: Allow drawing of plots from
	  "data" directory when using code/code coupling.

2015-11-19 18:18  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8178] docs/install/install.tex: Update install doc. (specify
	  how to enforce Doxygen version)

2015-11-17 16:32  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8177] docs/style/csdoc.sty: Fix in the table of content.

2015-11-17 12:48  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8176] src/cdo/cs_cdovb_diffusion.c, src/cdo/cs_equation.c: Add
	  a new way to compute the stiffness matrix in CDO vertex-based
	  schemes. Discretization is based on an implicit piecewise P1 FE
	  discretization and rely on conforming reconstruction operators
	  (Section 7.3.3 of Bonelle's PhD).

2015-11-17 12:48  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8175] src/cdo/cs_cdo_connect.c, src/cdo/cs_cdo_connect.h,
	  src/cdo/cs_cdo_quantities.c, src/cdo/cs_cdo_quantities.h,
	  src/cdo/cs_cdo_toolbox.c, src/cdo/cs_cdo_toolbox.h,
	  src/cdo/cs_cdofb_scaleq.c, src/cdo/cs_cdovb_advection.c,
	  src/cdo/cs_cdovb_diffusion.c, src/cdo/cs_cdovb_scaleq.c,
	  src/cdo/cs_domain.c, src/cdo/cs_equation.c, src/cdo/cs_hodge.c,
	  src/cdo/cs_reco.c, src/cdo/cs_sla.h, src/cdo/cs_sla_matrix.c:
	  Minor changes in CDO module. Rename and clean variables and
	  functions in cs_sla* files. Add a cs_sla_matrix_info_t structure
	  as a member of cs_sla_matrix_t structure. Rename cs_qvect_t in
	  cs_nvec3_t. Use cs_nvec3_t to store geometric quantities related
	  to dual faces and edges.

2015-11-17 12:48  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8174] src/cdo/cs_cdo_main.c: Fix a bug when applying advanced
	  settings for the source terms.

2015-11-17 12:48  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8173] src/cdo/Makefile.am, src/cdo/cs_cdo_convection.c[DEL],
	  src/cdo/cs_cdo_convection.h[DEL], src/cdo/cs_cdo_main.c,
	  src/cdo/cs_cdofb_codits.c[DEL], src/cdo/cs_cdofb_codits.h[DEL],
	  src/cdo/cs_cdofb_scaleq.c[CPY], src/cdo/cs_cdofb_scaleq.h[CPY],
	  src/cdo/cs_cdovb_advection.c[CPY],
	  src/cdo/cs_cdovb_advection.h[CPY],
	  src/cdo/cs_cdovb_codits.c[DEL], src/cdo/cs_cdovb_codits.h[DEL],
	  src/cdo/cs_cdovb_diffusion.c[ADD],
	  src/cdo/cs_cdovb_diffusion.h[ADD],
	  src/cdo/cs_cdovb_scaleq.c[CPY], src/cdo/cs_cdovb_scaleq.h[CPY],
	  src/cdo/cs_equation.c, src/cdo/cs_param.c, src/cdo/cs_param.h:
	  Rename cs_cdo*_codits into cs_cdo*_scaleq. Add
	  cs_cdovb_diffusion.[c,h] files. Rename cs_cdo_convection.[c,h]
	  into cs_cdovb_advection.[c,h] Add specific postprocessing
	  function for vertex-based and face-based schemes.

2015-11-17 12:48  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8172] src/cdo/cs_cdovb_codits.c, src/cdo/cs_domain.c,
	  src/cdo/cs_domain.h, src/cdo/cs_equation.c,
	  src/cdo/cs_equation.h, src/cdo/cs_equation_priv.h,
	  src/cdo/cs_param.c, src/cdo/cs_param.h,
	  src/cdo/cs_walldistance.c,
	  src/user_examples/cs_user_cdo-examples.c,
	  src/user_examples/cs_user_cdo_numerics-examples.c: Add the
	  possibility to define several reaction terms in CDO module.
	  Simplify the definition of source terms.

2015-11-13 14:00  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8171] Makefile.am, NEWS, bin/cs_create.py,
	  data/thch/dp_radiat_MFS.tar.xz[ADD],
	  data/thch/dp_radiat_Planck_CO2[ADD],
	  data/thch/dp_radiat_Planck_H2O[ADD],
	  data/thch/dp_radiat_wave[ADD], src/base/impini.f90,
	  src/base/predvv.f90, src/pprt/ppcabs.f90, src/rayt/Makefile.am,
	  src/rayt/radiat.f90, src/rayt/rafsck.f90[ADD],
	  src/rayt/raycll.f90, src/rayt/raydom.f90, src/rayt/rayopt.f90,
	  src/rayt/rayprp.f90, src/user/cs_user_parameters.f90: Add FSCK
	  radiative model (provided by M. Charwath).
	  
	  Activate it in cs_user_parameters.f90 with imfsck=1.

2015-11-13 13:18  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8170] NEWS: Update NEWS.

2015-11-12 17:37  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8169] NEWS, src/mesh/cs_mesh_quality.c: Add boundary cell
	  thickness to mesh quality criteria.

2015-11-12 17:37  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8168] src/lagr/lagdep.f90, src/lagr/lagesd.f90,
	  src/lagr/lagipn.f90, src/lagr/lagopt.f90, src/lagr/lagune.f90:
	  Lagrangian fixes to allow initialization with deposition model.

2015-11-12 17:37  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8167] src/lagr/cs_lagr_tracking.c: Lagrangian fixes for
	  deposition model.

2015-11-12 17:37  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8166] NEWS: Make punctuation and paragraph spacing more
	  consistent.

2015-11-10 10:58  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8165] NEWS: Update NEWS.

2015-11-09 16:39  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8164] NEWS, bin/cs_case_domain.py, bin/cs_debug_wrapper.py,
	  bin/cs_user_scripts.py, bin/cs_xml_reader.py,
	  gui/Base/XMLinitialize.py,
	  gui/Pages/BatchRunningAdvancedOptionsDialogForm.ui,
	  gui/Pages/BatchRunningDebugOptionsHelpDialogForm.ui[ADD],
	  gui/Pages/BatchRunningView.py, gui/Pages/Makefile.am,
	  gui/Pages/icons/22x22/help.png[ADD],
	  gui/Pages/resources_pages.qrc: Allow using the debug wrapper from
	  the GUI or scripts.

2015-11-06 12:01  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8163] bin/cs_debug_wrapper.py: Make debug wrapper more helpful
	  by properly killing Valgrind vgdb server after gdb detaches.

2015-11-06 09:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8162] src/lagr/cs_lagr_tracking.c, src/lagr/lagadh.f90,
	  src/lagr/lagipn.f90, src/lagr/lagres.f90, src/lagr/lagune.f90:
	  Lagangian module: fixes for deposition/reentrainement model.
	  Provided by Céline Caruyer.

2015-11-06 09:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8161] docs/user/graphics/cs_components.fig: Rename Kernel to
	  Solver in Code_Saturne components description.

2015-11-02 13:00  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8160] src/cdo/cs_cdo_quantities.c: Fix spurious loop index
	  intro. in rev. 8080 in the Mirtich cell cog computation.

2015-11-02 09:49  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8159] NEWS, po/fr.po, src/base/Makefile.am,
	  src/base/cs_all_to_all.c, src/base/cs_all_to_all.h,
	  src/base/cs_crystal_router.c[ADD],
	  src/base/cs_crystal_router.h[ADD], src/fvm/fvm_io_num.c,
	  src/mesh/cs_join.c, src/mesh/cs_partition.c: Major changes to
	  all_to_all API, so as to make its usage easier. - new API is
	  similar to cs_part_to_block / cs_block_to_part, so as to be
	  aligned more with sparse or neighborhod collectives then Crystal
	  Router in the future. - place Crystal Router code in separate
	  files from cs_all_to_all, to allow lower-level use. Simplify its
	  usage, and make its data access logic

2015-10-28 13:44  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8158] bin/cs_exec_environment.py: Fix some cases of rank
	  counting for LoadLeveler on BlueGene/Q (and complete
	  spurious/unifnished changes in previous commit...)

2015-10-28 13:36  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8157] bin/cs_exec_environment.py, src/turb/turrij.f90: Fix
	  missing argument cleanup following rev. 8155.

2015-10-28 11:27  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8156] configure.ac: Allow OpenMP for C only when OpenMP for
	  Fortran is not compatible.

2015-10-28 09:39  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8155] src/alge/cs_gradient.c, src/alge/cs_gradient_perio.c,
	  src/alge/cs_sles_pc.c, src/base/cs_base.c, src/base/iniva0.f90,
	  src/base/inivar.f90, src/base/tridim.f90,
	  src/cdo/cs_equation_priv.h, src/cdo/cs_walldistance.c,
	  src/comb/cplph1.f90, src/comb/cs_coal_scast.f90,
	  src/comb/cs_physical_properties_combustion_drift.f90,
	  src/turb/clprij.f90, src/turb/reseps.f90, src/turb/resrij2.f90,
	  src/turb/resssg2.f90, src/turb/rijech.f90, src/turb/rijthe2.f90,
	  src/turb/turbsa.f90, src/turb/vandri.f90: Remove various compiler
	  warnings.

2015-10-27 14:37  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8154] src/cdo/cs_cdovb_codits.c, src/cdo/cs_equation.c,
	  src/cdo/cs_equation_priv.h, src/cdo/cs_evaluate.c,
	  src/cdo/cs_hodge.c: Major commit in CDO module. Add reaction
	  term. Improve the computation of discrete Hodge op. when using
	  conforming reconstruction function. Adapt the computation of the
	  source term when using this king of discrete Hodge operator.

2015-10-27 14:37  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8153] src/cdo/cs_cdo_convection.c, src/cdo/cs_cdo_toolbox.c,
	  src/cdo/cs_cdo_toolbox.h, src/cdo/cs_cdovb_codits.c,
	  src/cdo/cs_evaluate.c, src/cdo/cs_hodge.c: Change prototype in
	  cs_cdo_toolbox.h to avoid compilation warnings with gcc.

2015-10-27 14:37  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8152] src/cdo/cs_cdo_quantities.c, src/cdo/cs_cdo_quantities.h,
	  src/cdo/cs_cdofb_codits.c, src/cdo/cs_cdofb_codits.h,
	  src/cdo/cs_cdovb_codits.c, src/cdo/cs_cdovb_codits.h,
	  src/cdo/cs_equation.c, src/cdo/cs_evaluate.c,
	  src/cdo/cs_evaluate.h, src/cdo/cs_hodge.c,
	  src/user_examples/cs_user_cdo_numerics-examples.c: Add the member
	  vtx_coord to the cs_cdo_quantities_t structure. Modify name
	  variables and comments in cdo schemes.

2015-10-27 10:10  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8151] bin/autovnv/Study.py: Autovnv: reference directory takes
	  precedence over destination directory in all comparisons (even if
	  a compare markup is used with a non empty destination dir.).

2015-10-26 15:09  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r8150] src/alge/cs_convection_diffusion.c,
	  src/alge/cs_gradient.c: Fix in weighted gradient calculation for
	  anisotropic diffusion problems.

2015-10-26 13:22  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8149] gui/Pages/BatchRunningView.py: Fix : suppress prepro_
	  prefix for calculation mode

2015-10-26 13:05  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8148] gui/Pages/BoundaryConditionsScalarsView.py,
	  src/gui/cs_gui_boundary_conditions.c: Fix boundary conditions for
	  exchange coefficient

2015-10-26 11:47  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8147] src/base/cs_assert.h: Fix Doxygen comment.

2015-10-26 09:04  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8146] src/base/dttvar.f90: Update comments and clean up dttvar
	  function.

2015-10-26 09:04  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8145] src/base/impini.f90: Add some information to the log.

2015-10-26 09:04  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8144] src/user/cs_user_parameters.f90: Add an example for
	  reinit_turb (advanced init for EBRSM and k-omega turbulence
	  models).

2015-10-26 09:04  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8143] src/base/dttvar.f90, src/base/iniva0.f90,
	  src/base/navstv.f90, src/base/predvv.f90, src/base/tridim.f90,
	  src/base/visecv.f90, src/cfbl/cfdttv.f90, src/cfbl/cfmsfp.f90,
	  src/cfbl/cfmspr.f90: Remove propce from some subroutines.

2015-10-26 09:04  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8142] src/base/dttvar.f90: Doxygen dttvar function.

2015-10-23 17:00  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8141] NEWS: Update NEWS.

2015-10-23 16:52  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8139] src/gui/cs_gui.c: Fix negative permeability cells counter
	  in GUI reader (intro in rev. 7295).

2015-10-23 16:32  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8138] src/base/initi2.f90: Fix in the computation of the
	  maximal length scale (ALMAX).
	  
	  1/3 is not equal to 0.333, which can be dramatic when changing
	  scale...

2015-10-21 16:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8137] src/base/Makefile.am, src/base/cs_assert.h[ADD]: Add
	  cs_assert macro.

2015-10-21 15:35  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8136] src/cdo/cs_cdovb_codits.c, src/cdo/cs_domain.c: Fix a bug
	  and a memory leak in CDO module for steady-state computations.

2015-10-21 15:35  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8135] src/cdo/cs_cdovb_codits.c, src/cdo/cs_domain.c,
	  src/cdo/cs_domain.h, src/cdo/cs_equation.c,
	  src/cdo/cs_equation.h, src/cdo/cs_equation_priv.h,
	  src/user_examples/cs_user_cdo-examples.c: Modify sources to take
	  into account (linear) reaction term in CDO vertex-based schemes.

2015-10-21 13:31  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8134] src/cdo/cs_cdofb_codits.c, src/cdo/cs_cdofb_codits.h,
	  src/cdo/cs_cdovb_codits.c, src/cdo/cs_cdovb_codits.h,
	  src/cdo/cs_equation.c: Optimize allocation of memory in CDO
	  module.

2015-10-21 13:31  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8133] src/cdo/cs_cdo_connect.c, src/cdo/cs_cdo_connect.h,
	  src/cdo/cs_cdo_convection.c, src/cdo/cs_cdo_convection.h,
	  src/cdo/cs_cdo_toolbox.c, src/cdo/cs_cdo_toolbox.h,
	  src/cdo/cs_cdofb_codits.c, src/cdo/cs_cdofb_codits.h,
	  src/cdo/cs_cdovb_codits.c, src/cdo/cs_cdovb_codits.h,
	  src/cdo/cs_equation.c, src/cdo/cs_hodge.c, src/cdo/cs_hodge.h,
	  src/cdo/cs_sla.h, src/cdo/cs_sla_matrix.c,
	  src/user_examples/cs_user_cdo_extra_op-verif-diffusion.c: Major
	  change in CDO module. Add time scheme and make some
	  factorizations in vertex-based schemes. Add functionalities to
	  cs_locmat_t structure.

2015-10-21 13:31  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8132] src/cdo/cs_cdo_main.c, src/cdo/cs_cdovb_codits.c,
	  src/cdo/cs_equation.c, src/cdo/cs_param.h,
	  src/user_examples/cs_user_cdo_numerics-examples.c: Improve
	  comments in CDO module. Fix mispellings. Remove blanks.

2015-10-21 13:31  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8131] src/cdo/cs_walldistance.c: Modify the default setting
	  related to the computation of the wall distance.

2015-10-21 13:31  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8130] src/base/cs_prototypes.h, src/base/cs_time_step.h,
	  src/cdo/cs_cdo.h, src/cdo/cs_cdo_bc.c, src/cdo/cs_cdo_bc.h,
	  src/cdo/cs_cdo_convection.c, src/cdo/cs_cdo_convection.h,
	  src/cdo/cs_cdo_main.c, src/cdo/cs_cdofb_codits.c,
	  src/cdo/cs_cdofb_codits.h, src/cdo/cs_cdovb_codits.c,
	  src/cdo/cs_cdovb_codits.h, src/cdo/cs_domain.c,
	  src/cdo/cs_domain.h, src/cdo/cs_equation.c,
	  src/cdo/cs_equation.h, src/cdo/cs_equation_priv.h,
	  src/cdo/cs_evaluate.c, src/cdo/cs_evaluate.h, src/cdo/cs_hodge.c,
	  src/cdo/cs_hodge.h, src/cdo/cs_param.c, src/cdo/cs_param.h,
	  src/cdo/cs_sla.h, src/cdo/cs_sla_matrix.c,
	  src/cdo/cs_walldistance.c, src/user/cs_user_cdo.c,
	  src/user/cs_user_cdo_extra_op.c,
	  src/user_examples/cs_user_cdo-examples.c,
	  src/user_examples/cs_user_cdo_extra_op-verif-diffusion.c: Add
	  structure and mechanism for taking into account time in CDO
	  module. Add new algo. to compute a discrete Hodge operator.
	  Factorize Hodge construction.

2015-10-21 13:31  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8129] src/cdo/cs_cdo_convection.c, src/cdo/cs_equation.c,
	  src/cdo/cs_param.h: Add a new weight function to compute the
	  upwinding coefficient in CDO schemes when convection and
	  diffusion are both activated.

2015-10-21 12:37  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8128] docs/style/logoedf.png: Update EDF logo.

2015-10-20 14:55  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8125] src/base/cs_post.c, src/base/cs_post.h,
	  src/base/cs_syr4_coupling.c: Deactivate Syrthes postprocessing
	  when default writer uses a non-fixed mesh to ensure consistency.

2015-10-20 14:55  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8124] src/base/cs_gas_mix_physical_properties.f90: Remove
	  blanks.

2015-10-20 13:22  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8123] gui/Pages/SteadyManagementForm.ui,
	  gui/Pages/TimeStepForm.ui: change size of the windows "Number of
	  iterations" (too small when n > 9999.)

2015-10-20 12:38  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8122] gui/Pages/LocalizationView.py: small correction in GUI :
	  replace symmeties by symmetries

2015-10-20 10:12  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8121] src/lagr/cs_lagr_tracking.c: Fix for Lagrangian
	  deposition stats.

2015-10-19 08:34  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8120] tests/cs_interface_test.c: Missing translations.

2015-10-19 08:34  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8119] docs/doxygen/Doxyfile-src, docs/style/csbiblio.bib:
	  Enable bibliography in Doxygen, add articles.

2015-10-14 16:20  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8118] src/base/clpsca.f90, src/base/cs_c_bindings.f90,
	  src/base/cs_log_iteration.c, src/base/cs_log_iteration.h,
	  src/base/dttvar.f90, src/base/resvoi.f90, src/turb/clipke.f90,
	  src/turb/clipsa.f90, src/turb/clpalp.f90, src/turb/clprij.f90,
	  src/turb/clpv2f.f90, src/turb/turbkw.f90: Add clipping logs of
	  each components of Rij for the coupled resolution (irijco=1)
	  
	  Provided by A. Tibere-Inglesse.

2015-10-14 16:20  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8117] src/alge/cs_convection_diffusion.c,
	  src/alge/cs_convection_diffusion.h: Fix to avoid compiler
	  warnings for the Rij coupled solver

2015-10-14 16:20  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8116] src/base/cs_stokes_model.c: Fix comment.

2015-10-14 15:59  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8115] src/base/resopv.f90: Add a comment on the fire algorithme
	  to deal with variable density.

2015-10-14 15:59  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8114] docs/theory/timstp.tex: Fix typo.

2015-10-14 15:40  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8113] src/base/condli.f90, src/base/cs_c_bindings.f90,
	  src/base/cs_field_pointer.c, src/base/cs_field_pointer.h,
	  src/base/cs_gas_mix_initialization.f90,
	  src/base/cs_gas_mix_physical_properties.f90,
	  src/base/cs_parameters.c, src/base/cs_parameters.h,
	  src/base/cs_physical_constants.c,
	  src/base/cs_physical_constants.h, src/base/cstphy.f90,
	  src/base/fldini.f90, src/base/fldvar.f90, src/base/iniusi.f90,
	  src/base/iniva0.f90, src/base/lecamx.f90, src/base/numvar.f90,
	  src/base/scalai.f90, src/base/tridim.f90, src/base/verini.f90,
	  src/cfbl/cfdttv.f90, src/cfbl/cfener.f90, src/cfbl/cfiniv.f90,
	  src/cfbl/cfmsfp.f90, src/cfbl/cfmspr.f90, src/cfbl/cfphyv.f90,
	  src/cfbl/cfprop.f90, src/cfbl/cfrusb.f90, src/cfbl/cfvarp.f90,
	  src/cfbl/cfxtcl.f90, src/cfbl/cs_cf_bindings.f90,
	  src/cfbl/cs_cf_thermo.c, src/cfbl/cs_cf_thermo.h,
	  src/gui/cs_gui.c, src/pprt/ppiniv.f90, src/pprt/ppphyv.f90,
	  src/pprt/ppprop.f90, src/pprt/ppvarp.f90,
	  src/user/cs_user_parameters.f90,
	  src/user_examples/cs_user_physical_properties-compressible_flow.f90:
	  Add gas mix thermo. and fix mass source term with the
	  compressible module (internship of A. Menasria): - allow to
	  select both gas mix (igmix) specific physics with compressible
	  (icompf) spec. physics - add property field for deduced mass
	  fraction (iddgas) and mixture molar mass (igmxml) - add a field
	  pointer mapping for gas mix (mapping mix molar mass field) - add
	  mapping of specific heat at constant volume field pointer - add
	  one gas mix composed of helium, N2 and O2 (i.e. Helium+Air), O2
	  is the deduced species - add Sutherland behavior law for
	  viscosity and thermal conductivity of gas mix (ivsuth option) -
	  move setting of ieos from uscfx1 to usppmo - add thermo.
	  relations for perfect gas mix in compressible thermo. (also for
	  BCs), igmix specific physics triggers switch of ieos to 3 - treat
	  conduction term in total energy equation correctly in gas mix (Cv
	  depends on species) - fix mass source term in compressible
	  (momentum source term coming from added mass has to be accounted
	  for in simplified momentum equation during mass balance step) -
	  Doxygen some compressible subroutines and remove some propce
	  occurences.

2015-10-13 15:44  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8110] bin/cs_case.py, src/base/cs_ast_coupling.c: Fixes for
	  Code_Aster coupling.

2015-10-13 12:10  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8109] src/lagr/cs_lagr_tracking.c: Ensure particle state is
	  updated for particles with errors.

2015-10-13 12:10  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8108] src/lagr/cs_lagr_tracking.c: Lagrangian module: fixes for
	  deposition by C. Caruyer.

2015-10-12 15:34  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8107] NEWS, src/base/caltri.f90, src/base/covofi.f90,
	  src/base/pointe.f90, src/lagr/lagent.f90, src/lagr/lagran.f90,
	  src/lagr/precdi.f90, src/lagr/precst.f90,
	  src/user/cs_user_physical_properties.f90, src/user/uslag1.f90:
	  Lagragian module: add precipitation/dissolution modeling.
	  Provided by Céline Caruyer.

2015-10-12 15:34  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8106] src/base/covofi.f90, src/base/pointe.f90,
	  src/lagr/Makefile.am, src/lagr/lagent.f90, src/lagr/lagran.f90,
	  src/lagr/precdi.f90[ADD], src/lagr/precst.f90[ADD],
	  src/user/cs_user_physical_properties.f90, src/user/uslag1.f90:
	  Lagrangian precipitation/dissolution additions.

2015-10-12 14:46  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8105] NEWS, src/base/cs_coupling.c,
	  src/base/cs_measures_util.c, src/fvm/fvm_nodal.c,
	  src/fvm/fvm_nodal.h, src/fvm/fvm_nodal_extrude.c,
	  src/fvm/fvm_nodal_priv.h, src/fvm/fvm_point_location.c,
	  src/fvm/fvm_point_location.h: Implement handing of tags in
	  functions associated with PLE locator.

2015-10-12 14:46  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8104] libple/NEWS, libple/src/ple_locator.c: Implement handing
	  of point tags in PLE locator.

2015-10-12 14:46  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8103] configure.ac, m4/cs_mpi.m4: Add MPI-3 neighborhood
	  collectives support detection.

2015-10-12 14:46  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8102] bin/cs_debug_wrapper.py: Tell gdb to make breakpoints
	  pending, to simplify use with plugins.

2015-10-12 08:48  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8099] NEWS, src/user/uselrc.f90: Fix example in uselrc.f90.

2015-10-12 08:42  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8096] src/fvm/fvm_to_catalyst.cxx: Fixes for Catalyst using
	  time-varying meshes.

2015-10-07 18:23  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8095] src/base/visecv.f90: Fix Doxygen in secondary viscosity
	  computation subroutine.

2015-10-07 10:03  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8094] bin/autovnv/Drawing.py: Fix bug on autovnv probes markups
	  introduced in rev. 8059 (Improvements of error bars in autovnv).

2015-10-07 09:19  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8092] docs/theory/algebr.tex, docs/theory/goveqn.tex,
	  docs/theory/matrix.tex, docs/theory/theory.tex,
	  docs/theory/timstp.tex: [Doc] Add fire dilatable algorithm and
	  fix some ref.

2015-10-05 15:03  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8091]
	  src/user_examples/cs_user_extra_operations-energy_balance.f90:
	  Fix comments in energy balance examples (not true in case of
	  negative enthalpy).

2015-10-05 10:43  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8090] src/base/cs_all_to_all.c, src/base/cs_all_to_all.h,
	  src/fvm/fvm_io_num.c: Replace some Alltoall/Alltoallv constructs
	  with cs_all_to_all constructs.

2015-10-05 10:42  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8089] src/base/cs_all_to_all.c: Several fixes in some
	  cs_all_to_all algorithm cases.

2015-10-05 09:17  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8088] po/fr.po: Update translations file.

2015-10-05 09:17  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8087] src/base/addfld.f90, src/base/cs_restart.c,
	  src/base/cs_restart.h, src/base/cs_sort.c, src/bft/bft_mem.h,
	  src/cdo/cs_cdo_quantities.c: Fix some warnings and datatypes.

2015-10-05 09:17  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8086] src/mesh/cs_mesh_quality.c: Update offset criteria name
	  to reflect it is now naturally a cell-based quantity.

2015-10-05 09:17  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8085] src/mesh/cs_join.c: Fix format string.

2015-10-05 09:17  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8084] bin/cs_debug_wrapper.py: One more fix for debug wrapper.

2015-10-05 09:17  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8083] src/cfbl/cs_cf_thermo.c: Use non-const access to
	  structure pointer to avoid warning/inconsistency.

2015-10-05 09:17  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8082] src/base/cs_math.h: Add some restrict qualifiers and
	  explicit other arrays for consistency.

2015-10-05 08:13  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8081] src/cdo/cs_cdo_convection.c, src/cdo/cs_cdo_convection.h,
	  src/cdo/cs_domain.c, src/cdo/cs_equation.c,
	  src/cdo/cs_equation.h, src/cdo/cs_equation_priv.h: Add two
	  post-processing option related to convection in CDO module.
	  Post-processing of an equivalent local Peclet number in each cell
	  and the value of the associated upwinding coefficient.

2015-10-05 08:13  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8080] src/cdo/cs_cdo_quantities.c: Fix a bug in
	  cs_cdo_quantities.c

2015-10-02 18:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8079] bin/cs_config.py.in, docs/install/install.tex,
	  gui/Pages/FluidCharacteristicsView.py, m4/cs_coolprop.m4: Improve
	  CoolProp detection and installation documentation.

2015-10-02 18:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8078] gui/Pages/FluidCharacteristicsView.py: Allow use of
	  CoolProp with previous fluids list when Python module is not
	  available.

2015-10-02 18:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8077] bin/cs_debug_wrapper.py: Fixes for debugger wrapper
	  script.

2015-10-02 14:23  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8076] src/cdo/Makefile.am, src/cdo/cs_cdo_convection.c[ADD],
	  src/cdo/cs_cdo_convection.h[ADD], src/cdo/cs_cdo_main.c,
	  src/cdo/cs_cdo_quantities.h, src/cdo/cs_cdo_toolbox.c,
	  src/cdo/cs_cdo_toolbox.h, src/cdo/cs_cdovb_codits.c,
	  src/cdo/cs_domain.c, src/cdo/cs_equation.c,
	  src/cdo/cs_equation.h, src/cdo/cs_equation_priv.h,
	  src/cdo/cs_evaluate.c, src/cdo/cs_evaluate.h, src/cdo/cs_hodge.c,
	  src/cdo/cs_param.c, src/cdo/cs_param.h,
	  src/user_examples/cs_user_cdo-examples.c,
	  src/user_examples/cs_user_cdo_extra_op-verif-diffusion.c: Major
	  update of the CDO module. Add convection for CDO vertex-based
	  schemes. Add advection field along with its post-processing. Two
	  advection operators are available related to the conservative or
	  non-conservative form of the advection operator. Add
	  post-processing of an equation (i.e. that of the related field).

2015-10-02 14:23  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8075] src/base/cs_prototypes.h, src/cdo/cs_cdo.h,
	  src/cdo/cs_cdo_main.c, src/cdo/cs_cdo_quantities.c,
	  src/cdo/cs_cdo_toolbox.c, src/cdo/cs_cdo_toolbox.h,
	  src/cdo/cs_cdovb_codits.c, src/cdo/cs_domain.c,
	  src/cdo/cs_equation.c, src/cdo/cs_equation.h, src/cdo/cs_param.c,
	  src/cdo/cs_param.h, src/cdo/cs_walldistance.c,
	  src/user/cs_user_cdo.c, src/user/cs_user_cdo_extra_op.c,
	  src/user_examples/cs_user_cdo-examples.c,
	  src/user_examples/cs_user_cdo_extra_op-verif-diffusion.c: Minor
	  updates in CDO module. Split the initialization of material
	  properties in two steps (add and set). Fix some headers and
	  typos. Add cs_equation_link()

2015-10-01 05:57  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8074] NEWS, src/base/optcal.f90, src/base/tridim.f90,
	  src/turb/cs_turbulence_model.c, src/turb/cs_turbulence_model.h,
	  src/turb/resalp.f90, src/turb/turbkw.f90, src/turb/turrij.f90:
	  Automatic initialization of the Turbulence for EBRSM and k-omega
	  models. (Provided by R. Manceau - Uni of Pau))
	  
	  From a reference velocity (uref), the turbulence profiles are
	  reset after the first iteration. The velocity magnitude is also
	  changed so that the Reichard profile is imposed next to walls.
	  
	  Activate it with reinit_turb=1 (in usipsu).

2015-10-01 05:57  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8073] docs/user/saturne2.tex: Update user doc.

2015-10-01 05:57  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8072] src/mesh/cs_mesh_quality.c: Merge mesh quality criterion
	  with bad cells.

2015-09-30 14:49  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8069] bin/cs_debug_wrapper.py: Fixes for debugger wrapper
	  script.

2015-09-30 13:32  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8068] src/base/cs_restart_default.c: Fix RSM restart from
	  pre-v4.0 versions issue for R13 field.

2015-09-30 10:20  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8067] data/thch/JANAF: Add Heptane (C7H16) in JANAF table.
	  Provided by Bertrand SAPA.

2015-09-30 08:53  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8063] config/cs_auto_flags.sh: Fix default OpenMP flags for
	  clang compiler.

2015-09-30 08:53  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8062] docs/developer/write_theory.tex,
	  docs/theory/combustion_gas.tex, docs/theory/ground_water.tex,
	  docs/theory/navstv.tex, docs/theory/spadis.tex,
	  docs/theory/turbul.tex: Fix LaTex compatibility issues for recent
	  TeX distributions.

2015-09-30 08:53  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8061] docs/install/install.tex: Update CoolProp section of
	  installation documentation.

2015-09-30 08:53  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8060] bin/cs_debug_wrapper.py: Improvements to debugger
	  wrapper.

2015-09-29 17:51  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8059] bin/autovnv/Drawing.py, docs/autovnv/autovnv.tex:
	  Autovnv: - create markup "xerrp", "yerrp" allowing to provide
	  uncertainties in percentage - allow error bars for all data (not
	  only measurements) - allow drawing of error bars on x and y data
	  set with the same plot markup - update autovnv documentation
	  accordingly.

2015-09-29 17:20  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8058] Makefile.am, NEWS, bin/cs_debug_wrapper.py[ADD]: Add a
	  script to handle gdb and/or Valgrind-based debugging more easily.

2015-09-29 13:57  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8057] gui/Pages/HeadLossesForm.ui: update head losses
	  definition in GUI

2015-09-28 16:32  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8052] po/fr.po: Minor translations update.

2015-09-28 16:32  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8051] src/cdo/cs_cdo.c, src/cdo/cs_cdo_bc.c,
	  src/cdo/cs_cdo_connect.c, src/cdo/cs_cdo_connect.h,
	  src/cdo/cs_cdo_main.c, src/cdo/cs_cdofb_codits.c,
	  src/cdo/cs_domain.c, src/cdo/cs_domain.h, src/cdo/cs_equation.c,
	  src/cdo/cs_equation.h, src/cdo/cs_param.c, src/cdo/cs_param.h,
	  src/cdo/cs_sla.h, src/cdo/cs_sla_matrix.c: Fix some formatting
	  warnings reported by Debian, fix some English terms.

2015-09-28 16:32  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8050] src/base/cs_log_iteration.c: Fix parallel clippling
	  logging issue.

2015-09-28 14:47  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8049] src/base/b_t_to_h.f90, src/base/condli.f90,
	  src/base/cou1di.f90, src/base/cou1do.f90, src/base/coupbi.f90,
	  src/base/coupbo.f90, src/rayt/raycli.f90: Fortran interface
	  additions and Syrthes coupling with enthalpy fix for wall
	  temperature handling.

2015-09-28 12:33  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8048] src/fvm/fvm_writer_helper.c: Fix a bug related to the
	  postprocessing of fields attached to vertices with a dimension
	  strictly greater than 1.

2015-09-28 09:41  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8047] gui/Pages/FluidCharacteristicsModel.py,
	  gui/Pages/FluidCharacteristicsView.py, src/base/Makefile.am,
	  src/base/cs_coolprop.cxx[ADD], src/base/cs_coolprop.hxx[ADD],
	  src/base/cs_physical_properties.c: add coolprop in Code_Saturne

2015-09-28 08:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8046] bin/cs_exec_environment.py: Improve chances of running
	  ompi_info correctly for OpenMPI.

2015-09-28 08:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8045] NEWS, src/lagr/cs_lagr_clogging.c,
	  src/lagr/cs_lagr_tracking.c, src/lagr/cs_lagr_tracking.h,
	  src/lagr/lagune.f90: Remove linked list in Lagrangian particle
	  tracking. This should simplify future shared-memory
	  parallelization. The handling of deposition particle boundary
	  flux is also simplified, as flux is computed by comparison of the
	  states at the beginning and end of the trajectory stage, avoiding
	  complex updates.

2015-09-23 12:30  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r8039] src/rayt/raycli.f90: Fix bad argument in call of the user
	  function for radiative bcs.

2015-09-23 12:16  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r8036] src/mesh/cs_mesh_quality.c: Revome blanks.

2015-09-23 12:02  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8032] docs/theory/mesh_quality.tex: Complete previous commit.

2015-09-23 11:50  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8031] src/mesh/cs_mesh_bad_cells.c: Change the scale for bad
	  cells offsetting.

2015-09-23 11:50  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8030] src/base/resopv.f90, src/cfbl/cfini1.f90: Fix bug in
	  error estimator (derive/drift) (introduced in rev 6720).

2015-09-22 07:33  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8026] NEWS, src/mesh/cs_mesh_quality.c: Merge the bad cell
	  detection and mesh quality criterion for offesettting.

2015-09-22 07:33  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8025] docs/theory/mesh_quality.tex, docs/user/saturne2.tex,
	  src/base/impini.f90, src/mesh/cs_mesh_bad_cells.c,
	  src/mesh/cs_mesh_quality.c: Fix in bad cell detection
	  (offsetting) and mesh quality criterion (offsetting).

2015-09-21 09:42  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8024] src/base/cs_control.c: Fix minor memory leak in control
	  file management.

2015-09-18 14:59  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8023] src/cdo/cs_cdovb_codits.c: Add a weak enforcement of the
	  boundary conditions for CDO vertex-based schemes while keeping
	  the symmetry of the linear system.

2015-09-18 14:59  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8022] src/cdo/cs_cdo_quantities.h, src/cdo/cs_cdo_toolbox.c,
	  src/cdo/cs_cdofb_codits.c, src/cdo/cs_cdovb_codits.c,
	  src/cdo/cs_equation.c, src/cdo/cs_evaluate.c, src/cdo/cs_param.c:
	  Minor updates in the CDO module. Fix typos and compilation
	  warnings.

2015-09-18 14:59  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8021] src/cdo/cs_cdo_toolbox.c, src/cdo/cs_cdo_toolbox.h,
	  src/cdo/cs_cdofb_codits.c, src/cdo/cs_cdovb_codits.c,
	  src/cdo/cs_equation.c, src/cdo/cs_hodge.c, src/cdo/cs_param.c,
	  src/cdo/cs_param.h, src/cdo/cs_sla.h, src/cdo/cs_sla_matrix.c:
	  Add different ways to enforce boundary conditions for CDO
	  vertex-based schemes. Weak (Nitsche) enforcement, penalization
	  and strong enforcement.

2015-09-18 14:59  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8020] src/cdo/cs_cdofb_codits.c, src/cdo/cs_cdovb_codits.c,
	  src/cdo/cs_equation.c, src/cdo/cs_evaluate.c,
	  src/cdo/cs_evaluate.h, src/cdo/cs_param.c, src/cdo/cs_param.h:
	  Improve the setting of source terms within the CDO module.

2015-09-18 14:59  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r8019] src/cdo/cs_cdo_connect.c, src/cdo/cs_cdo_connect.h:
	  Simplify the structure cs_connect_info_t used in the CDO module.

2015-09-18 12:26  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r8018] src/base/iniusi.f90, src/gui/cs_gui.c: Fix bug intro. in
	  rev. 8009 (missing arguments in call to csphys).

2015-09-16 16:50  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8017] NEWS, docs/doxygen/examples/cs_var_dico.h,
	  src/base/condli.f90, src/base/cs_field_pointer.c,
	  src/base/cs_field_pointer.h, src/base/cs_parameters.c,
	  src/base/cs_parameters.h, src/base/cs_restart_default.c,
	  src/base/modini.f90, src/gui/cs_gui.c, src/gui/cs_gui_output.c,
	  src/gui/cs_gui_radiative_transfer.c,
	  src/gui/cs_gui_specific_physics.c, src/rayt/radf08.f90,
	  src/rayt/radf50.f90, src/rayt/radiat.f90, src/rayt/raycli.f90,
	  src/rayt/raydom.f90, src/rayt/raylec.f90, src/rayt/rayout.f90,
	  src/rayt/rayprp.f90: Unify general boundary temperature and
	  radiative wall temperature handling.

2015-09-16 16:50  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8016] src/rayt/rayprp.f90: Use lowercase for field names.

2015-09-16 16:43  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8013] src/gui/cs_gui_radiative_transfer.c: GUI: fix radiative
	  transfer boundary check issue with flux BC.

2015-09-16 08:07  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8012] docs/doxygen/examples/cs_head_losses.h,
	  docs/theory/goveqn.tex, src/base/paramx.f90,
	  src/user/cs_user_head_losses.f90,
	  src/user_examples/cs_user_head_losses.f90: Correct some comments
	  relative to head losses.

2015-09-15 15:47  Cyril Baudry <cyril.baudry@edf.fr>

	* [r8009] src/base/caltri.f90, src/base/cs_parameters.c,
	  src/base/cs_parameters.h, src/base/cs_physical_constants.c,
	  src/base/cs_physical_constants.h, src/base/cs_stokes_model.c,
	  src/base/cs_stokes_model.h, src/base/cs_thermal_model.c,
	  src/base/cs_thermal_model.h, src/base/cs_time_step.c,
	  src/base/cs_time_step.h, src/base/cs_wall_functions.c,
	  src/base/cs_wall_functions.h, src/base/cstphy.f90,
	  src/base/iniusi.f90, src/base/inivar.f90, src/base/optcal.f90,
	  src/base/phyvar.f90, src/base/tridim.f90,
	  src/cfbl/cs_cf_thermo.c, src/gui/Makefile.am, src/gui/cs_gui.c,
	  src/gui/cs_gui.h, src/gui/cs_gui_mobile_mesh.c,
	  src/gui/cs_gui_mobile_mesh.h, src/turb/cs_turbulence_model.c,
	  src/turb/cs_turbulence_model.h: cleaning argument call in
	  cs_gui.c

2015-09-15 13:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8008] src/base/addfld.f90, src/comb/cs_coal_thfieldconv1.f90:
	  Improvements to boundary temperature labeling.

2015-09-15 10:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8007] docs/user/saturne1.tex, src/base/cs_control.c: Make
	  control_file time_step_limit (used by AutoVnV) refer to current
	  run instead of total iterations.

2015-09-14 15:33  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8006] bin/autovnv/Command.py: AutoVnV: fix for traceback in
	  logging.

2015-09-14 15:33  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8005] bin/autovnv/Study.py: AutoVnV: Python 3 fix for
	  non-regression compare.

2015-09-14 15:33  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8004] docs/user/saturne1.tex, po/fr.po, src/base/Makefile.am,
	  src/base/addfld.f90, src/base/b_h_to_t.f90[ADD],
	  src/base/b_t_to_h.f90[ADD], src/base/c_h_to_t.f90[ADD],
	  src/base/clptrg.f90, src/base/clptur.f90, src/base/condli.f90,
	  src/base/cou1di.f90, src/base/cou1do.f90, src/base/coupbi.f90,
	  src/base/coupbo.f90, src/base/cs_c_bindings.f90,
	  src/base/cs_field_pointer.c, src/base/cs_field_pointer.h,
	  src/base/cs_parameters.c, src/base/fldini.f90,
	  src/base/fldprp.f90, src/base/fldvar.f90, src/base/iniini.f90,
	  src/base/initi1.f90, src/base/numvar.f90, src/base/tridim.f90,
	  src/base/varpos.f90, src/comb/cs_coal_htconvers1.f90,
	  src/comb/cs_coal_htconvers2.f90, src/comb/cs_coal_physprop1.f90,
	  src/comb/cs_coal_thfieldconv1.f90,
	  src/comb/cs_fuel_physprop1.f90,
	  src/comb/cs_fuel_thfieldconv1.f90, src/gui/cs_gui_output.c,
	  src/gui/cs_gui_radiative_transfer.c,
	  src/gui/cs_gui_radiative_transfer.h, src/pprt/Makefile.am,
	  src/pprt/ppray4.f90[DEL], src/rayt/raycli.f90,
	  src/rayt/raydom.f90, src/rayt/raypun.f90,
	  src/user/cs_user_physical_properties.f90,
	  src/user/cs_user_radiative_transfer.f90,
	  src/user_examples/cs_user_physical_properties-compressible_flow.f90:
	  Improvements/fixes for boundary enthalpy to temperature
	  conversion.

2015-09-14 15:33  Yvan Fournier <yvan.fournier@edf.fr>

	* [r8003] src/base/cs_map.c, tests/Makefile.am,
	  tests/cs_map_test.c[ADD]: Add timing unit test for cs_map_t
	  structure.

2015-09-14 07:08  Martin Ferrand <martin.ferrand@edf.fr>

	* [r8000] src/lagr/lagran.f90: Fix in Doxygen doc.

2015-09-14 07:08  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7999] src/gui/cs_gui.c: Make GUI code more consistant.

2015-09-11 17:15  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7998] src/user/cs_user_postprocess_var.f90: Minor fix of a user
	  example of variance postprocessing.

2015-09-10 07:57  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7997] src/turb/Makefile.am, src/turb/resalp.f90,
	  src/turb/resrij2.f90[CPY], src/turb/resssg2.f90,
	  src/turb/rijech.f90, src/turb/turrij.f90: Add Rij LRR and fix for
	  ERBRSM for coupled solver (irijco=1)
	  
	  Provided by A. TIBERE-INGLESSE.

2015-09-10 07:57  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7996] src/turb/resssg.f90: Fix in Rij for porous media (volume
	  of cells were used instead of volume of fluid)
	  
	  Provided A. TIBERE-INGLESSE.

2015-09-10 07:57  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7995] src/base/Makefile.am, src/base/catsmt.f90[ADD],
	  src/turb/resssg2.f90, src/user/cs_user_source_terms.f90: Fix in
	  source terms for Rij coupled solver
	  
	  Provided by A. TIBERE-INGLESSE

2015-09-09 16:44  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7992] po/fr.po, src/mesh/cs_join.c,
	  src/mesh/cs_join_intersect.c, src/mesh/cs_join_intersect.h,
	  src/mesh/cs_join_util.c, src/mesh/cs_join_util.h: Merge timings
	  from multiple joinings to adapt performance.log to rotor/stator
	  model.

2015-09-09 16:44  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7991] src/mesh/cs_join.c: Do not output joining information to
	  performance log when not verbose.

2015-09-09 16:44  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7990] extras/changelog/ChangeLog.base,
	  gui/Pages/CompressibleModel.py, src/base/cs_post.c,
	  src/base/cs_prototypes.h, src/user/cs_user_parameters.c,
	  src/user_examples/cs_user_parameters-base.c,
	  src/user_examples/cs_user_parameters-fans.c: Fix some typos in
	  comments.

2015-09-09 16:44  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7989] src/gui/cs_gui_output.c: Missed shift of index following
	  rev. 7981.

2015-09-09 16:44  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7988] NEWS, docs/user/saturne1.tex, docs/user/saturne2.tex,
	  src/base/Makefile.am, src/base/condli.f90, src/base/distpr.f90,
	  src/base/distpr2.f90[ADD], src/base/dvvpst.f90,
	  src/base/ecrava.f90, src/base/iniva0.f90, src/base/lecamx.f90,
	  src/base/pointe.f90, src/base/tridim.f90, src/base/verini.f90,
	  src/turb/rijech.f90, src/turb/turbkw.f90, src/turb/vandri.f90,
	  src/turb/vissst.f90: Unify geometric and computational wall
	  distance algorithm outputs.

2015-09-09 16:35  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7987] src/cfbl/cs_cf_thermo.c: Fix in compressible: wrong
	  tangential vel. coord. indices at Ptot, Htot inlet (introduced in
	  rev. 7521, translation to C).

2015-09-08 15:36  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7986] src/base/clptrg.f90, src/base/clptur.f90: Yet another fix
	  following rev. 7981...

2015-09-08 10:01  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7985] m4/cs_petsc.m4: Only test for PETSc when requested.

2015-09-08 09:04  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7984] src/base/condli.f90: Fix to second crash due to rev.
	  7981.

2015-09-07 17:19  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7983] src/base/condli.f90: Fix crash due to rev. 7981.

2015-09-07 17:04  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7982] NEWS, po/fr.po, src/alge/cs_benchmark.c,
	  src/alge/cs_gradient.c, src/alge/cs_matrix.c,
	  src/alge/cs_matrix.h, src/alge/cs_matrix_default.c,
	  src/alge/cs_matrix_priv.h, src/alge/cs_matrix_tuning.c,
	  src/alge/cs_sles_it.c, src/user/cs_user_performance_tuning.c:
	  Cleanup and updates in matrix tuning following rev. 7945.
	  Prefetch versions of sparse matrix-vector products are also
	  removed, as they did not provide advantages in most cases, while
	  3x3 and 6x6 block specific versions for MSR arrays were added, as
	  the are faster at least with GCC 5.2.

2015-09-07 17:04  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7981] docs/doxygen/examples/cs_user_parameters.h, po/fr.po,
	  src/base/addfld.f90, src/base/clptrg.f90, src/base/clptur.f90,
	  src/base/condli.f90, src/base/coupbo.f90,
	  src/base/cs_c_bindings.f90, src/base/cs_f_interfaces.f90,
	  src/base/cs_parameters.c, src/base/cs_parameters.h,
	  src/base/dvvpst.f90, src/base/entsor.f90, src/base/fldprp.f90,
	  src/base/fldvar.f90, src/base/impini.f90, src/base/iniini.f90,
	  src/base/post_util.f90, src/base/varpos.f90, src/elec/elprop.f90,
	  src/gui/cs_gui_output.c, src/user/cs_user_parameters.c,
	  src/user/cs_user_parameters.f90, src/user_examples/Makefile.am,
	  src/user_examples/cs_user_parameters-base.c[CPY]: Allow saving of
	  scalar field boundary values.

2015-09-07 17:04  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7980] src/alge/cs_matrix_building.c,
	  src/alge/cs_matrix_building.h, src/base/cs_field_operator.c,
	  src/base/cs_field_operator.h, src/base/cs_halo_perio.c,
	  src/base/cs_halo_perio.h, src/base/tridim.f90: Cleanup some code,
	  add missing prototypes.

2015-09-07 17:04  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7979] Makefile.am, bin/cs_batch.py[CPY], bin/cs_case.py,
	  bin/cs_exec_environment.py, extras/batch/batch.LSF,
	  extras/batch/batch.PBS, extras/code_saturne.cfg.template,
	  gui/Base/MainView.py, gui/Base/XMLengine.py,
	  gui/Pages/BatchRunningModel.py, gui/Pages/BatchRunningView.py:
	  Move management of batch directives from GUI to general python
	  scripts.

2015-09-07 11:51  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7978] src/lagr/lagesp.f90: Fix bounds checking issue using
	  Intel compilers.

2015-09-07 11:46  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7977] po/fr.po: Translations cleanup.

2015-09-07 11:46  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7976] gui/Base/icons/22x22/calc-mode.png,
	  gui/Base/icons/22x22/prepro-mode.png: GUI: Improve icons for
	  preprocessing and computation modes.

2015-09-07 11:46  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7975] src/lagr/laghlo.f90: Allow use of 'clogging_porosity'
	  field to visualize Lagrangian clogging porosity.

2015-09-07 11:46  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7974] bin/cs_case_domain.py: Fix for restart on Windows.

2015-09-07 11:46  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7973] bin/autovnv/Command.py, bin/autovnv/Drawing.py,
	  bin/autovnv/Parser.py, bin/autovnv/PlotVTK.py,
	  bin/autovnv/Study.py, bin/autovnv/TexMaker.py, bin/cs_autovnv.py:
	  Python-3 fixes for autovnv.

2015-09-07 11:46  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7972] bin/cs_xml_reader.py: Fix bug when passing MED mesh
	  number using the GUI.

2015-09-04 08:28  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7971] src/cdo/cs_cdo_bc.c, src/cdo/cs_cdo_bc.h,
	  src/cdo/cs_cdo_connect.c, src/cdo/cs_cdo_main.c,
	  src/cdo/cs_cdo_main.h, src/cdo/cs_cdo_quantities.c,
	  src/cdo/cs_cdo_quantities.h, src/cdo/cs_cdo_toolbox.c,
	  src/cdo/cs_cdo_toolbox.h, src/cdo/cs_cdovb_codits.c,
	  src/cdo/cs_domain.c, src/cdo/cs_domain.h, src/cdo/cs_evaluate.c,
	  src/cdo/cs_evaluate.h, src/cdo/cs_hodge.c,
	  src/cdo/cs_quadrature.c, src/cdo/cs_quadrature.h,
	  src/cdo/cs_reco.c, src/cdo/cs_reco.h, src/cdo/cs_sla.h,
	  src/cdo/cs_sla_matrix.c: Fix headers for Doxygen

2015-08-28 13:38  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7970] NEWS, po/fr.po, src/alge/cs_benchmark.c,
	  src/alge/cs_gradient.c, src/alge/cs_matrix.c,
	  src/alge/cs_matrix.h, src/alge/cs_matrix_default.c,
	  src/alge/cs_matrix_priv.h, src/alge/cs_matrix_tuning.c,
	  src/alge/cs_sles_it.c, src/user/cs_user_performance_tuning.c:
	  Revert "Cleanup and updates in matrix tuning following rev. 7945.
	  Prefetch versions of sparse matrix-vector products are also
	  removed, as they did not provide advantages in most cases, while
	  3x3 and 6x6 block specific versions for MSR arrays were added, as
	  the are faster at least with GCC 5.2."
	  
	  This reverts commit f1d9a5e4adb0f5e1aa5b283abe4b0f352fe26d29.

2015-08-27 08:19  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7969] Makefile.am, bin/cs_batch.py[DEL], bin/cs_case.py,
	  bin/cs_exec_environment.py, extras/batch/batch.LSF,
	  extras/batch/batch.PBS, extras/code_saturne.cfg.template,
	  gui/Base/MainView.py, gui/Base/XMLengine.py,
	  gui/Pages/BatchRunningModel.py, gui/Pages/BatchRunningView.py:
	  Revert "Move management of batch directives from GUI to general
	  python scripts."
	  
	  This reverts commit 6ae1b9dce8d05683a0617d2c84a59a40c828c4dc.

2015-08-26 08:12  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7968] NEWS, po/fr.po, src/alge/cs_benchmark.c,
	  src/alge/cs_gradient.c, src/alge/cs_matrix.c,
	  src/alge/cs_matrix.h, src/alge/cs_matrix_default.c,
	  src/alge/cs_matrix_priv.h, src/alge/cs_matrix_tuning.c,
	  src/alge/cs_sles_it.c, src/user/cs_user_performance_tuning.c:
	  Cleanup and updates in matrix tuning following rev. 7945.
	  Prefetch versions of sparse matrix-vector products are also
	  removed, as they did not provide advantages in most cases, while
	  3x3 and 6x6 block specific versions for MSR arrays were added, as
	  the are faster at least with GCC 5.2.
	  
	  Provided by Y. Fournier.

2015-08-26 08:12  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7967] Makefile.am, bin/cs_batch.py[CPY], bin/cs_case.py,
	  bin/cs_exec_environment.py, extras/batch/batch.LSF,
	  extras/batch/batch.PBS, extras/code_saturne.cfg.template,
	  gui/Base/MainView.py, gui/Base/XMLengine.py,
	  gui/Pages/BatchRunningModel.py, gui/Pages/BatchRunningView.py:
	  Move management of batch directives from GUI to general python
	  scripts.
	  
	  Provided by Y. Fournier.

2015-08-26 08:12  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7966] NEWS, m4/cs_blas.m4: Do not build with BLAS by default.
	  
	  Provided by Y. Fournier.

2015-08-25 07:51  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7964] NEWS: Update NEWS file.

2015-08-25 07:43  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7963] docs/user/saturne2.tex, src/base/impini.f90: Fix in the
	  doc. (Wall functions are now given by iwallf keyword).

2015-08-25 06:58  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7962] src/turb/clprij.f90: Fix in Rij coupled solver (Rij
	  clippings were wrongly computed).

2015-08-20 08:42  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7961] src/base/addfld.f90, src/base/fldini.f90,
	  src/base/inivar.f90: Fix allocation of weighted coefficients for
	  gradient calculation after modini (to take into account dedicated
	  setup for grounwater flows).

2015-08-19 12:53  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7959] src/mesh/cs_mesh_quantities.c: Fix bug introduced in rev.
	  7004 (add missing init in porous formulation).

2015-08-19 12:53  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7958] src/base/impini.f90: Add irijco in the listing.

2015-08-18 10:12  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7957] NEWS, src/lagr/lagcar.f90, src/lagr/lagdep.f90,
	  src/lagr/lages1.f90, src/lagr/lages2.f90, src/lagr/lagesp.f90,
	  src/lagr/lagopt.f90, src/lagr/lagpar.f90, src/lagr/lagran.f90:
	  Add the added-mass term in Lagrangian particle tracking (activate
	  it with iadded_mass=1).
	  
	  See Doxygen documention for more information.

2015-08-18 10:12  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7956] src/lagr/laggra.f90: Fix bug in the Lagrangian module
	  when the density of the particle is next to the one of the fluid.

2015-08-18 08:03  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7954] src/base/covofi.f90, src/base/resopv.f90,
	  src/darc/richards.f90: Fix missing parallel synchronization in
	  weighting gradient calculation.

2015-08-18 07:42  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7953] src/base/fldtri.f90: Fix bug introduced in rev. 7945
	  (missing allocation in case of use of a turbulence model
	  different than Rij-eps).

2015-08-17 16:08  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7952] src/base/clptur.f90, src/base/cs_restart.c,
	  src/base/cs_restart_default.c, src/turb/reseps.f90: Fix bug
	  introduced in rev.7945 (and removed spurious writings...)

2015-08-17 08:44  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7950] src/cfbl/cs_cf_thermo.c, src/turb/reseps.f90: Fix bug
	  #137 (restart calculation with compressible module). Provided by
	  E. Le Coupanec.

2015-08-17 08:24  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7949] src/cdo/cs_cdo_bc.h, src/cdo/cs_cdo_connect.h,
	  src/cdo/cs_cdo_quantities.c, src/cdo/cs_cdo_quantities.h,
	  src/cdo/cs_cdovb_codits.c, src/cdo/cs_cdovb_codits.h,
	  src/cdo/cs_equation.h, src/cdo/cs_hodge.h, src/cdo/cs_param.h,
	  src/cdo/cs_sla_matrix.c: Fix Doxygen.

2015-08-17 08:15  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7948] src/base/coditts.f90[ADD], src/turb/resssg2.f90,
	  src/user/cs_user_parameters.f90: Add missing file in rev.7945.

2015-08-14 15:27  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7945] AUTHORS, NEWS, src/alge/Makefile.am,
	  src/alge/bilscts.f90[ADD], src/alge/cs_benchmark.c,
	  src/alge/cs_convection_diffusion.c,
	  src/alge/cs_convection_diffusion.h, src/alge/cs_gradient.c,
	  src/alge/cs_gradient.h, src/alge/cs_gradient_perio.c,
	  src/alge/cs_gradient_perio.h, src/alge/cs_matrix.c,
	  src/alge/cs_matrix.h, src/alge/cs_matrix_building.c,
	  src/alge/cs_matrix_building.h, src/alge/cs_matrix_default.c,
	  src/alge/cs_matrix_tuning.c, src/alge/cs_sles_it.c,
	  src/base/Makefile.am, src/base/clptrg.f90, src/base/clptur.f90,
	  src/base/clsyvt.f90, src/base/condli.f90, src/base/covofi.f90,
	  src/base/cs_defs.h, src/base/cs_field.c,
	  src/base/cs_field_operator.c, src/base/cs_field_pointer.c,
	  src/base/cs_field_pointer.h, src/base/cs_halo_perio.c,
	  src/base/cs_nz_condensation.f90, src/base/cs_restart.c,
	  src/base/cs_restart_default.c, src/base/field_operator.f90,
	  src/base/fldtri.f90, src/base/fldvar.f90, src/base/iniini.f90,
	  src/base/iniva0.f90, src/base/inivar.f90, src/base/numvar.f90,
	  src/base/optcal.f90, src/base/phyvar.f90, src/base/predvv.f90,
	  src/base/tridim.f90, src/turb/Makefile.am, src/turb/clprij.f90,
	  src/turb/cs_turbulence_bc.c, src/turb/cs_turbulence_model.c,
	  src/turb/cs_turbulence_model.h, src/turb/reseps.f90,
	  src/turb/resssg2.f90[ADD], src/turb/rijthe.f90,
	  src/turb/rijthe2.f90[ADD], src/turb/turrij.f90,
	  src/user/cs_user_parameters.f90,
	  src/user/cs_user_source_terms.f90: Major commit: Add a coupled
	  component solver for symmetric tensors for the Reynolds stress
	  model (irijco=1). (Provided by A. Tibere-Inglesse)
	  
	  - Convection diffusion brick for tensors - Add a gradient of a
	  tensor field Only iterative methode up to now, least square
	  gradients not yet available - Add the advection/diffusion matrix
	  for a tensor field - Create matrix PxP and update Jacobi - Update
	  rotation functions - Restart from an uncoupled Rij tensor is
	  possible - Daly Harlow and Shir models are available
	  
	  The following testcases have been passed successfully: - KAWAMURA
	  - SUPERNIMBUS - DIFFUSER - JET_IN_POOL (idirsm=0 only)
	  
	  Tests on a channel with tetras have also been performed.
	  
	  Note that UBEND blows up with or without the coupled solver. Note
	  also that some differences might be optained between the two
	  solvers when : - the uncoupled solver do not make any iterations
	  for some components at the begining of the calculation - Some
	  component should be mathematically equal to 0 (for 2D cases for
	  instance) but have a small error.

2015-08-14 13:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7942] docs/install/install.tex: Installation manual: missing
	  options for recommeneded ParaView build.

2015-08-14 12:20  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7941] bin/autovnv/Command.py: Fix typo introduced in rev. 7939.

2015-08-14 11:22  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7940] src/base/caltri.f90: Fix spurious change in rev. 7938.

2015-08-14 09:36  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7939] bin/autovnv/Command.py: Autovnv: log backtrace info in
	  case of failed script.

2015-08-14 09:36  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7938] src/base/caltri.f90, src/base/parall.f90,
	  src/lagr/lagipn.f90, src/turb/vorpre.f90: Modify prototype to
	  paragv to use assumed-shape instead of assumed-size array. Also
	  avoid call using assumed-shape array in lagipn when slice is
	  empty.

2015-08-14 08:58  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7937] bin/cs_case.py: Fix computation status update in run
	  script.

2015-08-14 08:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7936] docs/install/install.tex: Remove doubled line.

2015-08-13 10:13  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7935] NEWS, docs/doxygen/examples/cs_user_parameters.h,
	  po/fr.po, src/alge/Makefile.am, src/alge/cs_grid.c,
	  src/alge/cs_matrix_default.c, src/alge/cs_multigrid.c,
	  src/alge/cs_multigrid.h, src/alge/cs_sles.c,
	  src/alge/cs_sles_default.c, src/alge/cs_sles_it.c,
	  src/alge/cs_sles_it.h, src/alge/cs_sles_pc.c[ADD],
	  src/alge/cs_sles_pc.h[ADD], src/alge/cs_sles_petsc.c,
	  src/base/codits.f90,
	  src/user_examples/cs_user_parameters-linear_solvers.c: Make
	  preconditioner model more general, enable multigrid as
	  preconditioner.
	  
	  Progress

2015-08-13 10:13  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7934] src/cdo/cs_equation.c, src/cdo/cs_param.c,
	  src/cdo/cs_param.h: Fix typos in comments.

2015-08-13 09:26  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7933] src/cogz/colecd.f90, src/pprt/pptbht.f90,
	  src/pprt/ppthch.f90: Compute massic calorific capacity of the
	  global species (Provided by B. Sapa).

2015-08-12 16:35  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7930] docs/doxygen/examples/cs_user_boundary_conditions_ale.h,
	  src/lagr/laghlo.f90, src/user/cs_user_cdo_extra_op.c: Fix some
	  Doxygen.

2015-08-12 14:42  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7929] gui/Pages/TimeAveragesModel.py: Fix time average start
	  time defined by GUI (provided by M. Guingo).

2015-08-12 12:26  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7928] src/base/cs_nz_tagmr.f90, src/cdo/cs_cdo_bc.c,
	  src/cdo/cs_cdo_connect.c, src/cdo/cs_cdo_connect.h,
	  src/cdo/cs_cdo_quantities.c, src/cdo/cs_cdo_quantities.h,
	  src/cdo/cs_cdo_toolbox.c, src/cdo/cs_cdo_toolbox.h,
	  src/cdo/cs_domain.c, src/cdo/cs_equation.c,
	  src/cdo/cs_equation.h, src/cdo/cs_evaluate.c, src/cdo/cs_hodge.c,
	  src/cdo/cs_hodge.h, src/cdo/cs_param.c, src/cdo/cs_param.h,
	  src/cdo/cs_sla.h, src/cdo/cs_sla_matrix.c,
	  src/cfbl/cs_cf_thermo.c: Some Doxygen Fixes.

2015-08-12 12:02  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7927] bin/cs_exec_environment.py: Ensure user name is
	  determined in more environments for correct logging.

2015-08-11 18:00  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7926] docs/doxygen/examples/cs_user_physical_properties.h,
	  libple/doc/doxygen/mainpage.h, libple/src/ple_coupling.c,
	  libple/src/ple_locator.c, libple/src/ple_locator.h,
	  src/alge/cs_matrix.c, src/alge/cs_matrix.h,
	  src/alge/cs_sles_petsc.c, src/alge/cs_sles_petsc.h,
	  src/base/cs_fan.c, src/base/cs_fan.h,
	  src/base/cs_nz_condensation.f90, src/base/cs_nz_tagmr.f90,
	  src/base/cs_timer_stats.c, src/base/cs_timer_stats.h,
	  src/lagr/lagran.f90, src/user/cs_user_cdo_numerics.c: Some
	  Doxygen fixes.

2015-08-11 16:29  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7925] src/gui/cs_gui.c: Fix minor memory leak.

2015-08-11 16:29  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7924] gui/Pages/BatchRunningView.py: Improve some comments.

2015-08-11 16:29  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7923] docs/developer/write_theory.tex: Fix typos.

2015-08-11 16:29  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7922] bin/cs_case.py, bin/cs_case_domain.py: Improve handling
	  of case run stages, fix --force option.

2015-08-11 16:23  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7920] src/alge/cs_matrix.c: Fix memory corruption creating CSR
	  matrix with ghost cells (introduced in rev. 7860).

2015-08-11 12:55  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7919] src/base/optcal.f90: Minor fix in Doxygen doc. for iwgrec
	  option.

2015-08-10 17:31  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7918] src/base/predfl.f90: Add some printings in the log file
	  when verbosity is activated.

2015-08-10 17:31  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7917] src/base/predvv.f90: Fix indentation.

2015-08-10 17:31  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7916] src/base/predfl.f90: Correct some comments.

2015-08-10 17:22  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7915] NEWS, src/alge/cs_gradient.c: Update weighted gradient
	  for anisotropic diffusion problems with a proper formulae. Remove
	  compilation warnings and update the NEWS file.

2015-08-10 11:20  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7912] bin/cs_runcase.py: Fix detection of script type in
	  runcase when line ends with "run".

2015-08-05 16:51  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7911] src/apps/cs_solver.c, src/base/cs_prototypes.h,
	  src/cdo/Makefile.am, src/cdo/cs_cdo.h, src/cdo/cs_cdo_bc.c,
	  src/cdo/cs_cdo_bc.h, src/cdo/cs_cdo_main.c,
	  src/cdo/cs_cdo_quantities.c, src/cdo/cs_cdo_quantities.h,
	  src/cdo/cs_cdofb_codits.c, src/cdo/cs_cdofb_codits.h,
	  src/cdo/cs_cdovb_codits.c, src/cdo/cs_cdovb_codits.h,
	  src/cdo/cs_domain.c[ADD], src/cdo/cs_domain.h[ADD],
	  src/cdo/cs_equation.c[ADD], src/cdo/cs_equation.h[ADD],
	  src/cdo/cs_equation_priv.h[ADD], src/cdo/cs_param.c,
	  src/cdo/cs_param.h, src/cdo/cs_param_eq.c[DEL],
	  src/cdo/cs_param_eq.h[DEL], src/cdo/cs_walldistance.c[ADD],
	  src/cdo/cs_walldistance.h[CPY], src/user/cs_user_cdo.c,
	  src/user/cs_user_cdo_extra_op.c, src/user/cs_user_cdo_numerics.c,
	  src/user_examples/cs_user_cdo-examples.c[ADD],
	  src/user_examples/cs_user_cdo_extra_op-verif-diffusion.c,
	  src/user_examples/cs_user_cdo_numerics-examples.c: Major changes
	  in the CDO module. > Add a domain and an equation structures >
	  Move cs_param_eq_t structure as a member of the cs_equation_t
	  structure > Add the computation of the wall distance for CDO
	  vertex-based schemes > Add the computation of the wall distance
	  for face-based CDO schemes > Change the way user sets the
	  paramters of a computation > Integrate PETSc solver calls

2015-08-05 16:51  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7910] src/base/cs_map.h, src/cdo/cs_cdo.c: Minor modifications
	  (typos, blank)

2015-08-05 16:51  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7909] src/alge/cs_matrix_default.c: Fix a bug in
	  cs_matrix_default.c when matrices of different size are used
	  successively.

2015-08-05 16:51  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7908] src/base/cs_timer_stats.h: Add a missing prototype in
	  cs_timer_stats.h

2015-08-05 16:51  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7907] src/base/cs_timer_stats.c: Fix a bug in cs_timer_stat.c

2015-08-05 12:42  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7906] src/base/numvar.f90, src/pprt/ppprop.f90: Add global
	  index for deduced mass fraction (property field) of gas mix.

2015-08-05 11:14  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7905] src/alge/cs_gradient.c: Fix in rev. 7903 in case of cross
	  options iwgrec(isca1).ne.iwgrec(isca2). The weighted cocg and
	  cocgb are reallocated and recomputed locally.

2015-08-05 09:59  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7904] src/mesh/cs_mesh_location.c: Remove blanks.

2015-08-05 09:59  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7903] src/alge/cs_convection_diffusion.c,
	  src/alge/cs_convection_diffusion.h, src/alge/cs_gradient.c,
	  src/alge/cs_gradient.h, src/alge/cs_gradient_perio.c,
	  src/base/covofi.f90, src/base/cs_f_interfaces.f90,
	  src/base/cs_field_operator.c, src/base/cs_math.h,
	  src/base/resopv.f90, src/darc/richards.f90: Extend weighted
	  gradient calculation to heterogeneous and anisotropic problems.
	  
	  Non-regression on 3 iterations was performed on: 05_DIFFUSER
	  06_FEDORA 07_KAWAMURA 09_U_BEND 11_JET_IN_POOL 12_BETTS_CAVITY
	  13_LET1 14_JET_IMPINGEMENT 15_ECHO 16_SUPERNIMBUS 17_VALVE
	  19_PFENDER 20_RADIATIVE_TR 22_COGZ_D3P 25_HISHIDA 26_JET_2_PHI
	  41_KASAGI 44_DE_VAHL_DAVIS_CAVITY

2015-07-31 08:43  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7900] NEWS, build-aux/cs_version.py: Fix version determination.

2015-07-31 07:43  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7898] NEWS, po/fr.po: Update trunk after 4.1 branching and
	  4.1.0 release.

2015-07-31 07:10  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7894] AUTHORS, extras/changelog/authors.xml: Update authors.

2015-07-30 16:35  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7888] NEWS, gui/Base/MainForm.ui: Add NEWS entry and remove
	  abbreviation for preprocessor mode.

2015-07-30 16:14  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7887] src/alge/cs_sles.c: Help ensure linear solver context is
	  freed on exit.

2015-07-30 16:14  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7886] src/base/iniva0.f90: Fix crash using geometrical wall
	  distance computation for some cases.

2015-07-30 16:14  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7885] src/turb/vandri.f90: Fix translation and typos.

2015-07-30 15:29  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7884] src/base/coupbo.f90, src/cfbl/cfxtcl.f90: Fix bug intro.
	  in rev. 7876.

2015-07-30 14:14  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7883] gui/Base/BrowserView.py, gui/Base/MainForm.ui,
	  gui/Base/MainView.py, gui/Base/Toolbox.py, gui/Base/XMLengine.py,
	  gui/Base/XMLinitialize.py,
	  gui/Base/icons/22x22/calc-mode.png[ADD],
	  gui/Base/icons/22x22/prepro-mode.png[ADD],
	  gui/Base/resource_base.qrc, gui/Pages/BatchRunningModel.py,
	  gui/Pages/BatchRunningView.py, gui/Pages/LagrangianModel.py,
	  gui/Pages/Makefile.am, gui/Pages/OutputControlModel.py,
	  gui/Pages/OutputControlView.py, gui/Pages/ScriptRunningModel.py,
	  gui/Pages/SolutionVerifForm.ui[DEL],
	  gui/Pages/SolutionVerifView.py[DEL]: add prepro mode for GUI

2015-07-30 13:38  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7882] src/mesh/cs_mesh_location.c: Fix bugs introduced in rev.
	  7879

2015-07-30 13:22  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7881] src/cdo/cs_cdofb_codits.c, src/cdo/cs_cdovb_codits.c: Add
	  a call to cs_sles_free() to fix memory leaks.

2015-07-30 13:22  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7880] src/cdo/cs_cdo_bc.c, src/cdo/cs_param.c,
	  src/cdo/cs_param.h, src/cdo/cs_param_eq.c, src/cdo/cs_param_eq.h:
	  Modify enum related to boundary conditions for CDO schemes.
	  Remove first item in enum definition if it is *_NONE

2015-07-30 13:22  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7879] src/mesh/cs_mesh_location.c, src/mesh/cs_mesh_location.h:
	  Add a new mechanism to define mesh locations. This mechanism
	  works on a list of existing mesh locations to build a new one.

2015-07-30 13:22  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7878] src/base/distpr.f90, src/cdo/cs_cdo_main.c,
	  src/cdo/cs_cdo_toolbox.c, src/cdo/cs_cdofb_codits.c,
	  src/cdo/cs_cdovb_codits.c, src/cdo/cs_param.c,
	  src/cdo/cs_param.h, src/cdo/cs_param_eq.c, src/cdo/cs_param_eq.h,
	  src/user/cs_user_cdo.c, src/user/cs_user_cdo_extra_op.c: Fix
	  typos and clean preambles and headers. Improve the meaning of an
	  error message. Remove unused variables and change variable names.

2015-07-30 13:22  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7877] src/cdo/cs_cdofb_codits.c, src/cdo/cs_cdovb_codits.c,
	  src/cdo/cs_sla.h, src/cdo/cs_sla_matrix.c: Keep only one function
	  to free a cs_sla_matrix_t structure.

2015-07-30 13:20  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7876] src/base/scalai.f90, src/cfbl/cfener.f90,
	  src/cfbl/cs_cf_bindings.f90, src/cfbl/cs_cf_thermo.c,
	  src/cfbl/cs_cf_thermo.h: Fix missing term in diffusion of total
	  energy equation in compressible stiffened gas (introduced with
	  the stiffened gas eos in rev. 7774).

2015-07-29 12:39  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7875] gui/Pages/ReferenceValuesModel.py,
	  gui/Pages/ReferenceValuesView.py, src/gui/cs_gui.c: Enable to set
	  the reference temperature in each case for user specific model

2015-07-29 12:16  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7874] gui/Base/XMLinitialize.py: Update back compatibility from
	  4.0

2015-07-29 09:00  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7873] src/user/cs_user_modules.f90: Fix example from rev. 7870.

2015-07-28 17:22  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7872] NEWS: Update NEWS.

2015-07-28 17:17  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7871] gui/Base/XMLinitialize.py,
	  gui/Pages/NumericalParamEquationModel.py,
	  gui/Pages/OutputSurfacicVariablesModel.py,
	  gui/Pages/OutputVolumicVariablesModel.py,
	  gui/Pages/ReferenceValuesModel.py, src/base/cs_f_interfaces.f90,
	  src/base/dvvpst.f90, src/base/post_util.f90,
	  src/gui/cs_gui_output.c: Rename efforts to stress.

2015-07-28 17:17  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7870] src/user/cs_user_modules.f90: Add user module example to
	  pass Fortran array to C.

2015-07-28 16:00  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7869] src/gui/cs_gui.c: Fix profile with more than 9999
	  iterations

2015-07-28 13:26  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7867] src/base/lecamx.f90: Ensure value not always present in
	  restart is initialized.

2015-07-28 11:33  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7866] src/base/ecrava.f90, src/base/lecamx.f90: Fix checkpoint
	  restart for elec arc : bad boundary condition due to missing
	  elcou save

2015-07-28 07:49  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7864] gui/Pages/FluidCharacteristicsView.py: Fix Sutherland's
	  Formula for viscosity

2015-07-27 13:58  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7863] src/base/caltri.f90: Fix in rev. 7853 was not complete...

2015-07-27 13:03  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7862] NEWS, src/alge/cs_multigrid.c, src/gui/cs_gui.c,
	  src/user_examples/cs_user_parameters-linear_solvers.c: Change
	  multigrid defaults based on recent performance tests.

2015-07-27 10:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7861] src/alge/cs_matrix.c: Fix crash in symmetric CSR
	  structure SpMV using MKL.

2015-07-27 10:37  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7860] po/fr.po, src/alge/Makefile.am, src/alge/cs_benchmark.c,
	  src/alge/cs_grid.c, src/alge/cs_matrix.c, src/alge/cs_matrix.h,
	  src/alge/cs_matrix_cdo.c[DEL], src/alge/cs_matrix_cdo.h[DEL],
	  src/alge/cs_matrix_default.c, src/alge/cs_matrix_priv.c[DEL],
	  src/alge/cs_matrix_priv.h, src/alge/cs_matrix_tuning.c,
	  src/alge/cs_matrix_util.c, src/alge/cs_sles_default.c,
	  src/alge/cs_sles_it.c, src/cdo/cs_cdofb_codits.c,
	  src/cdo/cs_cdovb_codits.c: Merge CDO matrix structure back into
	  general matrix structure. This requires making the matrix
	  structure more generic.

2015-07-27 08:22  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7859] src/base/cs_timer_stats.c, src/base/cs_timer_stats.h,
	  src/cdo/cs_cdofb_codits.c, src/cdo/cs_cdovb_codits.c,
	  src/cdo/cs_param_eq.c, src/cdo/cs_param_eq.h,
	  src/user_examples/cs_user_cdo_numerics-examples.c: Add profiling
	  tools relying on cs_timer_stats_t structures. Change iwarni into
	  verbosity.

2015-07-27 08:22  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7858] src/cdo/cs_cdo_main.c, src/cdo/cs_cdofb_codits.c,
	  src/cdo/cs_cdofb_codits.h, src/cdo/cs_cdovb_codits.c,
	  src/cdo/cs_evaluate.c, src/cdo/cs_param.c, src/cdo/cs_param.h:
	  Add the multigrid solver of Code_Saturne as an option to solve
	  linear systems arising from CDO discretizations. Improve
	  comments. Minor changes to avoid warnings during the compilation.

2015-07-27 08:22  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7857] src/cdo/Makefile.am, src/cdo/cs_sla.h,
	  src/cdo/cs_sla_itsol.c[DEL], src/cdo/cs_sla_matrix.c: Remove SLA
	  iterative solvers for CDO schemes

2015-07-24 17:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7856] src/alge/cs_matrix_priv.c: Fix for build with MKL.

2015-07-24 15:57  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7855] NEWS, po/fr.po, src/alge/cs_multigrid.c,
	  src/alge/cs_sles_it.c, src/alge/cs_sles_it.h: Add some iterative
	  linear solver options.

2015-07-24 15:36  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7854] po/fr.po: Remove "fuzzy" qualifier from translation.

2015-07-24 15:35  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7853] src/base/caltri.f90: Lagrangian module: ensure laghlo is
	  called correctly.

2015-07-24 13:21  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7852] src/alge/cs_convection_diffusion.c,
	  src/base/cs_stokes_model.c, src/base/cs_stokes_model.h,
	  src/base/optcal.f90, src/darc/daini1.f90: Add proper keyword for
	  mass flux reconstruction option added in rev. 7784. Clean setup
	  default initialization for groundwater flow module.

2015-07-24 12:26  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7851] src/alge/cs_multigrid.c: Multigrid: stop after max
	  cycles, not before.

2015-07-24 12:14  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7850] src/lagr/porcel.f90: Fix for rev. 7840.

2015-07-23 15:58  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7849] src/cdo/cs_cdo_main.c, src/cdo/cs_cdofb_codits.c,
	  src/cdo/cs_cdovb_codits.c, src/cdo/cs_param.c,
	  src/cdo/cs_param.h,
	  src/user_examples/cs_user_cdo_numerics-examples.c,
	  src/user_examples/cs_user_parameters-linear_solvers.c: Add usage
	  of cs_sles_* strcutures for CDO face-based schemes. Add easy
	  access to preconditioners provided by PETSc/Hypre.

2015-07-23 12:20  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7848] src/alge/cs_matrix_building.c: Fix missing indirection in
	  test.

2015-07-23 12:17  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7847] src/alge/cs_matrix.c, src/alge/cs_matrix.h,
	  src/alge/cs_matrix_cdo.c, src/alge/cs_matrix_priv.h,
	  src/alge/cs_sles_petsc.c, src/cdo/cs_cdo_main.c: Cleaner handling
	  of matrix row query, to keep matrix const-qualified.

2015-07-22 16:55  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7846] src/alge/Makefile.am, src/alge/cs_matrix.c,
	  src/alge/cs_matrix_cdo.c[ADD], src/alge/cs_matrix_cdo.h[ADD],
	  src/alge/cs_matrix_priv.c[ADD], src/alge/cs_matrix_priv.h,
	  src/alge/cs_sles.c, src/alge/cs_sles.h, src/alge/cs_sles_it.c,
	  src/alge/cs_sles_it.h, src/base/cs_prototypes.h,
	  src/cdo/Makefile.am, src/cdo/cs_cdo_connect.c,
	  src/cdo/cs_cdo_connect.h, src/cdo/cs_cdo_main.c,
	  src/cdo/cs_cdo_quantities.c, src/cdo/cs_cdofb_codits.c,
	  src/cdo/cs_cdovb_codits.c, src/cdo/cs_evaluate.c,
	  src/cdo/cs_hodge.c, src/cdo/cs_param.c, src/cdo/cs_param.h,
	  src/cdo/cs_param_eq.c, src/cdo/cs_param_eq.h, src/cdo/cs_reco.c,
	  src/cdo/cs_sla.h, src/cdo/cs_sla_itsol.c,
	  src/cdo/cs_sla_matrix.c, src/user/cs_user_cdo_numerics.c,
	  src/user_examples/cs_user_cdo_numerics-examples.c[CPY],
	  src/user_examples/cs_user_parameters-linear_solvers.c: Add PETSc
	  for solving linear systems provided by CDO schemes. Use of
	  cs_matrix_t and cs_sles_t structures within the CDO framework.
	  This is only available for vertex-based schemes up to now. Change
	  cs_sla_matrix_t representation from a column number to a column
	  id. Same kind of update for cs_cdo_connect_t structures.
	  
	  Fix typos and update headers in cs_sles.h Add examples of
	  advanced numerical settings. Minor updates in comments and
	  variable namings.

2015-07-22 16:19  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7845] src/alge/cs_sles_petsc.c: Fix setting of PETSc matrix
	  coefficients for CSR or MSR matrix.

2015-07-22 16:19  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7844] src/Makefile.am: Add missing Fortran module make
	  dependency.

2015-07-21 16:12  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7843] po/fr.po: Fix fuzzy translations.

2015-07-21 16:05  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7841] src/alge/cs_sles_it.c: Fix for BiCGstab2: use left
	  preconditioner (provided by Josselin Demont).

2015-07-21 15:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7840] NEWS, src/base/caltri.f90, src/base/tridim.f90,
	  src/lagr/Makefile.am, src/lagr/cs_lagr_clogging.c,
	  src/lagr/cs_lagr_clogging.h, src/lagr/cs_lagr_dlvo.c,
	  src/lagr/cs_lagr_dlvo.h, src/lagr/cs_lagr_roughness.c,
	  src/lagr/cs_lagr_roughness.h, src/lagr/cs_lagr_tracking.c,
	  src/lagr/cs_lagr_tracking.h, src/lagr/lagadh.f90,
	  src/lagr/lagbar.f90[DEL], src/lagr/lagent.f90,
	  src/lagr/laghlo.f90[ADD], src/lagr/lagopt.f90,
	  src/lagr/lagran.f90, src/lagr/lagune.f90,
	  src/lagr/porcel.f90[ADD], src/user/uslag1.f90: - Changes in
	  Lagrangian Particle tracking, provided by Céline Caruyer. *
	  modification of multi-layer model (iclogst = 1) * compute
	  porosity in each cell based on mean deposition height only at
	  boundary faces * influence of deposited layers on the flow (iflow
	  = 1 option); computation the head loss due to deposition based on
	  porosity) * energy barrier now computed by cs_lagr_barrier for
	  smooth wall/irough = 0, and cs_lagr_roughness_barrier for rough
	  wall/irough = 1).

2015-07-21 15:51  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7839] docs/doxygen/examples/cs_head_losses.h,
	  src/base/tridim.f90, src/user_examples/cs_user_head_losses.f90:
	  Initialize head loss coefficients outside use example.

2015-07-21 08:56  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7838] src/user_examples/cs_user_parameters-linear_solvers.c:
	  Minor simplification in PETSc user examples.

2015-07-21 08:55  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7837] src/base/cs_defs.h, src/cdo/cs_cdo.c, src/cdo/cs_cdo.h,
	  src/cdo/cs_cdo_connect.h, src/cdo/cs_cdo_toolbox.h,
	  src/cdo/cs_param.h, src/cdo/cs_param_eq.h, src/cdo/cs_sla.h,
	  src/fvm/fvm_morton.h, src/fvm/fvm_to_ensight_case.h: Use bool
	  instead of _Bool in headers to avoid issues with Intel C++
	  compiler in ansi mode.

2015-07-21 08:55  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7836] docs/doxygen/examples/cs_user_parameters.h,
	  src/user_examples/cs_user_parameters-linear_solvers.c: Additional
	  PETSc examples.

2015-07-21 08:55  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7835] NEWS, docs/doxygen/examples/cs_user_parameters.h,
	  src/apps/cs_solver.c, src/base/cs_c_bindings.f90,
	  src/base/cs_fan.c, src/base/cs_fan.h,
	  src/base/cs_log_iteration.c, src/base/cs_log_setup.c,
	  src/base/cs_prototypes.h, src/base/iniusi.f90,
	  src/base/predvv.f90, src/base/tridim.f90,
	  src/user/cs_user_parameters.c, src/user_examples/Makefile.am,
	  src/user_examples/cs_user_parameters-fans.c[ADD]: Make fan
	  modeling (in cs_fan.*) usable.

2015-07-20 15:10  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7832] salome/cfd_study/src/CFDSTUDYGUI/CFDSTUDYGUI_Commons.py:
	  Fix default package for salome_cfd to code_saturne (forconvert to
	  med without a case)

2015-07-20 15:00  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7831] src/gui/cs_gui_boundary_conditions.c: Fix : free inlet
	  outlet boundary condition without formula in GUI

2015-07-20 14:57  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7830] bin/cs_exec_environment.py: Restore detection of MPICH-2
	  MPD mpiexec variant to avoid it.

2015-07-20 14:56  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7829] src/base/cs_defs.h: Improve robustness for use of _Bool
	  by downstream C++.

2015-07-20 14:17  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7828] src/base/Makefile.am: Fix cdo include with paramedmem and
	  eos

2015-07-20 10:42  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7823] src/alge/cs_convection_diffusion.c: Fix bug introduced in
	  rev. 7784 (II' is not allocated/computed in the mesh quantities
	  structure).

2015-07-20 09:22  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7820] src/user_examples/cs_user_cdo_extra_op-verif-diffusion.c:
	  Cleanup whitespace.

2015-07-20 09:22  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7819] bin/cs_create.py, bin/cs_runcase.py: Improve
	  "code_saturne create --import-only" command.

2015-07-20 09:22  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7818] bin/cs_runcase.py: Python 3 fix and minor fixes in case
	  creation command.

2015-07-17 15:21  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7816]
	  salome/cfd_study/src/CFDSTUDYGUI/CFDSTUDYGUI_ActionsHandler.py:
	  Fix export csv file in paravis (provided by M. Paolillo

2015-07-17 12:50  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7815] src/alge/cs_matrix.c, src/alge/cs_matrix.h,
	  src/alge/cs_sles.c: Fix typos

2015-07-17 12:50  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7814] src/cdo/cs_cdo_bc.c, src/cdo/cs_cdofb_codits.c,
	  src/cdo/cs_cdofb_codits.h, src/cdo/cs_evaluate.c,
	  src/cdo/cs_sla.h, src/cdo/cs_sla_matrix.c,
	  src/user_examples/cs_user_cdo_extra_op-verif-diffusion.c[ADD]:
	  Add face-based CDO schemes for pure diffusion problem. First
	  step: serial mode only. AutoVnV (on 5 iterations) results:
	  01_CYLINDER [OK] 02_LID-DRIVEN_CAVITY [OK] 03_HEAD-LOSSES [OK]
	  04_RIBS [OK] 05_DIFFUSER [OK] 06_FEDORA [OK] 07_KAWAMURA [OK]
	  08_KAWAMURA_LES [OK] 09_U_BEND [OK] 10_DIT [OK] 11_JET_IN_POOL
	  [OK] 12_BETTS_CAVITY [OK] 13_LET1 [OK] 14_JET_IMPINGEMENT [OK]
	  15_ECHO [OK] 16_SUPERNIMBUS [OK] 17_VALVE [OK] 18_CERCHAR [OK]
	  19_PFENDER [OK] 20_RADIATIVE_TR [OK] 22_COGZ_D3P [OK] 23_WANG
	  [OK] 25_HISHIDA [OK] 26_JET_2_PHI [OK] 27_PUMP [OK]
	  30_LAVAL_NOZZLE [FAILED] 31_IFRF [OK] 32_BUOYANT_THERMAL_PLUME
	  [OK] 34_COPAIN [OK] 36_H2PAR [OK] 37_PANDA_ST1_7 [OK] 38_HYDRUS1D
	  [OK] 39_BUOYANT_PROPANE_FLAME [OK] 40_WELDPOOL [FAILED] (only
	  CASE3) 41_KASAGI [OK]

2015-07-17 11:44  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7813] src/alge/cs_sles_petsc.c: PETSc: do not always call
	  KSPSetup, to avoid GAMG performance issues.

2015-07-15 15:13  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7811] salome/cfd_study/doc/tutorial/coupling.rst,
	  salome/cfd_study/doc/tutorial/debugging.rst,
	  salome/cfd_study/doc/tutorial/saturne.rst: Proofreading pass.

2015-07-15 14:35  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7810] salome/cfd_study/doc/Makefile.am,
	  salome/cfd_study/doc/images/CFDSTUDY_info.png,
	  salome/cfd_study/doc/images/CFDSTUDY_location.png,
	  salome/cfd_study/doc/intro.rst,
	  salome/cfd_study/doc/tutorial/coupling.rst[ADD],
	  salome/cfd_study/doc/tutorial/debugging.rst[ADD],
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-browser.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-cfd-calculation-selection.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-cfd-calculation-selection_1.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-cfd-calculation-selection_2.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-cfd-eqn-parameters_1.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-cfd-eqn-upwind.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-cfd-gravity.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-cfd-gravity1.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-cfd-initialization-temp.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-cfd-mei-lambda.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-cfd-mei-mu.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-cfd-mei-rho.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-cfd-probes_1.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-cfd-temperature1.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-mesh-pipe_create_mesh.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-open_GUI.png,
	  salome/cfd_study/doc/tutorial/images/T_PIPE/t-pipe-study_location.png,
	  salome/cfd_study/doc/tutorial/saturne.rst,
	  salome/cfd_study/doc/tutorials.rst,
	  salome/cfd_study/resources/SalomeApp.xml: add howto for
	  salome_cfd and update tutorial

2015-07-15 14:29  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7808]
	  salome/cfd_study/src/CFDSTUDYGUI/CFDSTUDYGUI_ActionsHandler.py:
	  update for paravis

2015-07-15 14:06  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7807] src/alge/cs_sles_petsc.c: Improvements to PETSc setup
	  phase.

2015-07-15 11:17  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7806] docs/install/install.tex, m4/cs_petsc.m4: Make PETSc
	  detection error more verbose.

2015-07-15 07:28  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7805] src/alge/cs_matrix_default.c: Fix: global block row
	  numbering must be built on extended ghosts to avoid access
	  issues.

2015-07-15 07:28  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7804] NEWS, bin/cs_config.py.in,
	  build-aux/petsc-variables.makefile[ADD], configure.ac,
	  docs/doxygen/examples/cs_user_parameters.h,
	  docs/install/install.tex, m4/cs_petsc.m4[ADD], sbin/bootstrap,
	  src/alge/Makefile.am, src/alge/cs_matrix.c, src/alge/cs_matrix.h,
	  src/alge/cs_matrix_priv.h, src/alge/cs_sles_petsc.c[ADD],
	  src/alge/cs_sles_petsc.h[ADD], src/gui/cs_gui.c,
	  src/user_examples/Makefile.am,
	  src/user_examples/cs_user_parameters-linear_solvers.c: Add
	  initial support for PETSc. This is based in large part on the
	  intern work of Josselin Demont, with factorizations to simplify
	  usage.

2015-07-15 07:28  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7803] src/base/cs_renumber.c: Fixes in renumbering for non-halo
	  adjacent faces last.

2015-07-15 06:50  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7801] src/base/predvv.f90: Add information to the log when
	  verbosity is activated.

2015-07-15 06:50  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7800] src/alge/cs_divergence.c: Fix bug in the standard porous
	  formulation.
	  
	  The volume porosity next to an outlet was not taken into account
	  in the correction step.

2015-07-13 08:43  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7799] src/alge/cs_matrix_tuning.c: Fix matrix tuning bug
	  introduced in rev. 7704.

2015-07-13 08:43  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7798] src/cdo: Add src/cdo/Makefile.in to svn:ignore.

2015-07-13 08:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7797] po/fr.po: Fix incorrect fuzzy translations.

2015-07-07 10:05  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7795] docs/install/install.tex: Fix typos in installation
	  documentation.

2015-07-06 07:53  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7793] src/base/cs_time_moment.c: Fix time moment crash for
	  boundary faces and local time step.

2015-07-06 07:53  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7792] src/mesh/cs_mesh_location.c: Fix mesh location
	  initialization ordering bug from revs. 7789 and 7790.

2015-07-06 07:53  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7791] src/cdo/Makefile.in[DEL]: Makefile.in should not be
	  versioned.

2015-07-03 17:43  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7790] src/cdo/cs_cdo_main.c, src/mesh/cs_mesh_location.c,
	  src/mesh/cs_mesh_location.h, src/user/cs_user_cdo.c[ADD],
	  src/user/cs_user_cdo_extra_op.c[ADD],
	  src/user/cs_user_cdo_numerics.c[ADD]: Add missing files, make
	  mesh location ids consistent with types.

2015-07-03 15:58  Jérôme Bonelle <jerome.bonelle@edf.fr>

	* [r7789] NEWS, configure.ac, src/Makefile.am,
	  src/alge/Makefile.am, src/apps/Makefile.am, src/apps/cs_solver.c,
	  src/base/Makefile.am, src/base/cs_opts.c, src/base/cs_opts.h,
	  src/base/cs_parameters.c, src/base/cs_prototypes.h,
	  src/base/cs_sort.c, src/base/cs_sort.h, src/cdo[ADD],
	  src/cdo/Makefile.am[ADD], src/cdo/Makefile.in[ADD],
	  src/cdo/cs_cdo.c[CPY], src/cdo/cs_cdo.h[ADD],
	  src/cdo/cs_cdo_bc.c[ADD], src/cdo/cs_cdo_bc.h[ADD],
	  src/cdo/cs_cdo_connect.c[ADD], src/cdo/cs_cdo_connect.h[ADD],
	  src/cdo/cs_cdo_main.c[ADD], src/cdo/cs_cdo_main.h[ADD],
	  src/cdo/cs_cdo_quantities.c[ADD],
	  src/cdo/cs_cdo_quantities.h[ADD], src/cdo/cs_cdo_toolbox.c[ADD],
	  src/cdo/cs_cdo_toolbox.h[ADD], src/cdo/cs_cdofb_codits.c[ADD],
	  src/cdo/cs_cdofb_codits.h[ADD], src/cdo/cs_cdovb_codits.c[ADD],
	  src/cdo/cs_cdovb_codits.h[ADD], src/cdo/cs_evaluate.c[ADD],
	  src/cdo/cs_evaluate.h[CPY], src/cdo/cs_hodge.c[ADD],
	  src/cdo/cs_hodge.h[ADD], src/cdo/cs_param.c[ADD],
	  src/cdo/cs_param.h[ADD], src/cdo/cs_param_eq.c[ADD],
	  src/cdo/cs_param_eq.h[ADD], src/cdo/cs_quadrature.c[ADD],
	  src/cdo/cs_quadrature.h[ADD], src/cdo/cs_reco.c[ADD],
	  src/cdo/cs_reco.h[ADD], src/cdo/cs_sla.h[ADD],
	  src/cdo/cs_sla_itsol.c[ADD], src/cdo/cs_sla_matrix.c[ADD],
	  src/gui/Makefile.am, src/lagr/Makefile.am, src/mesh/Makefile.am,
	  src/mesh/cs_mesh.c, src/mesh/cs_mesh_location.c,
	  src/mesh/cs_mesh_location.h, src/turb/Makefile.am,
	  src/user/Makefile.am, src/user_examples/Makefile.am: Add first
	  stage of a vertex-based CDO numerical scheme for diffusion (not
	  fully integrated and validated)

2015-07-03 13:11  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7788] src/darc/darcy_module.f90: Minor fix in the Doxygen
	  documentation of Darcy module.

2015-07-02 16:22  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7787] libple, libple/m4, libple/po: Set Subversion ignore
	  properties for some PLE files.

2015-07-02 16:19  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7786] src/mesh/cs_join_post.c: Fix mesh joining preprocessing
	  timer stats.

2015-07-02 11:34  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7785] src/darc/daini1.f90, src/darc/darcy_module.f90: Improve
	  Doxygen documentation in groundwater flow module (provided by V.
	  Stobiac).

2015-07-02 11:21  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7784] src/alge/cs_convection_diffusion.c: Use gradient
	  reconstruction for mass flux based on cell viscosity when
	  iwgrec(ipr) is set to 1 (only taken into account for the
	  resolution of Richards equations). 5 it. non-regression performed
	  on: SUPERNIMBUS ECHO

2015-07-01 15:32  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7783] Makefile.am: Ensure make doc also builds PLE
	  documentation when internal PLE is used.

2015-07-01 15:32  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7782] src/alge/cs_matrix.c, src/alge/cs_matrix.h: Add Doxygen
	  documentation to matrix API.

2015-06-30 09:41  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7781] libple/NEWS: Build usable NEWS file for PLE.

2015-06-30 09:41  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7780] docs/doxygen/Doxyfile-src, docs/doxygen/Makefile.am,
	  docs/doxygen/mainpage.h, m4/cs_ple.m4: Reference PLE
	  documentation from main documentation.

2015-06-30 09:41  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7779] src/base/caltri.f90, src/base/cregeo.f90,
	  src/base/cscpce.f90, src/base/driflu.f90, src/base/iniusi.f90,
	  src/base/navstv.f90, src/base/predvv.f90, src/base/tridim.f90,
	  src/base/tspdcv.f90, src/base/undscr.f90, src/base/verini.f90,
	  src/cogz/d3pini.f90, src/cogz/ebuphy.f90, src/cogz/ebuver.f90,
	  src/cogz/lwcini.f90, src/cogz/lwctcl.f90, src/rayt/raycli.f90,
	  src/rayt/raycll.f90, src/rayt/raydak.f90, src/rayt/raydir.f90,
	  src/rayt/raydom.f90, src/rayt/raylec.f90, src/rayt/rayopt.f90,
	  src/rayt/rayout.f90, src/rayt/raypar.f90, src/rayt/raypun.f90,
	  src/rayt/raysca.f90, src/rayt/raysol.f90, src/rayt/rmodak.f90,
	  src/turb/clipke.f90, src/turb/clpalp.f90, src/turb/clprij.f90,
	  src/turb/clpv2f.f90, src/turb/divrit.f90, src/turb/resalp.f90,
	  src/turb/reseps.f90, src/turb/resrij.f90, src/turb/resrit.f90,
	  src/turb/resssg.f90, src/turb/resv2f.f90, src/turb/rijech.f90,
	  src/turb/rotcor.f90, src/turb/turbke.f90, src/turb/turbkw.f90,
	  src/turb/turbsa.f90, src/turb/turrij.f90, src/turb/visdyn.f90,
	  src/turb/vor2cl.f90, src/turb/vordep.f90, src/turb/vorimp.f90,
	  src/turb/vorin0.f90, src/turb/vorini.f90, src/turb/vorlgv.f90,
	  src/turb/vorpre.f90, src/turb/vorver.f90, src/turb/vorvit.f90:
	  Remove underlining of Fortran calls is it makes life difficult
	  for Doxygen.

2015-06-30 09:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7778] libple/ChangeLog, libple/Makefile.am,
	  libple/configure.ac, libple/doc/Makefile.am,
	  libple/doc/doxygen/Doxyfile, libple/doc/doxygen/Makefile.am,
	  libple/doc/doxygen/mainpage.h, libple/po[ADD],
	  libple/po/LINGUAS[ADD], libple/po/Makefile.in.in[ADD],
	  libple/po/Makevars[ADD], libple/po/Makevars.template[ADD],
	  libple/po/POTFILES.in[ADD], libple/po/Rules-install[ADD],
	  libple/po/Rules-quot[ADD], libple/po/boldquot.sed[ADD],
	  libple/po/en@boldquot.header[ADD], libple/po/en@quot.header[ADD],
	  libple/po/fr.po[ADD], libple/po/insert-header.sin[ADD],
	  libple/po/ple.pot[ADD], libple/po/quot.sed[ADD],
	  libple/po/remove-potcdate.sin[ADD], libple/sbin/bootstrap,
	  libple/src/ple_config_defs.h, libple/src/ple_defs.h: PLE: add
	  gettext support, update some configuration and documentation
	  aspects.

2015-06-30 09:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7777] configure.ac, sbin/bootstrap: Minor updates to build
	  system.

2015-06-26 15:24  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7776] m4/cs_blas.m4: Update MKL detection.

2015-06-26 10:54  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7775] src/cfbl/cfmspr.f90: Compressible: fix index of mass
	  source term (smacel) in continuity eq. solver.

2015-06-26 09:02  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7774] NEWS, src/base/condli.f90,
	  src/base/cs_physical_constants.c,
	  src/base/cs_physical_constants.h, src/base/cstphy.f90,
	  src/base/iniusi.f90, src/base/iniva0.f90, src/base/vericl.f90,
	  src/cfbl/cfiniv.f90, src/cfbl/cfxtcl.f90,
	  src/cfbl/cs_cf_bindings.f90, src/cfbl/cs_cf_thermo.c,
	  src/cfbl/cs_cf_thermo.h, src/gui/cs_gui_specific_physics.c,
	  src/user/cs_user_parameters.f90: Add stiffened gas thermodynamic
	  law for compressible module. Add code icodcl=11 allowing to
	  impose a boundary value as an affine function of the next cell
	  value. Allow "undefined" BCs in compressible (itypfb=iindef).

2015-06-26 09:01  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7773] src/cfbl/cs_cf_thermo.c: Fix extra parenthesis in
	  previous commit.

2015-06-26 08:51  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7772] src/cfbl/cs_cf_thermo.c: Fix bug in compressible wall bc
	  (shock case) intro. in rev. 7521.

2015-06-23 13:36  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7771] src/cfbl/cfxtcl.f90: Fix for porous compressible flow:
	  use fluid surfaces in mass flux at supersonic outlet faces.

2015-06-19 08:28  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7770] docs/doxygen/examples/cs_user_tabs.h,
	  docs/doxygen/examples/richards.h[ADD],
	  src/user_examples/Makefile.am,
	  src/user_examples/cs_user_boundary_conditions-richards.f90[ADD],
	  src/user_examples/cs_user_extra_operations-richards_flux.f90[ADD],
	  src/user_examples/cs_user_initialization-richards.f90[ADD],
	  src/user_examples/cs_user_parameters-richards.f90[ADD],
	  src/user_examples/cs_user_physical_properties-richards_sat.f90[ADD],
	  src/user_examples/cs_user_physical_properties-richards_unsat.f90[ADD],
	  src/user_examples/cs_user_source_terms-richards_decay.f90[ADD]:
	  Add Doxygen documentation and user examples for the goundwater
	  flow module (provided by V. Stobiac).

2015-06-18 16:04  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7768] src/alge/cs_sles.c, src/base/cs_c_bindings.f90,
	  src/base/cs_post.c, src/base/cs_post_default.c,
	  src/base/cs_preprocess.c, src/base/cs_syr4_coupling.c,
	  src/base/cs_timer_stats.c, src/base/cs_timer_stats.h,
	  src/base/cs_turbomachinery.c, src/lagr/cs_lagr_tracking.c,
	  src/mesh/cs_join_post.c: Fix some timings and improve robustness
	  of timer statistics.

2015-06-18 16:04  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7767] src/lagr/lagent.f90: Fix parallel random
	  distribution-related particle set reallocation issue.

2015-06-17 12:57  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7766] src/cfbl/cs_cf_thermo.c: Compressible: at subsonic outlet
	  ensure rarefaction scenario if outlet pressure equals cell
	  pressure at "machine precision" (epzero).

2015-06-17 12:26  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7765] src/cfbl/cfdttv.f90: Fix division by fluid volume in
	  compressible CFL (ensuring positivity of density).

2015-06-16 16:58  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7764] src/cfbl/cfdivs.f90, src/cfbl/cfdttv.f90,
	  src/cfbl/cffana.f90, src/cfbl/cfrusb.f90: Fix fluid surfaces and
	  fluid volumes in compressible.

2015-06-16 15:02  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7763] bin/autovnv/PlotVTK.py, docs/autovnv/autovnv.tex:
	  Autovnv: update guide and allow multiplication of a variable by a
	  real value just for scalar maps.

2015-06-16 12:54  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7762] bin/autovnv/PlotVTK.py: Autovnv: scalar map on a vector
	  field now yields scalar map of its magnitude (instead of its
	  first component).

2015-06-16 08:46  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7761] NEWS, src/alge/cs_gradient.c, src/alge/cs_sles.c,
	  src/apps/cs_solver.c, src/base/caltri.f90, src/base/cs_base.c,
	  src/base/cs_c_bindings.f90, src/base/cs_file.c,
	  src/base/cs_post.c, src/base/cs_preprocess.c,
	  src/base/cs_system_info.c, src/base/cs_timer_stats.c,
	  src/base/cs_timer_stats.h, src/base/cs_turbomachinery.c,
	  src/lagr/cs_lagr_tracking.c, src/lagr/lagune.f90: Improve
	  performance statistics handling and performance info logging.

2015-06-12 15:50  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7760] NEWS, po/fr.po, src/alge/cs_gradient.c,
	  src/alge/cs_sles.c, src/apps/cs_solver.c, src/base/Makefile.am,
	  src/base/caltri.f90, src/base/cs_c_bindings.f90,
	  src/base/cs_post.c, src/base/cs_timer_stats.c[ADD],
	  src/base/cs_timer_stats.h[ADD]: Add timer stats and plotting
	  functions.

2015-06-11 13:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7758] extras/windows/innosetup/products[DEL]: No need to
	  version binary MSMpiSetup.exe, which can be copied by Windows
	  build scripts.

2015-06-11 08:31  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7756] extras/windows/innosetup/setup_cygwin32.iss.in,
	  extras/windows/innosetup/setup_cygwin64.iss.in: Fix for windows
	  mpi linking with msmpi.dll

2015-06-10 09:32  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7753] extras/windows/innosetup/products[ADD],
	  extras/windows/innosetup/products/MSMpiSetup.exe[ADD],
	  extras/windows/innosetup/setup_cygwin32.iss.in,
	  extras/windows/innosetup/setup_cygwin64.iss.in: add MSMpi setup
	  install for windows version

2015-06-09 18:19  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7751] src/base/inivar.f90: Compressible: fix restart with
	  auxiliary file (density must not be recomputed at
	  initialization).

2015-06-08 13:16  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7749] src/turb/viswal.f90: Fix bug in the model WALE of LES
	  (introduced with the model itself...).
	  
	  Provided by S. Rolfo (Daresbury Lab.).

2015-06-05 17:22  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7745] NEWS, src/Makefile.am, src/base/caltri.f90,
	  src/base/copain_model.f90, src/base/cs_mesh_tagmr.f90,
	  src/base/cs_nz_condensation.f90[ADD],
	  src/base/cs_nz_tagmr.f90[ADD], src/base/cs_tagmri.f90,
	  src/base/cs_tagmro.f90, src/base/ecrava.f90, src/base/iniini.f90,
	  src/base/lecamx.f90, src/base/tridim.f90,
	  src/user/cs_user_boundary_mass_source_terms.f90,
	  src/user_examples/Makefile.am,
	  src/user_examples/cs_user_boundary_mass_source_terms-condensation.f90,
	  src/user_examples/cs_user_boundary_mass_source_terms-nzones_condensation.f90[CPY]:
	  Allow condensation model to use zone-based definitions. Provided
	  by Dorothée Sénéchal.

2015-06-05 17:19  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7744] src/base/caltri.f90, src/mesh/cs_mesh_quantities.c: Fix
	  compilation error introduced by rev. 7736.

2015-06-05 16:40  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7742] docs/theory/combustion_coal.tex: Update theory doc for
	  coal combustion with drift.

2015-06-05 16:31  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7741] bin/cs_create.py, src/base/cs_fp_exception.c,
	  src/base/dvvpst.f90: Fix comments and remove blanks.

2015-06-05 16:26  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7739] src/base/cs_fp_exception.c: Fix spurious macro
	  redefinition introduced in rev. 7641.

2015-06-05 15:24  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7738] src/comb/cs_coal_scast.f90: Reindent.

2015-06-05 13:39  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7737] src/alge/cs_gradient.c: Fix division by 0 during the
	  gradient calculation when having fully solid cells in porous
	  formulation.

2015-06-05 13:39  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7736] src/alge/cs_matrix_building.c,
	  src/alge/cs_matrix_building.h, src/base/caltri.f90,
	  src/base/cs_preprocess.c, src/base/iniva0.f90,
	  src/base/majgeo.f90, src/base/mesh.f90,
	  src/mesh/cs_mesh_quantities.c, src/mesh/cs_mesh_quantities.h: Add
	  a flag for dealing with solid cells in porous formulation.
	  
	  Please give isolid_0(iel) in cs_user_porosity.f90.

2015-06-05 13:35  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7734] src/comb/cs_coal_varini.f90: Fix coal combustion restart
	  with Drift (bug #0000130).

2015-06-05 08:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7732] bin/cs_case_domain.py: Fix Syrthes coupling launch issue
	  intriduced in rev. 7719.

2015-06-05 08:36  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7730] bin/cs_create.py: Fix to "code_saturne create
	  --import-only" in case of coupling.

2015-06-05 08:13  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7725] src/lagr/cs_lagr_tracking.c: Fix in particle tracking
	  parallel exchange reallocation size determination.

2015-06-05 08:13  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7724] src/gui/cs_gui.c: GUI: fix incorrect reading of rotation
	  axis info for turbomachinery.

2015-06-04 16:56  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7723] src/alge/cs_grid.c: Fix missing initialization in rev.
	  7722.

2015-06-04 16:19  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7722] src/alge/cs_grid.c, src/alge/cs_grid.h,
	  src/alge/cs_multigrid.c: Multigrid: fix fine matrix type
	  selection and logging.

2015-06-04 07:41  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7719] bin/cs_case_domain.py, bin/cs_create.py,
	  bin/cs_exec_environment.py: Make handling of Syrthes location
	  more robust, with better diagnostics.

2015-06-04 07:41  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7718] src/base/cs_fp_exception.c: Fix typo deactivating
	  floating-point exception-handling introduced in rev. 7641.

2015-06-03 10:13  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7717] src/cfbl/cfxtcl.f90: Compressible: Dirichlet condition on
	  temperature for post-pro. purpose.

2015-06-03 07:05  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7716] src/atmo/atiniv.f90, src/atmo/attycl.f90,
	  src/base/clca66.f90, src/base/clptrg.f90, src/base/clptur.f90,
	  src/base/clsyvt.f90, src/base/condli.f90, src/base/cscpfb.f90,
	  src/base/fldtri.f90, src/base/fldvar.f90, src/base/iniva0.f90,
	  src/base/vericl.f90, src/turb/clprij.f90, src/turb/resssg.f90,
	  src/turb/rijech.f90, src/turb/turrij.f90: Swap order of Rij
	  components (r23<->r13)
	  
	  Provided by Augustin Tibere Inglesse.

2015-06-02 15:44  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7715] NEWS, bin/cs_create.py,
	  extras/bash_completion/code_saturne: Add "--import-only" option
	  to "code_saturne create" command so as to rebuild SaturneGUI and
	  runcase scripts for a case which was copied (answers issue
	  #0000027). from a different system.

2015-06-02 14:55  Jacques Fontaine <jacques-j.fontaine@edf.fr>

	* [r7713] src/base/cs_restart_default.c: Fix compatibity for
	  restart files produced with old Code_Saturne versions when ALE is
	  used.

2015-06-02 11:36  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7711] gui/Base/XMLinitialize.py: Fix multiple definition for
	  external_coupling node in XML file

2015-06-01 12:33  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7708] src/base/modini.f90: Allow user to set explicit time
	  stepping.

2015-06-01 12:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7705] src/alge/cs_grid.c: Fixes for crashes using multigrid
	  merging.

2015-06-01 12:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7704] po/fr.po, src/alge/cs_matrix.c,
	  src/alge/cs_matrix_priv.h, src/alge/cs_matrix_tuning.c: Add
	  standard deviation to matrix tuning.

2015-06-01 12:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7703] data/thch/dp_radiat_ADF50, data/thch/dp_radiat_ADF8: Fix
	  permissions for ADF model files.

2015-06-01 12:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7702] Makefile.am, data/thch/dp_FUE, data/thch/dp_FUE_new[DEL]:
	  Remove obsolete fuel properties file.

2015-06-01 12:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7701] src/comb/cs_fuel_bcond.f90,
	  src/user_examples/cs_user_boundary_conditions-fuel.f90: Minor
	  fixes for fuel combustion.

2015-06-01 12:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7700] src/pprt/ppcabs.f90: Fix bug #127: bad field call in
	  ppcabs with isoot=0 and imodak=1.

2015-06-01 11:49  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7698] src/alge/bilsca.f90, src/alge/bilscv.f90: Fix bug in
	  explicit time stepping.
	  
	  Provided by David IAMPIETRO.

2015-06-01 11:49  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7697] src/cfbl/cfener.f90: Remove unused work arrays.

2015-06-01 11:49  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7696] src/alge/cs_matrix_building.c: Fix indentation.

2015-06-01 11:29  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7695] src/cfbl/cfener.f90, src/comb/cs_coal_scast.f90,
	  src/turb/resrij.f90, src/turb/resv2f.f90: Fix missing update of
	  porous formulation.

2015-06-01 07:16  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7694] src/cfbl/cs_cf_thermo.c: Fix bug introduced in rev. 7521.
	  
	  (wrong use of fluid surface instead of face normal).

2015-05-22 16:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7692] src/base/dvvpst.f90, src/cfbl/cfvarp.f90: Fix
	  inconsistent names in wall temperature.

2015-05-22 11:44  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7690] src/user_examples/cs_user_parameters-linear_solvers.c:
	  Fix some comments.

2015-05-22 10:04  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7688] gui/Base/XMLinitialize.py: Fix back compatibility 2.0 to
	  4.0 for restart status

2015-05-22 09:56  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7686] gui/Base/XMLinitialize.py: Fix back compatibility 2.0 to
	  4.0 for turbulence initialization

2015-05-22 08:27  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7684] extras/bash_completion/code_saturne: Fix in
	  autocompletion for autovnv. Thanks to Bertrand Sapa for the fix.

2015-05-22 08:24  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7683] NEWS, bin/cs_exec_environment.py: Remove support for some
	  older MPI libraries or process managers.

2015-05-21 12:32  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7682] src/user/cs_user_coupling.c: Update comments.

2015-05-21 12:25  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7679] libple/ChangeLog, libple/configure.ac,
	  libple/doc/doxygen/mainpage.h, libple/src/ple_locator.c: PLE
	  2.0.1: fix in locator indexing for ple_locator_extend_search.

2015-05-20 11:03  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7677] src/alge/cs_multigrid.c, src/alge/cs_multigrid.h,
	  src/alge/cs_sles_it.c, src/alge/cs_sles_it.h: Verbosity is
	  handled at the top SLES level, not multigrid level.

2015-05-20 10:26  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7675] extras/code_saturne.cfg.template: Fix example syntax in
	  MPI section of post-install configuration file.

2015-05-19 15:23  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7674] src/alge/cs_multigrid.h: Fix comment.

2015-05-19 15:23  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7673] src/base/tridim.f90: Fix bug introduced in rev. 7669.

2015-05-18 15:17  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7672] src/alge/cs_grid.c: Update comment.

2015-05-18 14:06  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7671] src/base/copain_model.f90: Fix hturbp call in COPAIN
	  model (bug introduced in rev. 7021).

2015-05-18 09:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7669] src/base/resopv.f90, src/base/tridim.f90: Fix possibly
	  uninitialized variable when isno2t > 0 and nterup = 1.

2015-05-15 15:39  Dorothée Sénéchal <dorothee.senechal@edf.fr>

	* [r7664] src/base/caltri.f90, src/base/cs_mesh_tagmr.f90,
	  src/base/ecrava.f90, src/base/lecamx.f90: Add missing checkpoint
	  and restart info for condensation model wall temperature.

2015-05-15 15:39  Dorothée Sénéchal <dorothee.senechal@edf.fr>

	* [r7663] src/base/copain_model.f90: Fix pressure in condensation
	  model when idilat < 3.

2015-05-15 15:39  Dorothée Sénéchal <dorothee.senechal@edf.fr>

	* [r7662] src/base/cs_gas_mix_initialization.f90,
	  src/base/iniini.f90: Fix initialization for gas mix model.

2015-05-15 13:07  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7660] gui/Pages/DefineUserScalarsModel.py: Fix boundary
	  condition when scalar rename or remove (bug tracker 124)

2015-05-15 08:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7652] src/base/tridim.f90,
	  src/gui/cs_gui_boundary_conditions.c,
	  src/gui/cs_gui_boundary_conditions.h: GUI: fixes for free
	  inlet/outlet handling by reader.

2015-05-15 08:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7651] src/gui/cs_gui_particles.c: Compiler warnings: remove
	  variable set but not used.

2015-05-15 08:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7650] gui/Pages/LagrangianModel.py: Use first order model for
	  Particle tracking by default.

2015-05-15 08:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7649] src/base/cs_opts.c: Fix default initialization for signal
	  handler options.

2015-05-15 08:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7648] src/base/navstv.f90, src/base/tridim.f90: Make allocation
	  of some work arrays more robust.

2015-05-15 08:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7647] src/base/navstv.f90, src/base/predvv.f90: Remove unused
	  dummy variable.

2015-05-15 08:52  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7646] config/cs_auto_flags.sh: Ensure Intel C compiler honors
	  restrict keyword.

2015-05-13 12:39  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7643] bin/cs_config.py.in, src/apps/Makefile.am: Add missing
	  flags for Freesteam and Coolprop.

2015-05-13 11:48  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7642] src/apps/cs_solver.c: Move error handling initialization
	  to complete previous commit.

2015-05-13 11:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7641] NEWS, po/fr.po, src/apps/cs_solver.c, src/base/cs_base.c,
	  src/base/cs_base.h, src/base/cs_fp_exception.c,
	  src/base/cs_opts.c, src/base/cs_opts.h: Only trap floating-point
	  exceptions by default for degug builds, to avoid interfering with
	  optimizer speculation. Add --sig-defaults option to cs_solver
	  executable to allow use of default signal handlers.

2015-05-12 10:57  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7640] bin/cs_create.py: Implement feature request #0000058
	  (execution rights on SaturneGUI).

2015-05-12 10:12  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7638] build-aux/cs_version.py: Fix for version info using
	  Subversion tags with previous -rc versions.

2015-05-12 08:30  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7636] src/base/cavitation.f90: Really fix typo leading to
	  Doxygen error.

2015-05-12 08:04  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7634] src/base/cavitation.f90: Fix doxygen documentation.

2015-05-12 08:04  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7633] config/cs_auto_flags.sh: Remove support for some obsolete
	  architectures.

2015-05-11 16:56  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7631] install_saturne.py: Update minimal Python version and fix
	  help string for automatic installer.

2015-05-07 16:05  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7628] src/base/cs_gas_mix_physical_properties.f90: In gas mix
	  physical properties, loop on species rather than on specific
	  physics scalars (prepare use of gas mix and compressible module
	  together).

2015-05-07 16:05  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7627]
	  src/user_examples/cs_user_boundary_conditions-compressible.f90:
	  Fix user example (missing velocity direction) of inlet BC in
	  compressible at total pressure and enthalpy.

2015-05-07 07:58  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7626] gui/Pages/BatchRunningModel.py: Fix typo from rev. 7605
	  leading to crash in GUI Batch page.

2015-05-06 16:17  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7623] docs/theory/cavitation.tex, src/base/cavitation.f90: Fix
	  in cavitation documentation (provided by B. De Laage de Meux).

2015-05-06 16:17  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7622] src/base/navstv.f90, src/base/phyvar.f90: Fix in
	  cavitation module (provided by B. De Laage de Meux).

2015-05-06 08:34  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7621] bin/cs_create.py, gui/Pages/BatchRunningModel.py: Fix
	  misplaced future import in python code introduced in rev. 7605.

2015-05-05 09:22  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7618] src/base/lecamx.f90: Fix inconsistent name when reading
	  hydrostatic pressure in restart files.

2015-05-05 07:56  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7617] bin/cs_create.py, gui/Pages/BatchRunningModel.py: Fix
	  syntax errors in Python code introduced in rev. 7605.

2015-05-04 12:10  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7613] build-aux/cs_version.py: Fix for full version information
	  (such as 'code_saturne info --version') for builds from release
	  tarballs.

2015-05-04 09:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7611] configure.ac, docs/install/install.tex,
	  m4/cs_coolprop.m4[ADD]: Add detection for the CoolProp library.

2015-05-04 09:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7610] m4/cs_blas.m4, m4/cs_eos.m4, m4/cs_freesteam.m4:
	  Formatting improvements.

2015-05-04 09:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7609] configure.ac, docs/install/install.tex,
	  docs/user/saturne1.tex: Update some minimal dependency
	  requirements and documentation.

2015-05-04 09:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7608] src/base/cs_measures_util.c, src/cfbl/cs_cf_thermo.c,
	  src/mesh/cs_mesh_warping.c: Fixes for warnings detected by Clang
	  compiler.

2015-05-04 09:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7607] docs/developer/coding_standards.tex,
	  docs/developer/write_theory.tex, docs/theory/bilsc2.tex,
	  docs/theory/combustion_coal.tex, docs/theory/combustion_gas.tex,
	  docs/theory/combustion_intro.tex,
	  docs/theory/combustion_thermo.tex, docs/theory/introd.tex,
	  docs/theory/mesh_algo.tex, docs/theory/operat.tex,
	  docs/theory/summary.tex, docs/theory/turbul.tex, sbin/rmb: Extend
	  blanks removal script to LaTeX trailing blanks.

2015-05-04 09:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7606] docs/theory/ground_water.tex: Remove executable attribute
	  on source file.

2015-05-04 09:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7605] NEWS, bin/autovnv/Study.py, bin/cs_case.py,
	  bin/cs_case_domain.py, bin/cs_create.py, build-aux/cs_version.py,
	  docs/install/install.tex, gui/Base/CommandMgrDialogView.py,
	  gui/Base/MainView.py, gui/Base/XMLengine.py,
	  gui/Base/XMLvariables.py, gui/Pages/BatchRunningModel.py,
	  gui/Pages/CoriolisSourceTermsModel.py,
	  gui/Pages/CoriolisSourceTermsView.py,
	  gui/Pages/FluidStructureInteractionModel.py,
	  gui/Pages/FluidStructureInteractionView.py,
	  gui/Pages/GasCombustionView.py, gui/Pages/LocalizationView.py,
	  gui/Pages/OutputControlView.py,
	  gui/Pages/OutputVolumicVariablesModel.py,
	  gui/Pages/OutputVolumicVariablesView.py,
	  gui/Pages/SalomeActors.py, gui/Pages/SolutionDomainView.py,
	  gui/Pages/SolutionVerifView.py, gui/Pages/XMLEditorView.py,
	  install_saturne.py,
	  salome/cfd_study/src/CFDSTUDYGUI/CFDSTUDYGUI_DialogCollector.py:
	  Python-3 compatibility fixes, including for GUI.

2015-05-04 09:45  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7604] src/alge/cs_sles_default.c, src/alge/cs_sles_it.c,
	  src/alge/cs_sles_it.h, src/rayt/cs_radiation_solver.c: Rename
	  Block Gauss-Seidel to Process-Local Gauss-Seidel.

2015-04-30 17:14  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7599] src/gui/cs_gui_specific_physics.c: GUI fix: coal
	  combustion with Lagrangian model broken in rev. 5587.

2015-04-30 15:35  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7597] salome/cfd_study/src/CFDSTUDYGUI/CFDSTUDY_msg_en.ts,
	  salome/cfd_study/src/CFDSTUDYGUI/CFDSTUDY_msg_fr.ts[ADD],
	  salome/cfd_study/src/CFDSTUDYGUI/Makefile.am: Fix : french enable
	  in salome CFDSTUDY

2015-04-30 13:20  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7595] AUTHORS, docs/theory/Makefile.am,
	  docs/theory/ground_water.tex[ADD], docs/theory/theory.tex: Add
	  documentation for groundwater flows module.

2015-04-30 08:08  Martin Ferrand <martin.ferrand@edf.fr>

	* [r7593] docs/style/csbiblio.bib, docs/theory/goveqn.tex,
	  docs/theory/predvv.tex, docs/theory/timstp.tex: Update theory
	  doc.

2015-04-29 16:13  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7592] NEWS, src/base/cs_c_bindings.f90, src/base/stdtcl.f90,
	  src/base/varpos.f90, src/turb/Makefile.am,
	  src/turb/cs_turbulence_bc.c[ADD],
	  src/turb/cs_turbulence_bc.h[ADD],
	  src/user_examples/cs_user_boundary_conditions-auto_inlet_profile.f90,
	  src/user_examples/cs_user_boundary_conditions-base.f90,
	  src/user_examples/cs_user_boundary_conditions-mapped_inlet.f90:
	  Add C functions for turbulent inlets. This provides a
	  higher-level API, common to turbulent models. Non-regression on 3
	  iterations tested on CYLINDER, DIFFUSER, FEDORA, KAWAMURA, DIT,
	  JET_IMPIGEMENT, and ECH test cases.

2015-04-29 14:34  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7591] src/alge/cs_matrix_default.c: Fix: matrix global row
	  number needs MPI_Scan to use only local rows.

2015-04-29 12:49  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7589] src/turb/turent.f90: Fix function documentation.

2015-04-29 11:08  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7587] src/alge/cs_matrix_default.c: Fix: add missing
	  synchronization when building matrix block row numbers.

2015-04-28 15:06  Cyril Baudry <cyril.baudry@edf.fr>

	* [r7585] gui/Pages/DefineUserScalarsModel.py,
	  gui/Pages/FluidCharacteristicsView.py, src/gui/cs_gui.c: Fix
	  scalar diffusivity variable with GUI

2015-04-28 13:40  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7584] src/alge/cs_matrix_default.c,
	  src/alge/cs_matrix_default.h, src/alge/cs_matrix_util.c: Add
	  function to define scan-based global matrix row number.

2015-04-28 13:36  Erwan Le Coupanec <erwan.lecoupanec@edf.fr>

	* [r7583] docs/user/saturne2.tex: Fix ideal gas constant in user
	  guide.

2015-04-28 12:48  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7582] src/base/cs_field.c: Use simpler test.

2015-04-28 12:38  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7581] docs/doxygen/examples/cs_var_dico.h: Fix Doxygen section
	  title.

2015-04-28 12:37  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7580] po/fr.po, src/base/addfld.f90, src/base/cs_field.c,
	  src/base/cs_field.h, src/base/field.f90: Change field creation
	  behavior so definition can not be overwritten.

2015-04-28 10:34  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7579] src/base/addfld.f90: Fix: misplaced return.

2015-04-28 09:33  Yvan Fournier <yvan.fournier@edf.fr>

	* [r7578] src/base/addfld.f90: Output y+ for postprocessing only if
	  requested, not simply when present.

2015-04-28 09:01  Yvan Fournier <yvan.fournier@edf.fr>

